Debian Bug report logs - #310490
aptitude dist-upgrade needs to remove a large part of KDE

Package: upgrade-reports; Maintainer for upgrade-reports is Debian Testing Group <debian-testing@lists.debian.org>;

Reported by: astronut <astronut@gmail.com>

Date: Mon, 23 May 2005 22:18:02 UTC

Severity: important

Tags: confirmed, help, patch

Done: astronut@debian.yourtcs.com (astronut)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: astronut <astronut@gmail.com>
To: submit@bugs.debian.org
Subject: Upgrade report
Date: Mon, 23 May 2005 18:03:36 -0400
Package: upgrade-reports

Archive date: Mon May 23 19:00:01 UTC 2005
Upgrade date: Late Afternoon EST 5/23/05
uname -a: Old: Linux debian-test 2.2.20 #1 Sat Apr 20 11:45:28 EST
2002 i686 unknown
New: Linux debian-test 2.2.20 #1 Sat Apr 20 11:45:28 EST 2002 i686 GNU/Linux
(Time is weird, seems to be a thing with vmware)


Method: aptitude -f dist-upgrade

Contents of /etc/apt/sources.list:


astronut@debian-test:~$ cat /etc/apt/sources.list 

deb ftp://ftp.us.debian.org/debian/ sarge main non-free contrib
#deb-src ftp://ftp.us.debian.org/debian/ stable main non-free contrib
deb http://non-us.debian.org/debian-non-US sarge/non-US main contrib non-free
#deb-src http://non-us.debian.org/debian-non-US stable/non-US main
contrib non-free

#deb http://security.debian.org/ stable/updates main contrib non-free
astronut@debian-test:~$ 




- Were there any non-Debian packages installed before the upgrade?  If
so, what were they?

Vmware tools were installed via the CD image provided by the program (tarball).


- Was the system pre-update a pure woody system? If not, which
packages were not from woody?

Other than the VMware tools, yes


- Did any packages fail to upgrade?

126 packages were removed.


- Were there any problems with the system after upgrading?

None noticed, however system was not used extensively either before or
after ugprade.


>Further Comments/Problems:

126 packages failed to upgrade....some are understandable, however
others should have... aptitude ouptut at end of message. I have a
complete log of the install proccess, however I didn't attach due to
all the terminal garbage it has. Available upon request. This was done
in VMware, and I saved copies, so I have both a woody system ready to
upgrade again and a running sarge (and can make more copies of
either).


>Please attach the output of "COLUMNS=200 dpkg -l" (or "env COLUMNS
...", depending on your shell) from before and after the upgrade so
that we  know what packages were installed on your system.

Attached as packages.woody and packages.sarge


--------Aptitude output----------------------

The following NEW packages will be automatically installed:
  antlr apache2-utils capplets capplets-data coreutils cpp-3.3 dash 
  debconf-i18n desktop-base desktop-file-utils dia-libs dictionaries-common 
  discover1-data dselect e2fslibs eggdrop-data emacs21 emacs21-bin-common 
  emacs21-common emacsen-common fontconfig g++-3.3 gaim-data gcc-3.3 
  gcc-3.3-base gedit-common gimp gimp-data gimp-svg gjdoc gkrellm-common 
  gnome-applets-data gnome-desktop-data gnome-games-data 
  gnome-games-extra-data gnome-icon-theme gnome-keyring gnumeric-common 
  gs-gpl gstreamer0.8-misc gstreamer0.8-oss guile-1.6-libs 
  hicolor-icon-theme iamerican initscripts intltool-debian kaffe-common 
  kaffe-pthreads lesstif2 libapr0 libasn1-6-heimdal libaspell15 libaudio2 
  libblkid1 libbonoboui2-0 libbonoboui2-common libcomerr2 
  libconfigfile-perl libconsole libconvert-binhex-perl libcroco3 
  libcupsys2-gnutls10 libcurl3 libdb1-compat libdb4.1 libdb4.2 
  libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 libeel2-2 
  libeel2-data libenchant1 libexif10 libfam0c102 libflac6 libfontconfig1 
  libgail-common libgail17 libgcrypt11 libgd1-noxpm libgd2-noxpm libgdbm3 
  libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 libgnome-desktop-2 
  libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0 
  libgnomecanvas2-common libgnomecups1.0-1 libgnomeprint2.2-0 
  libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common 
  libgnomeui-0 libgnomeui-common libgnutls11 libgpg-error0 libgpgme11 
  libgphoto2-2 libgphoto2-port0 libgsf-1 libgsf-gnome-1 
  libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 libgstreamer0.8-0 
  libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 libgtksourceview-common 
  libgtksourceview1.0-0 libgtkspell0 libgtop2-2 libgucharmap4 
  libguile-ltdl-1 libice-dev libice6 libidn11 libieee1284-3 libisc7 
  libjasper-1.701-1 liblcms1 liblcms1-dev libmagic1 libmagick6 
  libmail-sendmail-perl libmetacity0 libmyspell3 libnautilus2-2 libnet1 
  libnetpbm10 libnewt0.51 liboggflac1 liboil0.2 libopencdk8 
  libopenh323-1.15.2 libpanel-applet2-0 libpaper-utils libpaper1 libpcap0.7 
  libpcap0.8 libperl5.8 libpisock8 libpng10-0 libpng12-0 libpt-1.8.3 
  libpt-plugins-oss libpt-plugins-v4l2 libqthreads-12 libreadline5 
  libroken16-kerberos4kth librsvg2-2 librsvg2-bin librsvg2-common libsasl2 
  libsasl2-modules libselinux1 libsensors3 libshout3 libsigc++-1.2-5c102 
  libsm-dev libsm6 libspeex1 libss2 libssl0.9.7 libstartup-notification0 
  libstdc++5 libstdc++5-3.3-dev libt1-5 libtasn1-2 libtext-charwidth-perl 
  libtext-wrapi18n-perl libtheora0 libtidy0 libtiff4 libuuid1 libvorbis0a 
  libvorbisenc2 libvorbisfile3 libvte-common libvte4 libwmf0.2-7 
  libwnck-common libwnck4 libx11-6 libx11-dev libxcursor1 libxext-dev 
  libxext6 libxft1 libxft2 libxi-dev libxi6 libxklavier8 libxmu-dev libxmu6 
  libxmuu-dev libxmuu1 libxp-dev libxp6 libxpm-dev libxpm4 libxrandr-dev 
  libxrandr2 libxrender-dev libxrender1 libxslt1.1 libxt-dev libxt6 
  libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev libxv1 
  linux-kernel-headers myspell-en-us nautilus-data ntp-server pm-dev 
  po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec 
  python2.3-numeric render-dev sane-utils shared-mime-info spamc 
  squid-common sysv-rc tcl8.4 vim-common wamerican x-dev xlibmesa-dri 
  xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev xml-core yelp 
The following packages will be automatically REMOVED:
  amor ark artsbuilder console-tools-libs discover-data eyesapplet 
  fifteenapplet gaim-common gnome-help kamera kandy karm kasteroids kate 
  katomic kbackgammon kbattleship kblackbox kcalc kcharselect kcmlinuz 
  kcoloredit kcron kdeartwork-style kdebase kdebase-libs kdecarddecks 
  kdelibs3 kdelibs3-bin kdepasswd kdepim-libs kdessh kdf kdict kedit kfind 
  kfloppy kgeo kghostview khexedit kicker-applets kiconedit kjots 
  kjumpingcube klaptopdaemon klines kmahjongg kmail kmid kmines kmix kmoon 
  knewsticker knode knotes kodo konq-plugins konqueror konquest konsole 
  kooka korganizer korn kpackage kpaint kpat kpilot kpoker kppp kreversi 
  kruler ksame kscd kscreensaver kshisen ksirc ksirtet ksmiletris ksnake 
  ksnapshot ksokoban kspaceduel kstars ksysv kteatime ktimer ktouch ktron 
  ktuberling ktux kuser kview kweather kwin4 kworldclock libarts 
  libarts-mpeglib libaspell10 libdigest-md5-perl libfam0 libgtk-common 
  libkdegames libkdenetwork1 libkmid libkonq3 libkscan1 liblcms liblcms-dev 
  liblinc1 libmagick5 libmime-base64-perl libmimelib1 libpango-common 
  libpng-dev libpspell-ispell1 libpspell4 libqt3-dev libroken9-heimdal 
  libvorbis0 lskat mpeglib nas-lib noatun noatun-plugins quanta secpolicy 
The following packages have been kept back:
  kate-plugins kdeartwork-theme-window 
The following NEW packages will be installed:
  antlr apache2-utils capplets capplets-data coreutils cpp-3.3 dash 
  debconf-i18n desktop-base desktop-file-utils dia-libs dictionaries-common 
  discover1-data dselect e2fslibs eggdrop-data emacs21 emacs21-bin-common 
 emacs21-common emacsen-common fontconfig g++-3.3 gaim-data gcc-3.3 
  gcc-3.3-base gedit-common gimp gimp-data gimp-svg gjdoc gkrellm-common 
  gnome-applets-data gnome-desktop-data gnome-games-data 
  gnome-games-extra-data gnome-icon-theme gnome-keyring gnumeric-common 
  gs-gpl gstreamer0.8-misc gstreamer0.8-oss guile-1.6-libs 
  hicolor-icon-theme iamerican initscripts intltool-debian kaffe-common 
  kaffe-pthreads lesstif2 libapr0 libasn1-6-heimdal libaspell15 libaudio2 
  libblkid1 libbonoboui2-0 libbonoboui2-common libcomerr2 
  libconfigfile-perl libconsole libconvert-binhex-perl libcroco3 
  libcupsys2-gnutls10 libcurl3 libdb1-compat libdb4.1 libdb4.2 
  libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 libeel2-2 
  libeel2-data libenchant1 libexif10 libfam0c102 libflac6 libfontconfig1 
  libgail-common libgail17 libgcrypt11 libgd1-noxpm libgd2-noxpm libgdbm3 
  libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 libgnome-desktop-2 
  libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0 
  libgnomecanvas2-common libgnomecups1.0-1 libgnomeprint2.2-0 
  libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common 
  libgnomeui-0 libgnomeui-common libgnutls11 libgpg-error0 libgpgme11 
  libgphoto2-2 libgphoto2-port0 libgsf-1 libgsf-gnome-1 
  libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 libgstreamer0.8-0 
  libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 libgtksourceview-common 
  libgtksourceview1.0-0 libgtkspell0 libgtop2-2 libgucharmap4 
  libguile-ltdl-1 libice-dev libice6 libidn11 libieee1284-3 libisc7 
  libjasper-1.701-1 liblcms1 liblcms1-dev libmagic1 libmagick6 
  libmail-sendmail-perl libmetacity0 libmyspell3 libnautilus2-2 libnet1 
  libnetpbm10 libnewt0.51 liboggflac1 liboil0.2 libopencdk8 
  libopenh323-1.15.2 libpanel-applet2-0 libpaper-utils libpaper1 libpcap0.7 
  libpcap0.8 libperl5.8 libpisock8 libpng10-0 libpng12-0 libpt-1.8.3 
  libpt-plugins-oss libpt-plugins-v4l2 libqthreads-12 libreadline5 
  libroken16-kerberos4kth librsvg2-2 librsvg2-bin librsvg2-common libsasl2 
  libsasl2-modules libselinux1 libsensors3 libshout3 libsigc++-1.2-5c102 
  libsm-dev libsm6 libspeex1 libss2 libssl0.9.7 libstartup-notification0 
  libstdc++5 libstdc++5-3.3-dev libt1-5 libtasn1-2 libtext-charwidth-perl 
  libtext-wrapi18n-perl libtheora0 libtidy0 libtiff4 libuuid1 libvorbis0a 
  libvorbisenc2 libvorbisfile3 libvte-common libvte4 libwmf0.2-7 
  libwnck-common libwnck4 libx11-6 libx11-dev libxcursor1 libxext-dev 
  libxext6 libxft1 libxft2 libxi-dev libxi6 libxklavier8 libxmu-dev libxmu6 
  libxmuu-dev libxmuu1 libxp-dev libxp6 libxpm-dev libxpm4 libxrandr-dev 
  libxrandr2 libxrender-dev libxrender1 libxslt1.1 libxt-dev libxt6 
  libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev libxv1 
  linux-kernel-headers myspell-en-us nautilus-data ntp-server pm-dev 
  po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec 
  python2.3-numeric render-dev sane-utils shared-mime-info spamc 
  squid-common sysv-rc tcl8.4 vim-common wamerican x-dev xlibmesa-dri 
  xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev xml-core yelp 
The following packages will be REMOVED:
  amor ark artsbuilder console-tools-libs discover-data eyesapplet 
  fifteenapplet gaim-common gnome-help kamera kandy karm kasteroids kate 
  katomic kbackgammon kbattleship kblackbox kcalc kcharselect kcmlinuz 
  kcoloredit kcron kdeartwork-style kdebase kdebase-libs kdecarddecks 
  kdelibs3 kdelibs3-bin kdepasswd kdepim-libs kdessh kdf kdict kedit kfind 
  kfloppy kgeo kghostview khexedit kicker-applets kiconedit kjots 
  kjumpingcube klaptopdaemon klines kmahjongg kmail kmid kmines kmix kmoon 
  knewsticker knode knotes kodo konq-plugins konqueror konquest konsole 
  kooka korganizer korn kpackage kpaint kpat kpilot kpoker kppp kreversi 
  kruler ksame kscd kscreensaver kshisen ksirc ksirtet ksmiletris ksnake 
  ksnapshot ksokoban kspaceduel kstars ksysv kteatime ktimer ktouch ktron 
  ktuberling ktux kuser kview kweather kwin4 kworldclock libarts 
  libarts-mpeglib libaspell10 libdigest-md5-perl libfam0 libgtk-common 
  libkdegames libkdenetwork1 libkmid libkonq3 libkscan1 liblcms liblcms-dev 
  liblinc1 libmagick5 libmime-base64-perl libmimelib1 libpango-common 
  libpng-dev libpspell-ispell1 libpspell4 libqt3-dev libroken9-heimdal 
  libvorbis0 lskat mpeglib nas-lib noatun noatun-plugins quanta secpolicy 
The following packages will be upgraded:
  aalib1 abiword-common abiword-gnome adduser analog apache apache-common 
  apt apt-file apt-utils aptitude asclock-themes ash aspell-en aterm 
  autoconf autoconf2.13 autotools-dev balsa base-config base-files 
  base-passwd bash bc bind9 bind9-doc bind9-host binutils binutils-doc 
  bison bitchx bluefish bonobo bonobo-activation bsdmainutils bsdutils 
  bug-buddy bzip2 cabextract cddb cdrecord console-common console-data 
  console-tools cowsay cpio cpp cpp-2.95 cracklib2 cramfsprogs cron cvs 
  debconf debconf-utils debhelper debianutils deborphan defoma dfontmgr
  dhcp dhcp-client dia-common dia-gnome dialog diff dnsutils docbook 
  docbook-dsssl docbook-xml dosfstools dpkg dpkg-dev e2fsprogs ed edict 
  eggdrop eject enscript eog esound esound-common ethereal ethereal-common 
  etherwake fam fdutils file file-roller fileutils findutils finger 
  firestarter flex fluxbox fnlib-data fortune-mod fortunes-min g++ g++-2.95 
  gaim galeon galeon-common gawk gcc gcc-2.95 gcc-2.95-doc gconf 
  gconf-editor gconf2 gdb gdk-imlib1 gdm gedit gettext gettext-base 
  gettext-el gimp-data-extras gimp1.2 gkrellm gksu gnome-applets gnome-bin 
  gnome-control-center gnome-core gnome-doc-tools gnome-games gnome-gv 
  gnome-libs-data gnome-media gnome-mime-data gnome-panel gnome-panel-data 
  gnome-session gnome-terminal gnome-utils gnome-vfs-extfs gnomemeeting 
  gnumeric gnupg gphoto2 gpm grep groff-base grub gs gs-common gsfonts 
  gsfonts-x11 gv gzip hermes1 hostname hotplug html2text ifupdown 
  imagemagick imlib-base imlib1 info initrd-tools iptables iputils-ping 
  irssi-text ispell jade java-common jikes kaffe kanjidic kdeartwork-misc 
  kdewallpapers kernel-package klogd knewsticker-scripts krb5-config less 
  lesstif1 libacl1 libadns1 libao2 libapm1 libappconfig-perl 
  libapt-pkg-perl libart-2.0-2 libart2 libasound2 libatk1.0-0 libattr1 
  libaudiofile0 libbonobo-activation4 libbonobo2 libbonobo2-0 
  libbonobo2-common libbz2-1.0 libc6 libc6-dev libcap1 libcapplet1 libcdk4 
  libcdparanoia0 libcompress-zlib-perl libcupsys2 libdb2 libdb3 libdb3-util
  libdevel-symdump-perl libdigest-sha1-perl libdiscover1 libdps1 libefs1 
  libesd0 libesmtp5 libexpat1 libexpat1-dev libffi2 libfinance-quote-perl 
  libfreetype6 libfreetype6-dev libfribidi0 libft-perl libgcc1 libgconf11 
  libgconf2-4 libgd1 libgd2 libgdbmg1 libgdk-pixbuf-gnome2 libgdk-pixbuf2 
  libghttp1 libgimpprint1 libglade-gnome0 libglade-perl libglade0 
  libglade2-0 libgle3 libglib1.2 libglib2.0-0 libgmp3 libgnome-vfs-common 
  libgnome-vfs0 libgnome32 libgnomeprint-bin libgnomeprint-data 
  libgnomeprint15 libgnomesupport0 libgnomeui32 libgnomevfs2-0 
  libgnomevfs2-common libgnorba27 libgnorbagtk0 libgpmg1 libgsm1 
  libgssapi1-heimdal libgtk-perl libgtk1.2 libgtk1.2-common libgtk2.0-0 
  libgtk2.0-common libgtkxmhtml1 libgtop1 libguile9 libhesiod0 
  libhtml-parser-perl libhtml-tableextract-perl libhtml-tagset-perl
  libhtml-tree-perl libid3tag0 libident libidl0 libio-stringy-perl 
  libisccc0 libisccfg0 libjpeg-progs libjpeg62 libjpeg62-dev libkeynote0 
  libkrb-1-kerberos4kth libkrb5-17-heimdal libkrb53 libldap2 liblircclient0 
  liblocale-gettext-perl liblockfile1 libltdl3 liblua40 liblualib40 
  liblwres1 liblzo1 libmad0 libmailtools-perl libmime-perl libmng-dev 
  libmng1 libncurses5 libncurses5-dev libncursesw5 libnet-perl libnetpbm9 
  libnews-nntpclient-perl libnspr4 libnss3 liboaf0 libogg0 liborbit0 
  liborbit2 libpam-modules libpam-runtime libpam0g libpango1.0-0 
  libpango1.0-common libpaperg libpcre3 libpng2 libpng3 libpopt0 
  libraw1394-5 libreadline4 librecode0 librpm4 libsane libscrollkeeper0 
  libsdl1.2debian libsdl1.2debian-oss libslp1 libsmbclient libsnmp-base 
  libsnmp4.2 libsp1 libsqlite0 libssl0.9.6 libstdc++2.10-dev 
  libstdc++2.10-glibc2.2 libtext-iconv-perl libtiff-tools libtimedate-perl 
  libtool libttf2 libungif4g liburi-perl libusb-0.1-4 libvncauth0 libwrap0 
  libwww-perl libxaw6 libxaw7 libxml-parser-perl libxml1 libxml2 libxslt1 
  libzephyr3 libzvt2 lilo links lm-sensors locales login logrotate lsof 
  lwresd lynx m4 mailx make makedev man-db manpages manpages-dev mawk mbr 
  mdetect menu metacity mime-support mkisofs mlock modconf modutils mount 
  mozilla-browser mozilla-psm msttcorefonts nano nautilus ncftp 
  ncurses-base ncurses-bin net-tools netbase netcat netkit-inetd netpbm 
  nmap ntop ntp ntp-simple ntpdate nvi oaf openssl passwd patch pciutils 
  perl perl-base perl-modules perl-suid pilot-link pkg-config portmap 
  poster postfix postfix-doc postfix-ldap postfix-pcre powermgmt-base ppp 
  pppconfig pppoe pppoeconf procmail procps psfontmgr psmisc psutils python 
  python2.1 rcs read-edid recover root-tail rpm samba-common samba-doc 
  screen scrollkeeper sed setserial sgml-base sgml-data shellutils slang1 
  slang1a-utf8 smbclient smbfs sodipodi spamassassin squid ssh stunnel sudo 
  symlinks synaptic sysklogd syslinux sysvinit t1lib1 tar tasksel tcl8.0 
  tcl8.3 tcpd tcpdump tcptraceroute telnet textutils tidy tinyproxy ucf 
  unzip usbutils util-linux vim vlock vnc-common vncserver vorbis-tools 
  vsftpd wget whiptail whois x-ttcidfont-conf x-window-system-core xaw3dg 
  xbase-clients xchat xchat-common xfonts-100dpi xfonts-75dpi xfonts-base 
  xfonts-scalable xfree86-common xlibmesa3 xlibs xlibs-dev xmms xpdf 
 xpdf-common xpdf-reader xpdf-utils xscreensaver xscreensaver-gl 
  xscreensaver-gnome xserver-common xserver-xfree86 xterm xutils xvncviewer 
  zip zlib1g zlib1g-dev 
510 packages upgraded, 248 newly installed, 126 to remove and 2 not upgraded.
Need to get 132kB/407MB of archives. After unpacking 386MB will be used



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Clive Menzies <clive@clivemenzies.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 310490@bugs.debian.org (full text, mbox):

From: Clive Menzies <clive@clivemenzies.co.uk>
To: astronut <astronut@gmail.com>, 310490@bugs.debian.org
Subject: Re: Bug#310490: Upgrade report
Date: Tue, 24 May 2005 12:42:16 +0100
On (23/05/05 18:03), astronut wrote:
> Package: upgrade-reports

[snip]

> >Further Comments/Problems:
> 
> 126 packages failed to upgrade....some are understandable, however
> others should have... aptitude ouptut at end of message. I have a
> complete log of the install proccess, however I didn't attach due to
> all the terminal garbage it has. Available upon request. This was done
> in VMware, and I saved copies, so I have both a woody system ready to
> upgrade again and a running sarge (and can make more copies of
> either).
> 
> 
> >Please attach the output of "COLUMNS=200 dpkg -l" (or "env COLUMNS
> ...", depending on your shell) from before and after the upgrade so
> that we  know what packages were installed on your system.
> 
> Attached as packages.woody and packages.sarge
> 
> 
> --------Aptitude output----------------------
> 
> The following NEW packages will be automatically installed:
>   antlr apache2-utils capplets capplets-data coreutils cpp-3.3 dash 
>   debconf-i18n desktop-base desktop-file-utils dia-libs dictionaries-common 
>   discover1-data dselect e2fslibs eggdrop-data emacs21 emacs21-bin-common 
>   emacs21-common emacsen-common fontconfig g++-3.3 gaim-data gcc-3.3 
>   gcc-3.3-base gedit-common gimp gimp-data gimp-svg gjdoc gkrellm-common 
>   gnome-applets-data gnome-desktop-data gnome-games-data 
>   gnome-games-extra-data gnome-icon-theme gnome-keyring gnumeric-common 
>   gs-gpl gstreamer0.8-misc gstreamer0.8-oss guile-1.6-libs 
>   hicolor-icon-theme iamerican initscripts intltool-debian kaffe-common 
>   kaffe-pthreads lesstif2 libapr0 libasn1-6-heimdal libaspell15 libaudio2 
>   libblkid1 libbonoboui2-0 libbonoboui2-common libcomerr2 
>   libconfigfile-perl libconsole libconvert-binhex-perl libcroco3 
>   libcupsys2-gnutls10 libcurl3 libdb1-compat libdb4.1 libdb4.2 
>   libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 libeel2-2 
>   libeel2-data libenchant1 libexif10 libfam0c102 libflac6 libfontconfig1 
>   libgail-common libgail17 libgcrypt11 libgd1-noxpm libgd2-noxpm libgdbm3 
>   libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 libgnome-desktop-2 
>   libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0 
>   libgnomecanvas2-common libgnomecups1.0-1 libgnomeprint2.2-0 
>   libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common 
>   libgnomeui-0 libgnomeui-common libgnutls11 libgpg-error0 libgpgme11 
>   libgphoto2-2 libgphoto2-port0 libgsf-1 libgsf-gnome-1 
>   libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 libgstreamer0.8-0 
>   libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 libgtksourceview-common 
>   libgtksourceview1.0-0 libgtkspell0 libgtop2-2 libgucharmap4 
>   libguile-ltdl-1 libice-dev libice6 libidn11 libieee1284-3 libisc7 
>   libjasper-1.701-1 liblcms1 liblcms1-dev libmagic1 libmagick6 
>   libmail-sendmail-perl libmetacity0 libmyspell3 libnautilus2-2 libnet1 
>   libnetpbm10 libnewt0.51 liboggflac1 liboil0.2 libopencdk8 
>   libopenh323-1.15.2 libpanel-applet2-0 libpaper-utils libpaper1 libpcap0.7 
>   libpcap0.8 libperl5.8 libpisock8 libpng10-0 libpng12-0 libpt-1.8.3 
>   libpt-plugins-oss libpt-plugins-v4l2 libqthreads-12 libreadline5 
>   libroken16-kerberos4kth librsvg2-2 librsvg2-bin librsvg2-common libsasl2 
>   libsasl2-modules libselinux1 libsensors3 libshout3 libsigc++-1.2-5c102 
>   libsm-dev libsm6 libspeex1 libss2 libssl0.9.7 libstartup-notification0 
>   libstdc++5 libstdc++5-3.3-dev libt1-5 libtasn1-2 libtext-charwidth-perl 
>   libtext-wrapi18n-perl libtheora0 libtidy0 libtiff4 libuuid1 libvorbis0a 
>   libvorbisenc2 libvorbisfile3 libvte-common libvte4 libwmf0.2-7 
>   libwnck-common libwnck4 libx11-6 libx11-dev libxcursor1 libxext-dev 
>   libxext6 libxft1 libxft2 libxi-dev libxi6 libxklavier8 libxmu-dev libxmu6 
>   libxmuu-dev libxmuu1 libxp-dev libxp6 libxpm-dev libxpm4 libxrandr-dev 
>   libxrandr2 libxrender-dev libxrender1 libxslt1.1 libxt-dev libxt6 
>   libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev libxv1 
>   linux-kernel-headers myspell-en-us nautilus-data ntp-server pm-dev 
>   po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec 
>   python2.3-numeric render-dev sane-utils shared-mime-info spamc 
>   squid-common sysv-rc tcl8.4 vim-common wamerican x-dev xlibmesa-dri 
>   xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev xml-core yelp 
> The following packages will be automatically REMOVED:
>   amor ark artsbuilder console-tools-libs discover-data eyesapplet 
>   fifteenapplet gaim-common gnome-help kamera kandy karm kasteroids kate 
>   katomic kbackgammon kbattleship kblackbox kcalc kcharselect kcmlinuz 
>   kcoloredit kcron kdeartwork-style kdebase kdebase-libs kdecarddecks 
>   kdelibs3 kdelibs3-bin kdepasswd kdepim-libs kdessh kdf kdict kedit kfind 
>   kfloppy kgeo kghostview khexedit kicker-applets kiconedit kjots 
>   kjumpingcube klaptopdaemon klines kmahjongg kmail kmid kmines kmix kmoon 
>   knewsticker knode knotes kodo konq-plugins konqueror konquest konsole 
>   kooka korganizer korn kpackage kpaint kpat kpilot kpoker kppp kreversi 
>   kruler ksame kscd kscreensaver kshisen ksirc ksirtet ksmiletris ksnake 
>   ksnapshot ksokoban kspaceduel kstars ksysv kteatime ktimer ktouch ktron 
>   ktuberling ktux kuser kview kweather kwin4 kworldclock libarts 
>   libarts-mpeglib libaspell10 libdigest-md5-perl libfam0 libgtk-common 
>   libkdegames libkdenetwork1 libkmid libkonq3 libkscan1 liblcms liblcms-dev 
>   liblinc1 libmagick5 libmime-base64-perl libmimelib1 libpango-common 
>   libpng-dev libpspell-ispell1 libpspell4 libqt3-dev libroken9-heimdal 
>   libvorbis0 lskat mpeglib nas-lib noatun noatun-plugins quanta secpolicy 
> The following packages have been kept back:
>   kate-plugins kdeartwork-theme-window 
> The following NEW packages will be installed:
>   antlr apache2-utils capplets capplets-data coreutils cpp-3.3 dash 
>   debconf-i18n desktop-base desktop-file-utils dia-libs dictionaries-common 
>   discover1-data dselect e2fslibs eggdrop-data emacs21 emacs21-bin-common 
>  emacs21-common emacsen-common fontconfig g++-3.3 gaim-data gcc-3.3 
>   gcc-3.3-base gedit-common gimp gimp-data gimp-svg gjdoc gkrellm-common 
>   gnome-applets-data gnome-desktop-data gnome-games-data 
>   gnome-games-extra-data gnome-icon-theme gnome-keyring gnumeric-common 
>   gs-gpl gstreamer0.8-misc gstreamer0.8-oss guile-1.6-libs 
>   hicolor-icon-theme iamerican initscripts intltool-debian kaffe-common 
>   kaffe-pthreads lesstif2 libapr0 libasn1-6-heimdal libaspell15 libaudio2 
>   libblkid1 libbonoboui2-0 libbonoboui2-common libcomerr2 
>   libconfigfile-perl libconsole libconvert-binhex-perl libcroco3 
>   libcupsys2-gnutls10 libcurl3 libdb1-compat libdb4.1 libdb4.2 
>   libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 libeel2-2 
>   libeel2-data libenchant1 libexif10 libfam0c102 libflac6 libfontconfig1 
>   libgail-common libgail17 libgcrypt11 libgd1-noxpm libgd2-noxpm libgdbm3 
>   libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 libgnome-desktop-2 
>   libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0 
>   libgnomecanvas2-common libgnomecups1.0-1 libgnomeprint2.2-0 
>   libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common 
>   libgnomeui-0 libgnomeui-common libgnutls11 libgpg-error0 libgpgme11 
>   libgphoto2-2 libgphoto2-port0 libgsf-1 libgsf-gnome-1 
>   libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 libgstreamer0.8-0 
>   libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 libgtksourceview-common 
>   libgtksourceview1.0-0 libgtkspell0 libgtop2-2 libgucharmap4 
>   libguile-ltdl-1 libice-dev libice6 libidn11 libieee1284-3 libisc7 
>   libjasper-1.701-1 liblcms1 liblcms1-dev libmagic1 libmagick6 
>   libmail-sendmail-perl libmetacity0 libmyspell3 libnautilus2-2 libnet1 
>   libnetpbm10 libnewt0.51 liboggflac1 liboil0.2 libopencdk8 
>   libopenh323-1.15.2 libpanel-applet2-0 libpaper-utils libpaper1 libpcap0.7 
>   libpcap0.8 libperl5.8 libpisock8 libpng10-0 libpng12-0 libpt-1.8.3 
>   libpt-plugins-oss libpt-plugins-v4l2 libqthreads-12 libreadline5 
>   libroken16-kerberos4kth librsvg2-2 librsvg2-bin librsvg2-common libsasl2 
>   libsasl2-modules libselinux1 libsensors3 libshout3 libsigc++-1.2-5c102 
>   libsm-dev libsm6 libspeex1 libss2 libssl0.9.7 libstartup-notification0 
>   libstdc++5 libstdc++5-3.3-dev libt1-5 libtasn1-2 libtext-charwidth-perl 
>   libtext-wrapi18n-perl libtheora0 libtidy0 libtiff4 libuuid1 libvorbis0a 
>   libvorbisenc2 libvorbisfile3 libvte-common libvte4 libwmf0.2-7 
>   libwnck-common libwnck4 libx11-6 libx11-dev libxcursor1 libxext-dev 
>   libxext6 libxft1 libxft2 libxi-dev libxi6 libxklavier8 libxmu-dev libxmu6 
>   libxmuu-dev libxmuu1 libxp-dev libxp6 libxpm-dev libxpm4 libxrandr-dev 
>   libxrandr2 libxrender-dev libxrender1 libxslt1.1 libxt-dev libxt6 
>   libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev libxv1 
>   linux-kernel-headers myspell-en-us nautilus-data ntp-server pm-dev 
>   po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec 
>   python2.3-numeric render-dev sane-utils shared-mime-info spamc 
>   squid-common sysv-rc tcl8.4 vim-common wamerican x-dev xlibmesa-dri 
>   xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev xml-core yelp 
> The following packages will be REMOVED:
>   amor ark artsbuilder console-tools-libs discover-data eyesapplet 
>   fifteenapplet gaim-common gnome-help kamera kandy karm kasteroids kate 
>   katomic kbackgammon kbattleship kblackbox kcalc kcharselect kcmlinuz 
>   kcoloredit kcron kdeartwork-style kdebase kdebase-libs kdecarddecks 
>   kdelibs3 kdelibs3-bin kdepasswd kdepim-libs kdessh kdf kdict kedit kfind 
>   kfloppy kgeo kghostview khexedit kicker-applets kiconedit kjots 
>   kjumpingcube klaptopdaemon klines kmahjongg kmail kmid kmines kmix kmoon 
>   knewsticker knode knotes kodo konq-plugins konqueror konquest konsole 
>   kooka korganizer korn kpackage kpaint kpat kpilot kpoker kppp kreversi 
>   kruler ksame kscd kscreensaver kshisen ksirc ksirtet ksmiletris ksnake 
>   ksnapshot ksokoban kspaceduel kstars ksysv kteatime ktimer ktouch ktron 
>   ktuberling ktux kuser kview kweather kwin4 kworldclock libarts 
>   libarts-mpeglib libaspell10 libdigest-md5-perl libfam0 libgtk-common 
>   libkdegames libkdenetwork1 libkmid libkonq3 libkscan1 liblcms liblcms-dev 
>   liblinc1 libmagick5 libmime-base64-perl libmimelib1 libpango-common 
>   libpng-dev libpspell-ispell1 libpspell4 libqt3-dev libroken9-heimdal 
>   libvorbis0 lskat mpeglib nas-lib noatun noatun-plugins quanta secpolicy 
> The following packages will be upgraded:
>   aalib1 abiword-common abiword-gnome adduser analog apache apache-common 
>   apt apt-file apt-utils aptitude asclock-themes ash aspell-en aterm 
>   autoconf autoconf2.13 autotools-dev balsa base-config base-files 
>   base-passwd bash bc bind9 bind9-doc bind9-host binutils binutils-doc 
>   bison bitchx bluefish bonobo bonobo-activation bsdmainutils bsdutils 
>   bug-buddy bzip2 cabextract cddb cdrecord console-common console-data 
>   console-tools cowsay cpio cpp cpp-2.95 cracklib2 cramfsprogs cron cvs 
>   debconf debconf-utils debhelper debianutils deborphan defoma dfontmgr
>   dhcp dhcp-client dia-common dia-gnome dialog diff dnsutils docbook 
>   docbook-dsssl docbook-xml dosfstools dpkg dpkg-dev e2fsprogs ed edict 
>   eggdrop eject enscript eog esound esound-common ethereal ethereal-common 
>   etherwake fam fdutils file file-roller fileutils findutils finger 
>   firestarter flex fluxbox fnlib-data fortune-mod fortunes-min g++ g++-2.95 
>   gaim galeon galeon-common gawk gcc gcc-2.95 gcc-2.95-doc gconf 
>   gconf-editor gconf2 gdb gdk-imlib1 gdm gedit gettext gettext-base 
>   gettext-el gimp-data-extras gimp1.2 gkrellm gksu gnome-applets gnome-bin 
>   gnome-control-center gnome-core gnome-doc-tools gnome-games gnome-gv 
>   gnome-libs-data gnome-media gnome-mime-data gnome-panel gnome-panel-data 
>   gnome-session gnome-terminal gnome-utils gnome-vfs-extfs gnomemeeting 
>   gnumeric gnupg gphoto2 gpm grep groff-base grub gs gs-common gsfonts 
>   gsfonts-x11 gv gzip hermes1 hostname hotplug html2text ifupdown 
>   imagemagick imlib-base imlib1 info initrd-tools iptables iputils-ping 
>   irssi-text ispell jade java-common jikes kaffe kanjidic kdeartwork-misc 
>   kdewallpapers kernel-package klogd knewsticker-scripts krb5-config less 
>   lesstif1 libacl1 libadns1 libao2 libapm1 libappconfig-perl 
>   libapt-pkg-perl libart-2.0-2 libart2 libasound2 libatk1.0-0 libattr1 
>   libaudiofile0 libbonobo-activation4 libbonobo2 libbonobo2-0 
>   libbonobo2-common libbz2-1.0 libc6 libc6-dev libcap1 libcapplet1 libcdk4 
>   libcdparanoia0 libcompress-zlib-perl libcupsys2 libdb2 libdb3 libdb3-util
>   libdevel-symdump-perl libdigest-sha1-perl libdiscover1 libdps1 libefs1 
>   libesd0 libesmtp5 libexpat1 libexpat1-dev libffi2 libfinance-quote-perl 
>   libfreetype6 libfreetype6-dev libfribidi0 libft-perl libgcc1 libgconf11 
>   libgconf2-4 libgd1 libgd2 libgdbmg1 libgdk-pixbuf-gnome2 libgdk-pixbuf2 
>   libghttp1 libgimpprint1 libglade-gnome0 libglade-perl libglade0 
>   libglade2-0 libgle3 libglib1.2 libglib2.0-0 libgmp3 libgnome-vfs-common 
>   libgnome-vfs0 libgnome32 libgnomeprint-bin libgnomeprint-data 
>   libgnomeprint15 libgnomesupport0 libgnomeui32 libgnomevfs2-0 
>   libgnomevfs2-common libgnorba27 libgnorbagtk0 libgpmg1 libgsm1 
>   libgssapi1-heimdal libgtk-perl libgtk1.2 libgtk1.2-common libgtk2.0-0 
>   libgtk2.0-common libgtkxmhtml1 libgtop1 libguile9 libhesiod0 
>   libhtml-parser-perl libhtml-tableextract-perl libhtml-tagset-perl
>   libhtml-tree-perl libid3tag0 libident libidl0 libio-stringy-perl 
>   libisccc0 libisccfg0 libjpeg-progs libjpeg62 libjpeg62-dev libkeynote0 
>   libkrb-1-kerberos4kth libkrb5-17-heimdal libkrb53 libldap2 liblircclient0 
>   liblocale-gettext-perl liblockfile1 libltdl3 liblua40 liblualib40 
>   liblwres1 liblzo1 libmad0 libmailtools-perl libmime-perl libmng-dev 
>   libmng1 libncurses5 libncurses5-dev libncursesw5 libnet-perl libnetpbm9 
>   libnews-nntpclient-perl libnspr4 libnss3 liboaf0 libogg0 liborbit0 
>   liborbit2 libpam-modules libpam-runtime libpam0g libpango1.0-0 
>   libpango1.0-common libpaperg libpcre3 libpng2 libpng3 libpopt0 
>   libraw1394-5 libreadline4 librecode0 librpm4 libsane libscrollkeeper0 
>   libsdl1.2debian libsdl1.2debian-oss libslp1 libsmbclient libsnmp-base 
>   libsnmp4.2 libsp1 libsqlite0 libssl0.9.6 libstdc++2.10-dev 
>   libstdc++2.10-glibc2.2 libtext-iconv-perl libtiff-tools libtimedate-perl 
>   libtool libttf2 libungif4g liburi-perl libusb-0.1-4 libvncauth0 libwrap0 
>   libwww-perl libxaw6 libxaw7 libxml-parser-perl libxml1 libxml2 libxslt1 
>   libzephyr3 libzvt2 lilo links lm-sensors locales login logrotate lsof 
>   lwresd lynx m4 mailx make makedev man-db manpages manpages-dev mawk mbr 
>   mdetect menu metacity mime-support mkisofs mlock modconf modutils mount 
>   mozilla-browser mozilla-psm msttcorefonts nano nautilus ncftp 
>   ncurses-base ncurses-bin net-tools netbase netcat netkit-inetd netpbm 
>   nmap ntop ntp ntp-simple ntpdate nvi oaf openssl passwd patch pciutils 
>   perl perl-base perl-modules perl-suid pilot-link pkg-config portmap 
>   poster postfix postfix-doc postfix-ldap postfix-pcre powermgmt-base ppp 
>   pppconfig pppoe pppoeconf procmail procps psfontmgr psmisc psutils python 
>   python2.1 rcs read-edid recover root-tail rpm samba-common samba-doc 
>   screen scrollkeeper sed setserial sgml-base sgml-data shellutils slang1 
>   slang1a-utf8 smbclient smbfs sodipodi spamassassin squid ssh stunnel sudo 
>   symlinks synaptic sysklogd syslinux sysvinit t1lib1 tar tasksel tcl8.0 
>   tcl8.3 tcpd tcpdump tcptraceroute telnet textutils tidy tinyproxy ucf 
>   unzip usbutils util-linux vim vlock vnc-common vncserver vorbis-tools 
>   vsftpd wget whiptail whois x-ttcidfont-conf x-window-system-core xaw3dg 
>   xbase-clients xchat xchat-common xfonts-100dpi xfonts-75dpi xfonts-base 
>   xfonts-scalable xfree86-common xlibmesa3 xlibs xlibs-dev xmms xpdf 
>  xpdf-common xpdf-reader xpdf-utils xscreensaver xscreensaver-gl 
>   xscreensaver-gnome xserver-common xserver-xfree86 xterm xutils xvncviewer 
>   zip zlib1g zlib1g-dev 
> 510 packages upgraded, 248 newly installed, 126 to remove and 2 not upgraded.
> Need to get 132kB/407MB of archives. After unpacking 386MB will be used

It would appear that the upgrade involves switching from KDE to Gnome -
can you confirm that you didn't request this during the upgrade?

Regards

Clive

-- 
www.clivemenzies.co.uk ...
...strategies for business





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 310490@bugs.debian.org (full text, mbox):

From: <allomber@math.u-bordeaux.fr>
To: astronut <astronut@gmail.com>, 310490@bugs.debian.org
Subject: Re: Upgrade report
Date: Wed, 25 May 2005 11:27:39 +0200
On Mon, May 23, 2005 at 06:03:36PM -0400, astronut wrote:
> >Further Comments/Problems:
> 
> 126 packages failed to upgrade....some are understandable, however
> others should have... aptitude ouptut at end of message. I have a
> complete log of the install proccess, however I didn't attach due to
> all the terminal garbage it has. Available upon request. This was done
> in VMware, and I saved copies, so I have both a woody system ready to
> upgrade again and a running sarge (and can make more copies of
> either).
> 
> 
> >Please attach the output of "COLUMNS=200 dpkg -l" (or "env COLUMNS
> ...", depending on your shell) from before and after the upgrade so
> that we  know what packages were installed on your system.
> 
> Attached as packages.woody and packages.sarge

I cannot find your attachment. We really need the packages.woody
file in order to investigate why so many packages are removed.
 
Thanks in advance,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <ballombe@master.debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 310490@bugs.debian.org (full text, mbox):

From: Bill Allombert <ballombe@master.debian.org>
To: astronut <astronut@gmail.com>, 310490@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#310490: Upgrade report
Date: Wed, 25 May 2005 16:58:18 -0500
severity 310490 important
tags 310490 confirmed
quit
On Mon, May 23, 2005 at 06:03:36PM -0400, astronut wrote:
> Package: upgrade-reports
> 
> Archive date: Mon May 23 19:00:01 UTC 2005
> Upgrade date: Late Afternoon EST 5/23/05
> uname -a: Old: Linux debian-test 2.2.20 #1 Sat Apr 20 11:45:28 EST
> 2002 i686 unknown
> New: Linux debian-test 2.2.20 #1 Sat Apr 20 11:45:28 EST 2002 i686 GNU/Linux
> (Time is weird, seems to be a thing with vmware)

This is the time the kernel was built, nothing wrong here. 

> Method: aptitude -f dist-upgrade

> 126 packages failed to upgrade....some are understandable, however
> others should have... aptitude ouptut at end of message. I have a
> complete log of the install proccess, however I didn't attach due to
> all the terminal garbage it has. Available upon request. This was done
> in VMware, and I saved copies, so I have both a woody system ready to
> upgrade again and a running sarge (and can make more copies of
> either).

With the package list, I can duplicate that problem. This seems a pretty
serious breakage, probably due to some major dependency loops.

aptitude -f --with-recommends dist-upgrade
does not make things work better.

aptitude install -f aptitude try to remove twice more packages.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here.



Severity set to `important'. Request was from Bill Allombert <ballombe@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from Bill Allombert <ballombe@master.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Andrew Donnellan <ajdlinux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 310490@bugs.debian.org (full text, mbox):

From: Andrew Donnellan <ajdlinux@gmail.com>
To: 310490@bugs.debian.org, 310490-submitter@bugs.debian.org, ballombe@master.debian.org
Subject: Re: Upgrade report
Date: Thu, 26 May 2005 10:27:44 +1000
Where are the attached package lists? I'd like to find out what
dependancy loops exist and what needs to be fixed. Because KDE is
removed, I'm thinking probably Qt or kdelibs is affected, and
something must depend on new GNOME packages, because there are a lot
of them.

Andrew Donnellan
Debian report processing



Message sent on to astronut <astronut@gmail.com>:
Bug#310490. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 310490@bugs.debian.org (full text, mbox):

From: astronut <astronut@gmail.com>
To: Andrew Donnellan <ajdlinux@gmail.com>, 310490-quiet@bugs.debian.org
Cc: 310490@bugs.debian.org, 310490-submitter@bugs.debian.org, ballombe@master.debian.org
Subject: Re: Bug#310490: Upgrade report
Date: Thu, 26 May 2005 08:21:15 -0400
BTS must have dropped attached. I tried sening from shell after it was
brought to my attention, but BTS's mail server dropped because it
couldn't confirm sender astronut@debian.yourtcs.com... I'll fool with
it as soon as I can...my modem got fried by lightning and I'm without
a connection at home temproarily. New modem is on the way (if you can
trust alltel). I'll get them out ASAP

On 5/25/05, Andrew Donnellan <ajdlinux@gmail.com> wrote:
> Where are the attached package lists? I'd like to find out what
> dependancy loops exist and what needs to be fixed. Because KDE is
> removed, I'm thinking probably Qt or kdelibs is affected, and
> something must depend on new GNOME packages, because there are a lot
> of them.
> 
> Andrew Donnellan
> Debian report processing
> 
>



Information stored:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@gmail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to astronut <astronut@gmail.com>:
Bug#310490. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 310490@bugs.debian.org (full text, mbox):

From: astronut <astronut@gmail.com>
To: 310490@bugs.debian.org
Cc: Bill Allombert <ballombe@master.debian.org>, Clive Menzies <clive@clivemenzies.co.uk>
Subject: Text files
Date: Thu, 26 May 2005 12:47:30 -0400
Ok, for some reason, BTS keeps bouncing my lists. They are at 
http://astronut.hopto.org/packages.woody and
http://astronut.hopto.org/packages.sarge.

If they have any problems, it's most likely my system, I got hit by
lightning, and some things are still screwed up. (Anyone have a cheap
switch for sale? ;-)). Let me know what tests you need, as I said, I
have copies of both systems.

astronut



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 310490@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: astronut <astronut@gmail.com>
Cc: 310490@bugs.debian.org, Clive Menzies <clive@clivemenzies.co.uk>
Subject: Re: Text files
Date: Thu, 26 May 2005 19:00:18 +0200
On Thu, May 26, 2005 at 12:47:30PM -0400, astronut wrote:
> Ok, for some reason, BTS keeps bouncing my lists. They are at 
> http://astronut.hopto.org/packages.woody and
> http://astronut.hopto.org/packages.sarge.
> 
> If they have any problems, it's most likely my system, I got hit by
> lightning, and some things are still screwed up. (Anyone have a cheap
> switch for sale? ;-)). Let me know what tests you need, as I said, I
> have copies of both systems.

In case of problem I have made a copy here:
<http://people.debian.org/~ballombe/misc/packages.woody>

With your packages.woody I can rebuild exactly your configuration
(as far as packages/version as concerned).

I am investigating right now. It seems Debian KDE packages have too
much circular dependencies.

If you have time you can try to upgrade with dselect instead and report
how less painful it was, or try aptitude in interactive mode. 

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@debian.yourtcs.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 310490@bugs.debian.org (full text, mbox):

From: astronut <astronut@debian.yourtcs.com>
To: allomber@math.u-bordeaux.fr
Cc: 310490@bugs.debian.org
Subject: packages.woody
Date: Wed, 25 May 2005 14:02:22 -0400
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name                                         Version                                      Description
+++-============================================-============================================-========================================================================================================
ii  aalib1                                       1.4p5-13                                     ascii art library
ii  abiword-common                               1.0.2+cvs.2002.06.05-1woody2                 WYSIWYG word processor
ii  abiword-gnome                                1.0.2+cvs.2002.06.05-1woody2                 WYSIWYG word processor based on GTK/GNOME
ii  adduser                                      3.47                                         Add and remove users and groups
ii  amor                                         2.2.2-4                                      a KDE creature for your desktop
ii  analog                                       5.23-0woody1                                 analyzes logfiles from web servers
ii  apache                                       1.3.26-0woody6                               Versatile, high-performance HTTP server
ii  apache-common                                1.3.26-0woody6                               Support files for all Apache webservers
ii  apt                                          0.5.4                                        Advanced front-end for dpkg
ii  apt-file                                     0.2.3-4                                      APT package searching utility -- command-line interface
ii  apt-utils                                    0.5.4                                        APT utility programs
ii  aptitude                                     0.2.11.1-4                                   curses-based apt frontend
ii  ark                                          2.2.2-9.2                                    An archiver for KDE
ii  artsbuilder                                  2.2.2-8.2                                    Arts synthesizer designer
ii  asclock-themes                               2.0.12-5                                     Theme files for ASclock, a clock applet
ii  ash                                          0.3.8-37                                     NetBSD /bin/sh
ii  aspell-en                                    0.33.7.1.1-9                                 English dictionary for aspell
ii  at                                           3.1.8-11                                     Delayed job execution and batch processing
ii  aterm                                        0.4.2-3                                      Afterstep XVT - a VT102 emulator for the X window system
ii  autoconf                                     2.53-2                                       automatic configure script builder
ii  autoconf2.13                                 2.13-43                                      automatic configure script builder (obsolete version)
ii  automake                                     1.4-p4-1.1                                   A tool for generating GNU Standards-compliant Makefiles.
ii  autotools-dev                                20020320.1                                   Update infrastructure for config.{guess,sub} files
ii  balsa                                        1.2.4-2.2                                    GNOME email client
ii  base-config                                  1.33.18                                      Debian base configuration package
ii  base-files                                   3.0.2                                        Debian base system miscellaneous files
ii  base-passwd                                  3.4.1                                        Debian Base System Password/Group Files
ii  bash                                         2.05a-11                                     The GNU Bourne Again SHell
ii  bc                                           1.06-8                                       The GNU bc arbitrary precision calculator language
ii  bind9                                        9.2.1-2.woody.2                              Internet Domain Name Server
ii  bind9-doc                                    9.2.1-2.woody.2                              Documentation for BIND
ii  bind9-host                                   9.2.1-2.woody.2                              Version of 'host' bundled with BIND 9.X
ii  binutils                                     2.12.90.0.1-4                                The GNU assembler, linker and binary utilities.
ii  binutils-doc                                 2.12.90.0.1-4                                Documentation for the GNU assembler, linker and binary utilities.
ii  bison                                        1.35-3                                       A parser generator that is compatible with YACC.
ii  bitchx                                       1.0-0c19-1.1                                 Advanced Internet Relay Chat client
ii  bluefish                                     0.7-1                                        A Gtk+ HTML editor
ii  bonobo                                       1.0.20-1                                     The GNOME Bonobo System.
ii  bonobo-activation                            0.9.6-1                                      Bonobo Activation Framework
ii  bsdmainutils                                 5.20020211-4.99                              More utilities from FreeBSD.
ii  bsdutils                                     2.11n-7                                      Basic utilities from 4.4BSD-Lite.
ii  bug-buddy                                    2.0.8-1                                      A graphical bug reporting tool for GNOME
ii  bzip2                                        1.0.2-1                                      A high-quality block-sorting file compressor - utilities
ii  cabextract                                   0.2-2b                                       a program to extract Microsoft Cabinet files
ii  cddb                                         2.6-14                                       CD DataBase support tools
ii  cdrecord                                     1.10-7                                       A command line CD/DVD writing tool
ii  console-common                               0.7.14                                       Basic infrastructure for text console configuration
ii  console-data                                 1999.08.29-24.2                              Keymaps, fonts, charset maps, fallback tables for console-tools
ii  console-tools                                0.2.3-23.3                                   Linux console and font utilities.
ii  console-tools-libs                           0.2.3-23.3                                   Shared libraries for Linux console and font manipulation.
ii  cowsay                                       3.03-3                                       a configurable talking cow
ii  cpio                                         2.4.2-39woody1                               GNU cpio -- a program to manage archives of files.
ii  cpp                                          2.95.4-14                                    The GNU C preprocessor.
ii  cpp-2.95                                     2.95.4-11woody1                              The GNU C preprocessor.
ii  cracklib2                                    2.7-8.5                                      A pro-active password checker library
ii  cramfsprogs                                  1.1-3                                        Tools for CramFs (Compressed ROM File System).
ii  cron                                         3.0pl1-72                                    management of regular background processing
ii  cvs                                          1.11.1p1debian-10                            Concurrent Versions System
ii  debconf                                      1.0.32                                       Debian configuration management system
ii  debconf-utils                                1.0.32                                       debconf utilities
ii  debhelper                                    4.0.2                                        helper programs for debian/rules
ii  debianutils                                  1.16.2woody1                                 Miscellaneous utilities specific to Debian.
ii  deborphan                                    1.0-3                                        Find orphaned libraries.
ii  defoma                                       0.11.0                                       Debian Font Manager -- automatic font configuration framework.
ii  dfontmgr                                     0.11.0                                       GUI frontend for defoma, DEbian FOnt MAnager.
ii  dhcp                                         2.0pl5-11woody1                              DHCP server for automatic IP address assignment
ii  dhcp-client                                  2.0pl5-11woody1                              DHCP Client
ii  dia-common                                   0.88.1-3                                     Diagram editor (common files)
ii  dia-gnome                                    0.88.1-3                                     Diagram editor (GNOME version)
ii  dialog                                       0.9a-20020309a-1                             Displays user-friendly dialog boxes from shell scripts
ii  diff                                         2.7-29                                       File comparison utilities
ii  discover-data                                1.2002.03.19                                 hardware lists for libdiscover1
ii  dlint                                        1.4.0-4                                      Checks dns zone information using nameserver lookups
ii  dnsutils                                     9.2.1-2.woody.2                              Clients provided with BIND
ii  docbook                                      4.1.99really4.2.cr1-2                        SGML DTD for authors of technical documentation
ii  docbook-dsssl                                1.76-1                                       Modular DocBook DSSSL stylesheets, for print and HTML
ii  docbook-xml                                  4.1.99really4.2.cr1-2                        XML DTD for DocBook, also known as DocBk XML
ii  dosfstools                                   2.8-1                                        Utilities to create and check MS-DOS FAT filesystems
ii  dpkg                                         1.9.21                                       Package maintenance system for Debian
ii  dpkg-dev                                     1.9.21                                       Package building tools for Debian
ii  e2fsprogs                                    1.27-2                                       The EXT2 file system utilities and libraries.
ii  ed                                           0.2-19                                       The classic unix line editor
ii  edict                                        2001.12.04-1                                 English/Japanese dictionary.
ii  eggdrop                                      1.6.8-2                                      Advanced IRC Robot
ii  eject                                        2.0.3-1                                      ejects CDs and operates CD-Changers under Linux
ii  enscript                                     1.6.3-1.3                                    Converts ASCII text to Postscript, HTML, RTF or Pretty-Print
ii  eog                                          0.6-6                                        Eye of Gnome graphics viewer program
ii  esound                                       0.2.23-3                                     Enlightened Sound Daemon - Support binaries
ii  esound-common                                0.2.23-3                                     Enlightened Sound Daemon - Common files
ii  ethereal                                     0.9.4-1woody12                               Network traffic analyzer
ii  ethereal-common                              0.9.4-1woody12                               Network traffic analyser (common files)
ii  etherwake                                    1.06-2                                       A little tool to send magic Wake-on-LAN packets
rc  exim                                         3.35-1woody4                                 An MTA (Mail Transport Agent)
ii  eyesapplet                                   2.2.2-4                                      eyes applet for KDE
ii  fam                                          2.6.6.1-5.2                                  File Alteration Monitor
ii  fdutils                                      5.3-7                                        Linux floppy utilities
ii  fifteenapplet                                2.2.2-4                                      fifteen pieces puzzle for KDE
ii  file                                         3.37-3.1.woody.1                             Determines file type using "magic" numbers
ii  file-roller                                  0.8-1                                        an Archiver for GNOME
ii  fileutils                                    4.1-10                                       GNU file management utilities
ii  findutils                                    4.1.7-2                                      utilities for finding files--find, xargs, and locate
ii  finger                                       0.17-6                                       User information lookup program.
ii  firestarter                                  0.8.2-3woody1                                gtk program for managing and observing your firewall.
ii  flex                                         2.5.4a-24                                    A fast lexical analyzer generator.
ii  fluxbox                                      0.1.7-3                                      Highly configurable and low resource X11 Window manager
ii  fnlib-data                                   0.5-7                                        Font files needed by Fnlib
ii  fortune-mod                                  9708-25                                      Fortune cookies provided upon demand.
ii  fortunes-min                                 9708-25                                      Data files containing fortune cookies
ii  g++                                          2.95.4-14                                    The GNU C++ compiler.
ii  g++-2.95                                     2.95.4-11woody1                              The GNU C++ compiler.
ii  gaim                                         0.58-2.5                                     GPL multi-protocol instant messenger client - Gtk+ version
ii  gaim-common                                  0.58-2.5                                     GPL multi-protocol instant messenger client - common files
ii  galeon                                       1.2.5-0.woody.1                              Mozilla based web browser with GNOME look and feel
ii  galeon-common                                1.2.5-0.woody.1                              Mozilla based web browser with GNOME look and feel - shared files
ii  gawk                                         3.1.0-3                                      GNU awk, a pattern scanning and processing language
ii  gcc                                          2.95.4-14                                    The GNU C compiler.
ii  gcc-2.95                                     2.95.4-11woody1                              The GNU C compiler.
ii  gcc-2.95-doc                                 2.95.4-11woody1                              Documentation for the GNU compilers (gcc, gobjc, g++).
ii  gcc-3.0-base                                 3.0.4-7                                      The GNU Compiler Collection (base package).
ii  gconf                                        1.0.9-1                                      GNOME configuration database system. (daemon and tools)
ii  gconf-editor                                 0.1-5                                        An editor for the GConf configuration system.
ii  gconf2                                       1.1.9-1                                      GNOME configuration database system. (daemon and tools, for GNOME2)
ii  gdb                                          5.2.cvs20020401-6                            The GNU Debugger
ii  gdk-imlib1                                   1.9.14-2woody2                               Gdk-Imlib is an imaging library for use with gtk
ii  gdm                                          2.2.5.5-2                                    GNOME Display Manager
ii  gedit                                        0.9.6-4                                      Light-weight text editor
ii  gettext                                      0.10.40-5                                    GNU Internationalization utilities
ii  gettext-base                                 0.10.40-5                                    GNU Internationalization utilities for the base system
ii  gettext-el                                   0.10.40-5                                    Emacs po-mode for editing .po files.
ii  gij-3.0                                      3.0.4-7                                      The GNU Java bytecode interpreter.
ii  gimp-data-extras                             1.2.0-3                                      An extra set of brushes, palettes, and gradients for The GIMP
ii  gimp1.2                                      1.2.3-2                                      The GNU Image Manipulation Program, stable version 1.2
ii  gkrellm                                      1.2.10-1                                     Multiple stacked system monitors: 1 process.
ii  gksu                                         0.6                                          Gtk+ Frontend to su and sudo
ii  gnome-applets                                1.4.0.5-2                                    Various applets for GNOME panel
ii  gnome-bin                                    1.4.1.4-3                                    Miscellaneous binaries used by Gnome
ii  gnome-card-games                             1.4.0.3-6.1                                  Gnome card games - Solitaire games (FreeCell, Klondike, Spider, etc)
ii  gnome-control-center                         1.4.0.5-3                                    The Gnome Control Center
ii  gnome-core                                   1.4.0.6-5                                    Common files for Gnome core apps
ii  gnome-doc-tools                              1.0-6                                        Tools, stylesheets and DTDs for GNOME.
ii  gnome-games                                  1.4.0.3-6.1                                  Empty package that requires the installation of all gnome-games packages.
ii  gnome-games-locale                           1.4.0.3-6.1                                  The locale databases for the gnome-games packages.
ii  gnome-gataxx                                 1.4.0.3-6.1                                  This is a GNOME port of the old game ataxx.
ii  gnome-glines                                 1.4.0.3-6.1                                  This is a version of the color lines program
ii  gnome-gnibbles                               1.4.0.3-6.1                                  A cute little game that has no description
ii  gnome-gnobots2                               1.4.0.3-6.1                                  Second Gnome version of robots game for BSD games collection
ii  gnome-gnometris                              1.4.0.3-6.1                                  A tetris clone.
ii  gnome-gnomine                                1.4.0.3-6.1                                  Classic find the mines in the minefield game (from Gnome)
ii  gnome-gnotravex                              1.4.0.3-6.1                                  A game based on Tetravex.
ii  gnome-gnotski                                1.4.0.3-6.1                                  Derivative game from Klotski.
ii  gnome-gtali                                  1.4.0.3-6.1                                  Gnome version of Yahtzee Dice Game
ii  gnome-gv                                     1.1.96-3.1                                   GNOME PostScript/PDF viewer
ii  gnome-help                                   1.4.0.6-5                                    GNOME help browser
ii  gnome-iagno                                  1.4.0.3-6.1                                  Gnome version of Othello (Reversi) board game
ii  gnome-libs-data                              1.4.1.4-3                                    Data for Gnome libraries
ii  gnome-mahjongg                               1.4.0.3-6.1                                  Classic Chinese Tile Game (from Gnome)
ii  gnome-media                                  1.2.3-4                                      Gnome Media Utilities (gmix, gtcd)
ii  gnome-mime-data                              1.0.5-1                                      base MIME and Application database for GNOME.
ii  gnome-panel                                  1.4.0.6-5                                    Launch and/or dock Gnome applications
ii  gnome-panel-data                             1.4.0.6-5                                    Data files for GNOME panel
ii  gnome-same-gnome                             1.4.0.3-6.1                                  The "Same Game" puzzle (from Gnome)
ii  gnome-session                                1.4.0.6-5                                    The Gnome Session Manager
ii  gnome-stones                                 1.4.0.3-6.1                                  Stones games
ii  gnome-terminal                               1.4.0.6-5                                    The Gnome terminal emulator application
ii  gnome-utils                                  1.4.1.2-4                                    Gnome Utilities (gtt, gsearchtool, and more)
ii  gnome-vfs-extfs                              1.0.5-1                                      The GNOME virtual file-system extra fs scripts for GMC.
ii  gnome-xbill                                  1.4.0.3-6.1                                  Fight the infection.
ii  gnomemeeting                                 0.12.2-2                                     H323 Compatible Netmeeting clone for the Gnome Desktop
ii  gnumeric                                     1.0.8-1t1                                    A GNOME spreadsheet application
ii  gnupg                                        1.0.6-4woody3                                GNU privacy guard - a free PGP replacement.
ii  gphoto2                                      2.0final-4                                   The gphoto2 digital camera library
ii  gpm                                          1.19.6-12                                    General Purpose Mouse Interface
ii  grep                                         2.4.2-3                                      GNU grep, egrep and fgrep.
ii  groff-base                                   1.17.2-15.woody.1                            GNU troff text-formatting system (base system components)
ii  grub                                         0.91-2                                       GRand Unified Bootloader
ii  gs                                           6.53-3                                       The Ghostscript Postscript interpreter
ii  gs-common                                    0.3.3.0woody1                                Common files for different Ghostscript releases
ii  gsfonts                                      6.0-2                                        Fonts for the ghostscript interpreter
ii  gsfonts-x11                                  0.16                                         Make Ghostscript fonts available to X11.
ii  gv                                           3.5.8-26.1                                   A PostScript and PDF viewer for X using 3d Athena Widgets
ii  gzip                                         1.3.2-3woody3                                The GNU compression utility.
ii  hermes1                                      1.3.2-2.1                                    The Hermes pixel-format library
ii  hostname                                     2.09                                         A utility to set/show the host name or domain name
ii  hotplug                                      0.0.20020114-7                               Linux Hotplug Scripts
ii  html2text                                    1.3.0.1-1                                    An advanced HTML to text converter.
ii  ifupdown                                     0.6.4-4                                      High level tools to configure network interfaces
ii  imagemagick                                  5.4.4.5-1woody6                              Image manipulation programs.
ii  imlib-base                                   1.9.14-2woody2                               Common files needed by the Imlib/Gdk-Imlib packages
ii  imlib1                                       1.9.14-2woody2                               Imlib is an imaging library for X and X11
ii  info                                         4.1-2                                        Standalone GNU Info documentation browser
ii  initrd-tools                                 0.1.32woody.3                                Tools to generate an initrd image.
ii  ipchains                                     1.3.10-15                                    Network firewalling for Linux 2.2.x
ii  iptables                                     1.2.6a-5.0woody2                             IP packet filter administration tools for 2.4.4+ kernels
ii  iputils-ping                                 20020124-3                                   The ping utility from iputils
ii  irssi-text                                   0.8.4-3.1                                    text-mode version of the irssi IRC client
ii  ispell                                       3.1.20-21.1                                  International Ispell (an interactive spelling corrector)
ii  jade                                         1.2.1-28                                     James Clark's DSSSL Engine
ii  java-common                                  0.14                                         Base of all Java packages
ii  jikes                                        1.15-2                                       Fast Java compiler adhering to language and VM specifications
ii  kaffe                                        1.0.5e-0.5                                   A JVM to run Java bytecode
ii  kamera                                       2.2.2-6.11                                   digital camera io_slave for Konqueror
ii  kandy                                        2.2.2-5.2                                    Mobile phone utility for KDE
ii  kanjidic                                     2001.05.22-1                                 A Kanji Dictionary
ii  karm                                         2.2.2-9.2                                    A time tracker for KDE
ii  kasteroids                                   2.2.2-2.2                                    Asteroids for KDE
ii  kate                                         2.2.2-14.9                                   text editor for KDE
ii  kate-plugins                                 2.2.2-4                                      plugins for Kate, the KDE text editor
ii  katomic                                      2.2.2-2.2                                    The Atomic Entertainment Handbook
ii  kbackgammon                                  2.2.2-2.2                                    A Backgammon game for KDE
ii  kbattleship                                  2.2.2-2.2                                    Battleship game for KDE
ii  kblackbox                                    2.2.2-2.2                                    A simple logical game for the KDE project
ii  kcalc                                        2.2.2-9.2                                    A calculator for KDE
ii  kcharselect                                  2.2.2-9.2                                    A Character set selector for KDE
ii  kcmlinuz                                     2.2.2-7.2                                    KDE Frontend for the Linux kernel configuration
ii  kcoloredit                                   2.2.2-6.11                                   An editor for palette files
ii  kcron                                        2.2.2-7.2                                    Crontab editor for KDE
ii  kdeartwork-misc                              2.2.2-1                                      various multimedia goodies released with KDE
ii  kdeartwork-style                             2.2.2-1                                      widget styles released with KDE
ii  kdeartwork-theme-window                      2.2.2-1                                      window decoration themes released with KDE
ii  kdebase                                      2.2.2-14.9                                   KDE core applications
ii  kdebase-libs                                 2.2.2-14.9                                   KDE libraries and modules for kdebase
ii  kdecarddecks                                 2.2.2-2.2                                    Card decks for KDE games
ii  kdelibs3                                     2.2.2-13.woody.14                            KDE core libraries (runtime files)
ii  kdelibs3-bin                                 2.2.2-13.woody.14                            KDE core binaries (binary files)
ii  kdepasswd                                    2.2.2-9.2                                    A Password changer frontend for KDE
ii  kdepim-libs                                  2.2.2-5.2                                    KDE libraries amd modules for kdepim
ii  kdessh                                       2.2.2-4.1                                    Frontend to ssh for KDE
ii  kdewallpapers                                2.2.2-14.9                                   Some wallpapers for KDE
ii  kdf                                          2.2.2-9.2                                    Disk space GUI for KDE
ii  kdict                                        2.2.2-14.7                                   dict client based on KDE/Qt
ii  kedit                                        2.2.2-9.2                                    A simple text editor for KDE
ii  kernel-package                               7.107                                        Debian Linux kernel package build scripts.
ii  kfind                                        2.2.2-9.2                                    A KDE based file finder
ii  kfloppy                                      2.2.2-9.2                                    A floppy disk formatter frontend
ii  kgeo                                         1.0.2-2                                      an interactive geometry program for KDE
ii  kghostview                                   2.2.2-6.11                                   PostScript viewer for KDE.
ii  khexedit                                     2.2.2-9.2                                    A hex editor for KDE
ii  kicker-applets                               2.2.2-4                                      applets for Kicker, the KDE panel
ii  kiconedit                                    2.2.2-6.11                                   An icon editor for creating KDE icons
ii  kjots                                        2.2.2-9.2                                    A small note taker program for KDE
ii  kjumpingcube                                 2.2.2-2.2                                    Tactical one or two player game
ii  klaptopdaemon                                2.2.2-9.2                                    battery monitoring and management for laptops
ii  klines                                       2.2.2-2.2                                    Color lines for KDE
ii  klogd                                        1.4.1-10                                     Kernel Logging Daemon
ii  kmahjongg                                    2.2.2-2.2                                    the classic mahjongg game for KDE project
ii  kmail                                        2.2.2-14.7                                   Mail Client based on Qt and KDE
ii  kmid                                         2.2.2-8.2                                    midi/karaoke player for KDE
ii  kmines                                       2.2.2-2.2                                    Minesweeper for KDE
ii  kmix                                         2.2.2-8.2                                    KDE based mixer app
ii  kmoon                                        2.2.2-4                                      moon phase indicator for KDE
ii  knewsticker                                  2.2.2-14.7                                   A News ticker for KDE
ii  knewsticker-scripts                          2.2.2-4                                      scripts for KNewsTicker, the KDE news ticker
ii  knode                                        2.2.2-14.7                                   News reader for KDE
ii  knotes                                       2.2.2-9.2                                    Sticky notes for KDE
ii  kodo                                         2.2.2-4                                      mouse odometer for KDE
ii  konq-plugins                                 2.2.2-4                                      plugins for Konqueror, the KDE file/web/doc browser
ii  konqueror                                    2.2.2-14.9                                   KDE's advanced File Manager, Web Browser and Document Viewer
ii  konquest                                     2.2.2-2.2                                    KDE based GNU-Lactic Konquest game
ii  konsole                                      2.2.2-14.9                                   X terminal emulation for KDE
ii  kooka                                        2.2.2-6.11                                   Scanner program for KDE2
ii  korganizer                                   2.2.2-5.2                                    Personal organizer based on Qt and KDE
ii  korn                                         2.2.2-14.7                                   Mail notifier for KDE
ii  kpackage                                     2.2.2-7.2                                    Software package tool for KDE
ii  kpaint                                       2.2.2-6.11                                   A Simple Paint Program for KDE
ii  kpat                                         2.2.2-2.2                                    KDE solitaire patience game.
ii  kpilot                                       2.2.2-5.2                                    Palm Pilot sync tool for KDE
ii  kpoker                                       2.2.2-2.2                                    KDE based Poker clone
ii  kppp                                         2.2.2-14.7                                   PPP dialer for KDE
ii  krb5-config                                  1.4                                          Configuration files for Kerberos Version 5
ii  kreversi                                     2.2.2-2.2                                    Reversi for KDE
ii  kruler                                       2.2.2-6.11                                   a screen ruler and color measurement tool for KDE
ii  ksame                                        2.2.2-2.2                                    SameGame for KDE
ii  kscd                                         2.2.2-8.2                                    KDE based cd player
ii  kscreensaver                                 2.2.2-14.9                                   Screen savers for KDE
ii  kshisen                                      2.2.2-2.2                                    Shisen-Sho for KDE
ii  ksirc                                        2.2.2-14.7                                   IRC Client based on Qt and KDE
ii  ksirtet                                      2.2.2-2.2                                    Tetris and Puyo-Puyo games for KDE
ii  ksmiletris                                   2.2.2-2.2                                    Tetris like game for KDE
ii  ksnake                                       2.2.2-2.2                                    Snake Race for KDE
ii  ksnapshot                                    2.2.2-6.11                                   Screenshot application for KDE
ii  ksokoban                                     2.2.2-2.2                                    Sokoban game for KDE
ii  kspaceduel                                   2.2.2-2.2                                    Arcade two-player space game for KDE
ii  kstars                                       0.8.5-2                                      Desktop planetarium for KDE2
ii  ksysv                                        2.2.2-7.2                                    SysV-style init configuration editor
ii  kteatime                                     2.2.2-4                                      tea cooker timer for KDE
ii  ktimer                                       2.2.2-9.2                                    a timer for KDE
ii  ktouch                                       1.0-4                                        A program for learning touch typing.
ii  ktron                                        2.2.2-2.2                                    tron-clone for the K Desktop Environment
ii  ktuberling                                   2.2.2-2.2                                    Potato Guy for KDE
ii  ktux                                         2.2.2-4                                      Tux screensaver for KDE
ii  kuser                                        2.2.2-7.2                                    A user/group administration tool for KDE
ii  kview                                        2.2.2-6.11                                   A simple image viewer/converter for KDE.
ii  kweather                                     2.99-4                                       a weather display applet for KDE Kicker
ii  kwin4                                        2.2.2-2.2                                    Connect Four clone for KDE
ii  kworldclock                                  2.2.2-4                                      earth watcher for KDE
ii  less                                         374-4                                        A file pager program, similar to more(1)
ii  lesstif1                                     0.93.18-5                                    OSF/Motif implementation released under LGPL.
ii  libacl1                                      2.0.8-1                                      Access control list shared library
ii  libadns1                                     1.0-6                                        Asynchronous-capable DNS client library and utilities
ii  libao2                                       0.8.2-1                                      Cross Platform Audio Output Library
ii  libapm1                                      3.0.2-1.19                                   Library for interacting with APM driver in kernel
ii  libappconfig-perl                            1.52-5                                       Perl module for configuration file and command line parsing
ii  libapt-pkg-perl                              0.1.4                                        Perl interface to libapt-pkg
ii  libart-2.0-2                                 2.3.8-1                                      The Gnome 2 canvas widget - runtime files.
ii  libart2                                      1.4.1.4-3                                    The Gnome canvas widget - runtime files.
ii  libarts                                      2.2.2-13.woody.14                            aRts Sound system
ii  libarts-mpeglib                              2.2.2-8.2                                    mpeglib is a mp3 and mpeg I video/audio library (Arts plugin)
ii  libasn1-5-heimdal                            0.4e-7.woody.9                               Libraries for Heimdal Kerberos
ii  libasound2                                   0.9.0beta10a-3                               Advanced Linux Sound Architecture (libraries)
ii  libaspell10                                  0.33.7.1.1-9                                 The aspell spell checker runtime libraries.
ii  libatk1.0-0                                  1.0.1-2                                      The ATK accessibility library
ii  libattr1                                     2.0.7-1                                      Extended attribute shared library
ii  libaudiofile0                                0.2.3-4                                      The Audiofile Library
ii  libbonobo-activation4                        0.9.6-1                                      Bonobo Activation Framework -- runtime libraries
ii  libbonobo2                                   1.0.20-1                                     The GNOME Bonobo library.
ii  libbonobo2-0                                 1.113.0-1                                    Bonobo CORBA interfaces library
ii  libbonobo2-common                            1.113.0-1                                    Bonobo CORBA interfaces library -- development files
ii  libbz2-1.0                                   1.0.2-1                                      A high-quality block-sorting file compressor library - runtime
ii  libc6                                        2.2.5-11.8                                   GNU C Library: Shared libraries and Timezone data
ii  libc6-dev                                    2.2.5-11.8                                   GNU C Library: Development Libraries and Header Files.
ii  libcap1                                      1.10-12                                      support for getting/setting POSIX.1e capabilities
ii  libcapplet0                                  1.4.0.5-3                                    Library for Gnome Control Center applets
ii  libcapplet1                                  1.5.11-3                                     Library for Gnome Control Center applets
ii  libcdk4                                      4.9.9-3                                      Curses Development Kit
ii  libcdparanoia0                               3a9.8-6                                      Shared libraries for cdparanoia (runtime lib)
ii  libcomerr1-heimdal                           0.4e-7.woody.9                               Libraries for Heimdal Kerberos
ii  libcompress-zlib-perl                        1.16-1                                       Perl module for creation and manipulation of gzip files
ii  libcupsys2                                   1.1.14-5woody12                              Common UNIX Printing System(tm) - libs
ii  libcurl2                                     7.9.5-1                                      Multi-protocol file transfer library. (no SSL support)
ii  libdb2                                       2.7.7.0-7                                    The Berkeley database routines (run-time files).
ii  libdb3                                       3.2.9-16                                     Berkeley v3 Database Libraries [runtime]
ii  libdb3-util                                  3.2.9-16                                     Berkeley v3 Database Utilities
ii  libdevel-symdump-perl                        2.02-1                                       Perl module for inspecting perl's symbol table
ii  libdigest-md5-perl                           2.13-2                                       MD5 Message Digest for Perl
ii  libdigest-sha1-perl                          2.00-1                                       NIST SHA-1 message digest algorithm
ii  libdiscover1                                 1.1-6                                        hardware identification library
ii  libdns5                                      9.2.1-2.woody.2                              DNS Shared Library used by BIND
ii  libdps1                                      4.1.0-16woody6                               Display PostScript (DPS) client library
ii  libeel-data                                  1.0.2-8                                      Eazel Extensions Library - data files
ii  libeel0                                      1.0.2-8                                      Eazel Extensions Library
ii  libefs1                                      1.0.20-1                                     Embedded File System library.
ii  libesd0                                      0.2.23-3                                     Enlightened Sound Daemon - Shared libraries
ii  libesmtp5                                    0.8.11-1                                     LibESMTP SMTP client library
ii  libexif5                                     0.5.0-1woody1                                The EXIF library allows you to parse an EXIF file
ii  libexpat1                                    1.95.2-6                                     XML parsing C library - runtime library
ii  libexpat1-dev                                1.95.2-6                                     XML parsing C library - development kit
ii  libfam0                                      2.6.6.1-5.2                                  client library to control the FAM daemon
ii  libffi2                                      3.0.4-7                                      Foreign Function Interface library runtime
ii  libfinance-quote-perl                        1.06-2                                       Perl module for retrieving stock quotes from a variety of sources
ii  libfreetype6                                 2.0.9-1                                      FreeType 2 font engine, shared library files.
ii  libfreetype6-dev                             2.0.9-1                                      FreeType 2 font engine, development files
ii  libfribidi0                                  0.10.1-2                                     Free Implementation of the Unicode BiDi algorithm
ii  libft-perl                                   1.2-13                                       Perl module for the FreeType library
ii  libgal19                                     0.19.2-2                                     G App Libs (run time library)
ii  libgcc1                                      3.0.4-7                                      GCC support library.
ii  libgcj2                                      3.0.4-7                                      Java runtime library for use with gcj
ii  libgconf11                                   1.0.9-1                                      GNOME configuration database system libraries
ii  libgconf2-4                                  1.1.9-1                                      GNOME configuration database system libraries (for GNOME2)
ii  libgcrypt1                                   1.1.5-3.4                                    GPL Crypto library - runtime library
ii  libgd1                                       1.8.4-17.woody4                              GD Graphics Library
ii  libgd2                                       2.0.1-10woody2                               GD Graphics Library version 2
ii  libgdbmg1                                    1.7.3-27                                     GNU dbm database routines (runtime version). [libc6 version]
ii  libgdk-pixbuf-gnome2                         0.17.0-2woody2                               The GNOME Canvas pixbuf library
ii  libgdk-pixbuf2                               0.17.0-2woody2                               The GdkPixBuf library.
ii  libghttp1                                    1.0.9-9                                      Gnome HTTP client library
ii  libgimp1.2                                   1.2.3-2                                      Libraries necessary to run the GIMP, version 1.2
ii  libgimpprint1                                4.2.0-4                                      library necessary to use gimp-print programs
ii  libglade-gnome0                              0.17-2.2                                     Library to load .glade files at runtime (Gnome widgets support).
ii  libglade-perl                                0.59-2                                       Glade-perl runtime modules
ii  libglade0                                    0.17-2.2                                     Library to load .glade files at runtime.
ii  libglade2-0                                  1.99.10-1                                    Library to load .glade files at runtime.
ii  libgle3                                      3.0.7-2                                      OpenGL tubing and extrusion library
ii  libglib1.2                                   1.2.10-4                                     The GLib library of C routines
ii  libglib2.0-0                                 2.0.1-2                                      The GLib library of C routines
ii  libgmp2                                      2.0.2-10                                     Multiprecision arithmetic library
ii  libgmp3                                      4.0.1-3                                      Multiprecision arithmetic library
ii  libgnome-vfs-common                          1.0.5-1                                      The GNOME virtual file-system libraries common files
ii  libgnome-vfs0                                1.0.5-1                                      The GNOME virtual file-system libraries
ii  libgnome32                                   1.4.1.4-3                                    The Gnome libraries
ii  libgnomeprint-bin                            0.35-4                                       The GNOME Print architecture - binary files
ii  libgnomeprint-data                           0.35-4                                       The GNOME Print architecture - data files
ii  libgnomeprint15                              0.35-4                                       The GNOME Print architecture - runtime library
ii  libgnomesupport0                             1.4.1.4-3                                    The Gnome libraries (Support libraries)
ii  libgnomeui32                                 1.4.1.4-3                                    The Gnome libraries (User Interface)
ii  libgnomevfs2-0                               1.9.11-1                                     The GNOME virtual file-system libraries (for GNOME2)
ii  libgnomevfs2-common                          1.9.11-1                                     The GNOME virtual file-system library common files (for GNOME2)
ii  libgnorba27                                  1.4.1.4-3                                    Gnome CORBA services
ii  libgnorbagtk0                                1.4.1.4-3                                    Gnome CORBA services (Gtk bindings)
ii  libgpmg1                                     1.19.6-12                                    General Purpose Mouse Library [libc6]
ii  libgsm1                                      1.0.10-11                                    Shared libraries for GSM speech compressor.
ii  libgssapi1-heimdal                           0.4e-7.woody.9                               Libraries for Heimdal Kerberos
ii  libgtk-common                                2.0.2-5woody2                                Dummy package for upgrading libgtkx.x-common
ii  libgtk-perl                                  0.7008-1.2                                   Perl module for the gtk+ library
ii  libgtk1.2                                    1.2.10-11                                    The GIMP Toolkit set of widgets for X
ii  libgtk1.2-common                             1.2.10-11                                    Common files for the GTK+ library
ii  libgtk2.0-0                                  2.0.2-5woody2                                The GTK+ graphical user interface library
ii  libgtk2.0-common                             2.0.2-5woody2                                Common files for the GTK+ graphical user interface library
ii  libgtkhtml20                                 1.0.2-1.woody1                               HTML rendering/editing library - runtime files.
ii  libgtkxmhtml1                                1.4.1.4-3                                    The Gnome gtkxmhtml (HTML) widget
ii  libgtop1                                     1.0.13-3.1                                   Libraries for gtop system monitoring library (part of Gnome)
ii  libguile9                                    1.4-24                                       libraries for Guile1.4 (guile, guilereadline, and qthreads).
ii  libhesiod0                                   3.0.2-11                                     Libraries for hesiod, a service name resolution protocol
ii  libhtml-parser-perl                          3.25-1                                       A collection of modules that parse HTML text documents.
ii  libhtml-tableextract-perl                    1.06-2                                       Perl module that simplifies extraction of information from HTML
ii  libhtml-tagset-perl                          3.03-1                                       Data tables pertaining to HTML
ii  libhtml-tree-perl                            3.11-2                                       represent and create HTML syntax trees
ii  libid3tag0                                   0.14.2b-3                                    ID3 tag reading library from the MAD project
ii  libident                                     0.22-2                                       simple RFC1413 client library - runtime
ii  libidl0                                      0.7.4-3                                      library for parsing CORBA IDL files
ii  libio-stringy-perl                           2.108-1                                      Perl5 modules for IO from scalars and arrays
ii  libisc4                                      9.2.1-2.woody.2                              ISC Shared Library used by BIND
ii  libisccc0                                    9.2.1-2.woody.2                              Command Channel Library used by BIND
ii  libisccfg0                                   9.2.1-2.woody.2                              Config File Handling Library used by BIND
ii  libjpeg-progs                                6b-5                                         Programs for manipulating JPEG files
ii  libjpeg62                                    6b-5                                         The Independent JPEG Group's JPEG runtime library
ii  libjpeg62-dev                                6b-5                                         Development files for the IJG JPEG library
ii  libkdegames                                  2.2.2-2.2                                    KDE Games library and common files
ii  libkdenetwork1                               2.2.2-14.7                                   Common libraries needed for KDE network applications
ii  libkeynote0                                  2.3-3                                        Decentralized Trust-Management system, shared library
ii  libkmid                                      2.2.2-13.woody.14                            aRts Sound system (midi/kmedia support libraries)
ii  libkonq3                                     2.2.2-14.9                                   Core libraries for KDE's file manager
ii  libkrb-1-kerberos4kth                        1.1-8-2.3                                    Kerberos Libraries for Kerberos4 From KTH
ii  libkrb5-17-heimdal                           0.4e-7.woody.9                               Libraries for Heimdal Kerberos
ii  libkrb53                                     1.2.4-5woody8                                MIT Kerberos runtime libraries
ii  libkscan1                                    2.2.2-6.11                                   Scanner library for KDE
ii  liblcms                                      1.08-3                                       Color management library
ii  liblcms-dev                                  1.08-3                                       Color management library (Development headers)
ii  libldap2                                     2.0.23-6.3                                   OpenLDAP libraries.
ii  liblinc1                                     0.1.21-1                                     library to simplify creating networked clients and servers
ii  liblircclient0                               0.6.5-1                                      LIRC client library
ii  liblocale-gettext-perl                       1.01-11a.woody                               Using libc functions for internationalization in Perl
ii  liblockfile1                                 1.03                                         NFS-safe locking library, includes dotlockfile program
ii  libltdl3                                     1.4.2-4                                      A system independent dlopen wrapper for GNU libtool
ii  liblua40                                     4.0-4                                        Main interpreter library for the Lua programming language
ii  liblualib40                                  4.0-4                                        Extension library for the Lua programming language
ii  liblwres1                                    9.2.1-2.woody.2                              Lightweight Resolver Library used by BIND
ii  liblzo1                                      1.07-1                                       A real-time data compression library.
ii  libmad0                                      0.14.2b-3                                    MPEG audio decoder library
ii  libmagick5                                   5.4.4.5-1woody6                              Image manipulation library (free version).
ii  libmailtools-perl                            1.44-1woody2                                 Manipulate email in perl programs
ii  libmedusa0                                   0.5.1-4                                      The GNOME search/indexing package (run time library)
ii  libmime-base64-perl                          2.12-4                                       MIME/Base64 decoding for Perl
ii  libmime-perl                                 5.411-1                                      Perl5 modules for MIME-compliant messages (MIME-tools)
ii  libmimelib1                                  2.2.2-14.7                                   mime libraries needed for some KDE applications
ii  libmng-dev                                   1.0.3-3                                      M-N-G library (Development headers)
ii  libmng1                                      1.0.3-3                                      Multiple-image Network Graphics library
ii  libmpeg1                                     1.3.1-2.1                                    The MPEG library calls for movie streams
ii  libnautilus0                                 1.0.6-5                                      Shared libraries that part of Nautilus
ii  libncurses5                                  5.2.20020112a-7                              Shared libraries for terminal handling
ii  libncurses5-dev                              5.2.20020112a-7                              Developer's libraries and docs for ncurses
ii  libncursesw5                                 5.2.20020112a-7                              Shared libraries for terminal handling (wide character support)
ii  libnet-perl                                  1.09.01-1                                    Implementation of Internet protocols for Perl
ii  libnetpbm9                                   9.20-8.4                                     Shared libraries for netpbm.
ii  libnews-nntpclient-perl                      0.37-1                                       News::NNTPClient, Perl support for accessing NNTP servers
ii  libnewt0                                     0.50.17-9.6                                  Not Erik's Windowing Toolkit - text mode windowing with slang
ii  libnspr4                                     1.0.0-0.woody.1                              Netscape Portable Runtime Library
ii  libnss3                                      1.0.0-0.woody.1                              Network Security Service Libraries - runtime
ii  liboaf0                                      0.6.10-2                                     The GNOME Object Activation Framework.
ii  libogg0                                      1.0rc3-1                                     Ogg Bitstream Library
ii  libole2-0                                    0.2.4-3                                      The GNOME OLE library.
ii  libopenh323-1.7.4                            1.7.4-6                                      H.323 aka VoIP library
ii  liborbit0                                    0.5.16-1                                     Libraries for ORBit - a CORBA ORB
ii  liborbit2                                    2.3.107-1                                    Libraries for ORBit2 - a CORBA ORB
ii  libpam-modules                               0.72-35                                      Pluggable Authentication Modules for PAM
ii  libpam-runtime                               0.72-35                                      Runtime support for the PAM library
ii  libpam0g                                     0.72-35                                      Pluggable Authentication Modules library
ii  libpanel-applet0                             1.4.0.6-5                                    Library for Gnome Panel applets
ii  libpango-common                              1.0.1-3                                      Dummy package for upgrading libpangox.x-common
ii  libpango1.0-0                                1.0.1-3                                      Layout and rendering of internationalized text
ii  libpango1.0-common                           1.0.1-3                                      Modules and configuration files for the Pango
ii  libpaperg                                    1.1.8                                        Library for handling paper characteristics
ii  libpcap0                                     0.6.2-2                                      System interface for user-level packet capture.
ii  libpcre3                                     3.4-1.1                                      Philip Hazel's Perl Compatible Regular Expression library
ii  libperl5.6                                   5.6.1-8.9                                    Shared Perl library.
ii  libpisock4                                   0.9.5.0-8                                    Libraries for communicating with a Pilot PDA.
ii  libpng-dev                                   1.2.1-1.1.woody.9                            PNG library - development
ii  libpng2                                      1.0.12-3.woody.9                             PNG library - runtime
ii  libpng3                                      1.2.1-1.1.woody.9                            PNG library - runtime
ii  libpopt0                                     1.6.2-7                                      lib for parsing cmdline parameters
ii  libpspell-ispell1                            0.12-4                                       Ispell module for pspell
ii  libpspell4                                   0.12.2-5                                     Portable spell checker interface library
ii  libpt-1.2.0                                  1.2.5-5woody1                                Portable Windows Library
ii  libqt2                                       2.3.1-22                                     Qt GUI Library (runtime version).
ii  libqt3                                       3.0.3-20020329-1woody2                       Qt GUI Library (runtime version).
ii  libqt3-dev                                   3.0.3-20020329-1woody2                       Qt GUI development files
ii  libqt3-mt                                    3.0.3-20020329-1woody2                       Qt GUI Library (Threaded runtime version).
ii  libqxt0                                      3.0.3-20020329-1woody2                       Qt Xt/Motif Support Extension
ii  libraw1394-5                                 0.9.0-2                                      library for direct access to IEEE 1394 bus (aka FireWire)
ii  libreadline4                                 4.2a-5                                       GNU readline and history libraries, run-time libraries.
ii  librecode0                                   3.6-6                                        Shared library on which recode is based.
ii  libroken9-heimdal                            0.4e-7.woody.9                               Libraries for Heimdal Kerberos
ii  librpm4                                      4.0.3-4                                      RPM shared library
ii  librsvg1                                     1.0.3-1                                      SAX-based renderer library for SVG files.
ii  libsane                                      1.0.7-4                                      API library for scanners
ii  libsasl-modules-plain                        1.5.27-3.1woody5                             Basic Pluggable Authentication Modules for SASL
ii  libsasl7                                     1.5.27-3.1woody5                             Authentication abstraction library.
ii  libscrollkeeper0                             0.3.6-3.1                                    Library to load .omf files (runtime files)
ii  libsdl1.2debian                              1.2.4-1                                      Simple DirectMedia Layer
ii  libsdl1.2debian-oss                          1.2.4-1                                      Simple DirectMedia Layer (with X11 and OSS options)
ii  libsensors1                                  2.6.3-5                                      Library to read temperature/voltage/fan sensors
ii  libsigc++0                                   1.0.4-3                                      Type-safe Signal Framework for C++ - runtime
ii  libslp1                                      1.0.8a-2                                     OpenSLP libraries
ii  libsmbclient                                 2.2.3a-15                                    Shared library that allows applications to talk to SMB servers
ii  libsnmp-base                                 4.2.3-2                                      NET SNMP (Simple Network Management Protocol) MIBs and Docs.
ii  libsnmp4.2                                   4.2.3-2                                      NET SNMP (Simple Network Management Protocol) Library.
ii  libsp1                                       1.3.4-1.2.1-28                               Runtime library for James Clark's SP suite
ii  libsqlite0                                   2.4.7-1                                      SQLite shared library
ii  libssl0.9.6                                  0.9.6c-2.woody.7                             SSL shared libraries
ii  libstdc++2.10-dev                            2.95.4-11woody1                              The GNU stdc++ library (development files)
ii  libstdc++2.10-glibc2.2                       2.95.4-11woody1                              The GNU stdc++ library
ii  libtext-iconv-perl                           1.2-1                                        Convert between character sets in Perl
ii  libtiff-tools                                3.5.5-6.woody5                               TIFF manipulation and conversion tools
ii  libtiff3g                                    3.5.5-6.woody5                               Tag Image File Format library
ii  libtimedate-perl                             1.11-1                                       Time and date functions for perl.
ii  libtool                                      1.4.2-4                                      Generic library support script
ii  libttf2                                      1.4pre.20011029-1                            FreeType 1, The FREE TrueType Font Engine, shared library files.
ii  libungif4g                                   4.1.0b1-2                                    shared library for GIF images (runtime lib)
ii  liburi-perl                                  1.18-1                                       Manipulates and accesses URI strings
ii  libusb-0.1-4                                 0.1.5-4                                      Userspace USB programming library
ii  libvncauth0                                  3.3.3r2-20                                   Virtual network computing authentication library.
ii  libvorbis0                                   1.0rc3-1                                     The Vorbis General Audio Compression Codec
ii  libwmf0.2-2                                  0.2.2-4                                      Windows metafile conversion library.
ii  libwrap0                                     7.6-9                                        Wietse Venema's TCP wrappers library
ii  libwraster2                                  0.80.0-4.2                                   Shared libraries of Window Maker rasterizer.
ii  libwww-perl                                  5.64-1                                       WWW client/server library for Perl
ii  libxaw6                                      4.1.0-16woody6                               X Athena widget set library (version 6)
ii  libxaw7                                      4.1.0-16woody6                               X Athena widget set library
ii  libxml-parser-perl                           2.30-4                                       Perl module for parsing XML files
ii  libxml1                                      1.8.17-2woody2                               GNOME XML library
ii  libxml2                                      2.4.19-4woody2                               GNOME XML library
ii  libxslt1                                     1.0.16-0.2                                   XSLT processing library
ii  libzephyr3                                   2.1.20010518.SNAPSHOT-6                      The original "Instant Message" system libraries without Kerberos
ii  libzvt2                                      1.4.1.4-3                                    The Gnome zvt (zterm) widget
ii  lilo                                         22.2-3                                       LInux LOader - The Classic OS loader can load Linux and others
ii  links                                        0.96.20020409-2                              Character mode WWW browser
ii  lm-sensors                                   2.6.3-5                                      Utilities to read temperature/voltage/fan sensors
ii  locales                                      2.2.5-11.8                                   GNU C Library: National Language (locale) data [support]
ii  login                                        20000902-12woody1                            System login tools
ii  logrotate                                    3.5.9-8                                      Log rotation utility
ii  lskat                                        2.2.2-2.2                                    Lieutnant Skat card game for KDE.
ii  lsof                                         4.57-1                                       List open files.
ii  lwresd                                       9.2.1-2.woody.2                              Lightweight Resolver Daemon
ii  lynx                                         2.8.4.1b-3.2                                 Text-mode WWW Browser
ii  m4                                           1.4-14                                       a macro processing language
ii  mailx                                        8.1.2-0.20020411cvs-1                        A simple mail user agent.
ii  make                                         3.79.1-14                                    The GNU version of the "make" utility.
ii  makedev                                      2.3.1-58                                     Creates device files in /dev.
ii  man-db                                       2.3.20-18.woody.4                            The on-line manual pager
ii  manpages                                     1.39-1.1                                     Man pages about using a Linux system.
ii  manpages-dev                                 1.39-1.1                                     Linux-development man pages.
ii  mawk                                         1.3.3-8                                      a pattern scanning and text processing language
ii  mbr                                          1.1.5-1                                      Master Boot Record for IBM-PC compatible computers.
ii  mdetect                                      0.5.1                                        mouse device autodetection tool
ii  menu                                         2.1.5-10.1                                   provides update-menus functions for some applications
ii  metacity                                     2.3.89-1                                     A lightweight GTK2 based Window Manager.
ii  mime-support                                 3.18-1.3                                     MIME files 'mime.types' & 'mailcap', and support programs
ii  mkisofs                                      1.10-7                                       Creates ISO-9660 CD-ROM filesystem images.
ii  mlock                                        2001adebian-6                                Mailbox locking program from UW
ii  modconf                                      0.2.43                                       Device Driver Configuration
ii  modutils                                     2.4.15-1                                     Linux module utilities.
ii  mount                                        2.11n-7                                      Tools for mounting and manipulating filesystems.
ii  mozilla-browser                              1.0.0-0.woody.1                              Mozilla Web Browser - core and browser
ii  mozilla-psm                                  1.0.0-0.woody.1                              Mozilla Web Browser - Personal Security Manager (PSM)
ii  mpeglib                                      2.2.2-8.2                                    mp3 and mpeg I video/audio library for linux
ii  msttcorefonts                                1.0.2                                        Installer for Microsoft TrueType core fonts
ii  nano                                         1.0.6-3                                      free Pico clone with some new features
ii  nas-lib                                      1.5-1                                        The Network Audio System (NAS). (shared libraries)
ii  nautilus                                     1.0.6-5                                      file manager and graphical shell
ii  ncftp                                        3.1.3-1                                      A user-friendly and well-featured FTP client.
ii  ncurses-base                                 5.2.20020112a-7                              Descriptions of common terminal types
ii  ncurses-bin                                  5.2.20020112a-7                              Terminal-related programs and man pages
ii  net-tools                                    1.60-4                                       The NET-3 networking toolkit
ii  netbase                                      4.07                                         Basic TCP/IP networking system
ii  netcat                                       1.10-21                                      TCP/IP swiss army knife
ii  netkit-inetd                                 0.10-9                                       The Internet Superserver
ii  netpbm                                       9.20-8.4                                     Graphics conversion tools.
ii  nmap                                         2.54.31.BETA-1                               The Network Mapper
ii  noatun                                       2.2.2-8.2                                    Media player (for video and audio)
ii  noatun-plugins                               2.2.2-4                                      plugins for Noatun, the KDE media player
ii  ntop                                         2.0.0-14                                     display network usage in top-like format
ii  ntp                                          4.1.0-8                                      Daemon and utilities for full NTP v4 timekeeping participation.
ii  ntp-simple                                   4.1.0-8                                      NTP v4 daemon for simple systems.
ii  ntpdate                                      4.1.0-8                                      The ntpdate client for setting system time from NTP servers.
ii  nvi                                          1.79-20                                      4.4BSD re-implementation of vi.
ii  oaf                                          0.6.10-2                                     The GNOME Object Activation Framework.
ii  openssl                                      0.9.6c-2.woody.7                             Secure Socket Layer (SSL) binary and related cryptographic tools.
ii  passwd                                       20000902-12woody1                            Change and administer password and group data.
ii  patch                                        2.5.4-11                                     Apply a diff file to an original
ii  pciutils                                     2.1.9-4                                      Linux PCI Utilities (for 2.[1234].x kernels)
ii  perl                                         5.6.1-8.9                                    Larry Wall's Practical Extraction and Report Language.
ii  perl-base                                    5.6.1-8.9                                    The Pathologically Eclectic Rubbish Lister.
ii  perl-modules                                 5.6.1-8.9                                    Core Perl modules.
ii  perl-suid                                    5.6.1-8.9                                    Runs setuid Perl scripts.
ii  pilot-link                                   0.9.5.0-8                                    Tools to communicate with a 3COM Pilot PDA over a serial port.
ii  pkg-config                                   0.11.0-0.1                                   program and autoconf macro to gather compile/link flags
ii  portmap                                      5-2                                          The RPC portmapper
ii  poster                                       19990428-6                                   make big posters out of PostScript pages
ii  postfix                                      1.1.11-0.woody3                              A high-performance mail transport agent
ii  postfix-doc                                  1.1.11-0.woody3                              Postfix documentation
ii  postfix-ldap                                 1.1.11-0.woody3                              LDAP map support for Postfix
ii  postfix-pcre                                 1.1.11-0.woody3                              PCRE map support for Postfix
ii  powermgmt-base                               1.6                                          Common utils and configs for power management
ii  ppp                                          2.4.1.uus-4                                  Point-to-Point Protocol (PPP) daemon.
ii  pppconfig                                    2.0.14                                       A text menu based utility for configuring ppp.
ii  pppoe                                        3.3-1.2                                      PPP over Ethernet driver
ii  pppoeconf                                    0.9.10.6                                     configures PPPoE/ADSL
ii  procmail                                     3.22-5                                       Versatile e-mail processor.
ii  procps                                       2.0.7-8.woody1                               The /proc file system utilities.
ii  psfontmgr                                    0.11.0                                       PostScript font manager -- part of Defoma, Debian Font Manager.
ii  psmisc                                       20.2-2.1                                     Utilities that use the proc filesystem
ii  psutils                                      1.17-15                                      A collection of PostScript document handling utilities
ii  python                                       2.1.3-3.2                                    An interactive object-oriented scripting language (default version)
ii  python2.1                                    2.1.3-3.2                                    An interactive object-oriented scripting language (version 2.1)
ii  qt3-tools                                    3.0.3-20020329-1woody2                       Qt GUI Designer and other Qt3 based tools
ii  quanta                                       2.0.1-3                                      Web Development Environment for KDE
ii  rcs                                          5.7-13                                       The GNU Revision Control System
ii  read-edid                                    1.4.1-1                                      hardware information-gathering tool for VESA PnP monitors
ii  recover                                      1.3b-1                                       Undelete files on ext2 partitions
ii  root-tail                                    0.1.0-3                                      Displays select log files in the X root window.
ii  rpm                                          4.0.3-4                                      Red Hat Package Manager
ii  samba-common                                 2.2.3a-15                                    Samba common files used by both the server and the client.
ii  samba-doc                                    2.2.3a-15                                    Samba documentation.
ii  screen                                       3.9.11-5woody1                               A terminal multiplexor with VT100/ANSI terminal emulation.
ii  scrollkeeper                                 0.3.6-3.1                                    A free electronic cataloging system for documentation.
ii  secpolicy                                    2.2.2-7.2                                    PAM security policy configuration tool
ii  sed                                          3.02-8                                       The GNU sed stream editor.
ii  setserial                                    2.17-24                                      Controls configuration of serial ports.
ii  sgml-base                                    1.14                                         utilities to maintain the SGML catalog file
ii  sgml-data                                    1.5.5                                        common SGML DTDs and entities
ii  shellutils                                   2.0.11-11                                    The GNU shell programming utilities.
ii  slang1                                       1.4.4-7.2                                    The S-Lang programming library - runtime version.
ii  slang1a-utf8                                 1.4.4-7.2                                    The S-Lang programming library with utf8 support
ii  smbclient                                    2.2.3a-15                                    A LanManager like simple client for Unix.
ii  smbfs                                        2.2.3a-15                                    mount and umount commands for the smbfs (for kernels >= than 2.2.x)
ii  sodipodi                                     0.24.1.0.20020325-1                          Vector based drawing program.
ii  spamassassin                                 2.20-1woody4                                 Perl-based spam filter using text analysis
ii  squid                                        2.4.6-2woody8                                Internet Object Cache (WWW proxy cache)
ii  ssh                                          3.4p1-1.woody.3                              Secure rlogin/rsh/rcp replacement (OpenSSH)
ii  stunnel                                      3.22-1                                       Universal SSL tunnel for network daemons
ii  sudo                                         1.6.6-1.3                                    Provides limited super user privileges to specific users.
ii  symlinks                                     1.2-4                                        scan/change symbolic links
ii  synaptic                                     0.16-6                                       GUI-frontend for APT
ii  sysklogd                                     1.4.1-10                                     System Logging Daemon
ii  syslinux                                     1.66-1                                       Bootloader for Linux/i386 using MS-DOS floppies
ii  sysvinit                                     2.84-2woody1                                 System-V like init.
ii  t1lib1                                       1.3.1-1                                      Type 1 font rasterizer library - runtime
ii  tar                                          1.13.25-2                                    GNU tar
ii  tasksel                                      1.18                                         Tool for selecting tasks for installation on Debian system
ii  tcl8.0                                       8.0.5-6                                      The Tool Command Language (TCL) v8.0 - Run-Time Files.
ii  tcl8.3                                       8.3.3-7                                      The Tool Command Language (TCL) v8.3 - Run-Time Files.
ii  tcpd                                         7.6-9                                        Wietse Venema's TCP wrapper utilities
ii  tcpdump                                      3.6.2-2.8                                    A powerful tool for network monitoring and data acquisition
ii  tcptraceroute                                1.2-2                                        A traceroute implementation using TCP packets
ii  telnet                                       0.17-18woody3                                The telnet client.
ii  textutils                                    2.0-12                                       The GNU text file processing utilities.
ii  tidy                                         20020301-1                                   HTML syntax checker and reformatter
ii  tinyproxy                                    1.4.3-2woody2                                A lightweight, non-caching, optionally anonymizing http proxy
ii  ucf                                          0.07                                         Update Configuration File - preserve user changes in config files
ii  unzip                                        5.50-1woody2                                 De-archiver for .zip files
ii  usbutils                                     0.9-1                                        USB console utilities
ii  util-linux                                   2.11n-7                                      Miscellaneous system utilities.
ii  vim                                          6.1.018-1                                    Vi IMproved - enhanced vi editor
ii  vlock                                        1.3-5.1                                      Virtual Console locking program
ii  vnc-common                                   3.3.3r2-20                                   Virtual network computing server software.
ii  vncserver                                    3.3.3r2-20                                   Virtual network computing server software.
ii  vorbis-tools                                 1.0rc3-1                                     Several Ogg Vorbis Tools
ii  vsftpd                                       1.0.0-2                                      The Very Secure FTP Daemon
ii  weblint                                      1.93-2                                       a syntax and minimal style checker for HTML
ii  wget                                         1.8.1-6.1                                    retrieves files from the web
ii  whiptail                                     0.50.17-9.6                                  Displays user-friendly dialog boxes from shell scripts.
ii  whois                                        4.5.25                                       The GNU whois client
ii  x-ttcidfont-conf                             13                                           Configure TrueType and CID fonts for X.
ii  x-window-system-core                         4.1.0-16woody6                               X Window System core components
ii  xaw3dg                                       1.5-13                                       Xaw3d widget set
ii  xbase-clients                                4.1.0-16woody6                               miscellaneous X clients
ii  xchat                                        1.8.9-0woody3                                IRC client for X similar to AmIRC
ii  xchat-common                                 1.8.9-0woody3                                Common files for X-Chat
ii  xfonts-100dpi                                4.1.0-16woody6                               100 dpi fonts for X
ii  xfonts-75dpi                                 4.1.0-16woody6                               75 dpi fonts for X
ii  xfonts-base                                  4.1.0-16woody6                               standard fonts for X
ii  xfonts-scalable                              4.1.0-16woody6                               scalable fonts for X
ii  xfree86-common                               4.1.0-16woody6                               X Window System (XFree86) infrastructure
ii  xlib6g                                       4.1.0-16woody6                               pseudopackage providing X libraries
ii  xlibmesa3                                    4.1.0-16woody6                               XFree86 version of Mesa 3D graphics library
ii  xlibs                                        4.1.0-16woody6                               X Window System client libraries
ii  xlibs-dev                                    4.1.0-16woody6                               X Window System client library development files
ii  xmms                                         1.2.7-1                                      Versatile X audio player that looks like Winamp
ii  xpdf                                         1.00-3.4                                     Portable Document Format (PDF) suite
ii  xpdf-common                                  1.00-3.4                                     Portable Document Format (PDF) suite -- common files
ii  xpdf-reader                                  1.00-3.4                                     Portable Document Format (PDF) suite -- viewer for X11
ii  xpdf-utils                                   1.00-3.4                                     Portable Document Format (PDF) suite -- utilities
ii  xscreensaver                                 3.34-3                                       Automatic screensaver for X
ii  xscreensaver-gl                              3.34-3                                       GL(Mesa) screenhacks for xscreensaver
ii  xscreensaver-gnome                           3.34-3                                       GNOME binaries for xscreensaver
ii  xserver-common                               4.1.0-16woody6                               files and utilities common to all X servers
ii  xserver-xfree86                              4.1.0-16woody6                               the XFree86 X server
ii  xterm                                        4.1.0-16woody6                               X terminal emulator
ii  xutils                                       4.1.0-16woody6                               X Window System utility programs
ii  xvncviewer                                   3.3.3r2-20                                   Virtual network computing client software for X.
ii  zip                                          2.30-5woody2                                 Archiver for .zip files
ii  zlib1g                                       1.1.4-1.0woody0                              compression library - runtime
ii  zlib1g-dev                                   1.1.4-1.0woody0                              compression library - development



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@debian.yourtcs.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 310490@bugs.debian.org (full text, mbox):

From: astronut <astronut@debian.yourtcs.com>
To: allomber@math.ubordeaux.fr
Cc: 310490@bugs.debian.org
Subject: packages.sarge
Date: Wed, 25 May 2005 14:02:40 -0400
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name                                         Version                                      Description
+++-============================================-============================================-========================================================================================================
ii  aalib1                                       1.4p5-13                                     ascii art library
ii  abiword-common                               2.2.7-3                                      WYSIWYG word processor based on GTK2
ii  abiword-gnome                                2.2.7-3                                      WYSIWYG word processor based on GTK2/GNOME2
ii  adduser                                      3.63                                         Add and remove users and groups
rc  amor                                         2.2.2-4                                      a KDE creature for your desktop
ii  analog                                       5.23-0woody1                                 analyzes logfiles from web servers
ii  antlr                                        2.7.2-6                                      A language tool for constructing recognizers, compilers etc
ii  apache                                       1.3.26-0woody6                               Versatile, high-performance HTTP server
ii  apache-common                                1.3.26-0woody6                               Support files for all Apache webservers
ii  apt                                          0.5.28.6                                     Advanced front-end for dpkg
ii  apt-file                                     0.2.3-4                                      APT package searching utility -- command-line interface
ii  apt-utils                                    0.5.28.6                                     APT utility programs
ii  aptitude                                     0.2.15.9-2                                   terminal-based apt frontend
rc  ark                                          2.2.2-9.2                                    An archiver for KDE
rc  artsbuilder                                  2.2.2-8.2                                    Arts synthesizer designer
ii  asclock-themes                               2.0.12-5                                     Theme files for ASclock, a clock applet
ii  ash                                          0.5.2-4                                      Compatibility package for the Debian Almquist Shell
ii  aspell-en                                    6.0-0-3                                      English dictionary for GNU Aspell
ii  at                                           3.1.8-11                                     Delayed job execution and batch processing
ii  aterm                                        0.4.2-3                                      Afterstep XVT - a VT102 emulator for the X window system
ii  autoconf                                     2.59a-3                                      automatic configure script builder
ii  autoconf2.13                                 2.13-54                                      automatic configure script builder (obsolete version)
ii  automake                                     1.4-p4-1.1                                   A tool for generating GNU Standards-compliant Makefiles.
ii  autotools-dev                                20020320.1                                   Update infrastructure for config.{guess,sub} files
ii  balsa                                        2.3.0-2sarge1                                An e-mail client for GNOME
ii  base-config                                  1.33.18                                      Debian base configuration package
ii  base-files                                   3.1.2                                        Debian base system miscellaneous files
ii  base-passwd                                  3.5.9                                        Debian base system master password and group files
ii  bash                                         2.05b-26                                     The GNU Bourne Again SHell
ii  bc                                           1.06-8                                       The GNU bc arbitrary precision calculator language
ii  bind9                                        9.2.1-2.woody.2                              Internet Domain Name Server
ii  bind9-doc                                    9.2.1-2.woody.2                              Documentation for BIND
ii  bind9-host                                   9.2.1-2.woody.2                              Version of 'host' bundled with BIND 9.X
ii  binutils                                     2.15-5                                       The GNU assembler, linker and binary utilities
ii  binutils-doc                                 2.12.90.0.1-4                                Documentation for the GNU assembler, linker and binary utilities.
ii  bison                                        1.35-3                                       A parser generator that is compatible with YACC.
ii  bitchx                                       1.0-0c19-1.1                                 Advanced Internet Relay Chat client
ii  bluefish                                     0.7-1                                        A Gtk+ HTML editor
ii  bonobo                                       1.0.20-1                                     The GNOME Bonobo System.
ii  bonobo-activation                            2.4.0-4                                      The GNOME Bonobo support binaries (dummy package)
ii  bsdmainutils                                 5.20020211-4.99                              More utilities from FreeBSD.
ii  bsdutils                                     2.12p-4                                      Basic utilities from 4.4BSD-Lite
ii  bug-buddy                                    2.8.0-3                                      The GNOME Desktop Environment's bug reporting tool
ii  bzip2                                        1.0.2-1                                      A high-quality block-sorting file compressor - utilities
ii  cabextract                                   1.1-1                                        a program to extract Microsoft Cabinet files
ii  capplets                                     2.8.2-3                                      configuration applets for GNOME 2 - binaries files
ii  capplets-data                                2.8.2-3                                      configuration applets for GNOME 2 - data files
ii  cddb                                         2.6-14                                       CD DataBase support tools
ii  cdrecord                                     1.10-7                                       A command line CD/DVD writing tool
ii  console-common                               0.7.49                                       Basic infrastructure for text console configuration
ii  console-data                                 2002.12.04dbs-49                             Keymaps, fonts, charset maps, fallback tables for console-tools
ii  console-tools                                0.2.3dbs-56                                  Linux console and font utilities
ii  coreutils                                    5.2.1-2                                      The GNU core utilities
ii  cowsay                                       3.03-3                                       a configurable talking cow
ii  cpio                                         2.5-1.2                                      GNU cpio -- a program to manage archives of files.
ii  cpp                                          3.3.5-3                                      The GNU C preprocessor (cpp)
ii  cpp-2.95                                     2.95.4-11woody1                              The GNU C preprocessor.
ii  cpp-3.3                                      3.3.5-12                                     The GNU C preprocessor
ii  cracklib2                                    2.7-8.5                                      A pro-active password checker library
ii  cramfsprogs                                  1.1-3                                        Tools for CramFs (Compressed ROM File System).
ii  cron                                         3.0pl1-86                                    management of regular background processing
ii  cvs                                          1.11.1p1debian-10                            Concurrent Versions System
ii  dash                                         0.5.2-4                                      The Debian Almquist Shell
ii  debconf                                      1.4.30.13                                    Debian configuration management system
ii  debconf-i18n                                 1.4.30.13                                    full internationalization support for debconf
ii  debconf-utils                                1.4.30.13                                    debconf utilities
ii  debhelper                                    4.2.32                                       helper programs for debian/rules
ii  debianutils                                  2.8.4                                        Miscellaneous utilities specific to Debian
ii  deborphan                                    1.0-3                                        Find orphaned libraries.
ii  defoma                                       0.11.8-0.1                                   Debian Font Manager -- automatic font configuration framework
ii  desktop-base                                 0.3.15                                       common files for the Debian Desktop
ii  desktop-file-utils                           0.10-1                                       Utilities for .desktop files
ii  dfontmgr                                     0.11.0                                       GUI frontend for defoma, DEbian FOnt MAnager.
ii  dhcp                                         2.0pl5-11woody1                              DHCP server for automatic IP address assignment
ii  dhcp-client                                  2.0pl5-11woody1                              DHCP Client
ii  dia-common                                   0.88.1-3                                     Diagram editor (common files)
ii  dia-gnome                                    0.88.1-3                                     Diagram editor (GNOME version)
ii  dialog                                       1.0-20050306-1                               Displays user-friendly dialog boxes from shell scripts
ii  dictionaries-common                          0.25.9                                       Common utilities for spelling dictionary tools
ii  diff                                         2.8.1-11                                     File comparison utilities
ii  discover1-data                               1.2005.01.08                                 hardware lists for libdiscover1
ii  dlint                                        1.4.0-4                                      Checks dns zone information using nameserver lookups
ii  dnsutils                                     9.2.1-2.woody.2                              Clients provided with BIND
ii  docbook                                      4.3-1.1                                      standard SGML representation system for technical documents
ii  docbook-dsssl                                1.79-3                                       modular DocBook DSSSL stylesheets, for print and HTML
ii  docbook-xml                                  4.3-1.1                                      standard XML documentation system, for software and systems
ii  dosfstools                                   2.8-1                                        Utilities to create and check MS-DOS FAT filesystems
ii  dpkg                                         1.10.27                                      Package maintenance system for Debian
ii  dpkg-dev                                     1.10.27                                      Package building tools for Debian
ii  dselect                                      1.10.27                                      a user tool to manage Debian packages
ii  e2fslibs                                     1.37-2                                       ext2 filesystem libraries
ii  e2fsprogs                                    1.37-2                                       ext2 file system utilities and libraries
ii  ed                                           0.2-19                                       The classic unix line editor
ii  edict                                        2001.12.04-1                                 English/Japanese dictionary.
ii  eggdrop                                      1.6.8-2                                      Advanced IRC Robot
ii  eject                                        2.0.3-1                                      ejects CDs and operates CD-Changers under Linux
ii  enscript                                     1.6.3-1.3                                    Converts ASCII text to Postscript, HTML, RTF or Pretty-Print
ii  eog                                          2.8.2-0.1                                    Eye of Gnome graphics viewer program
ii  esound                                       0.2.23-3                                     Enlightened Sound Daemon - Support binaries
ii  esound-common                                0.2.35-2                                     Enlightened Sound Daemon - Common files
ii  ethereal                                     0.9.4-1woody12                               Network traffic analyzer
ii  ethereal-common                              0.9.4-1woody12                               Network traffic analyser (common files)
ii  etherwake                                    1.06-2                                       A little tool to send magic Wake-on-LAN packets
rc  exim                                         3.35-1woody4                                 An MTA (Mail Transport Agent)
rc  eyesapplet                                   2.2.2-4                                      eyes applet for KDE
ii  fam                                          2.6.6.1-5.2                                  File Alteration Monitor
ii  fdutils                                      5.3-7                                        Linux floppy utilities
rc  fifteenapplet                                2.2.2-4                                      fifteen pieces puzzle for KDE
ii  file                                         4.12-1                                       Determines file type using "magic" numbers
ii  file-roller                                  0.8-1                                        an Archiver for GNOME
ii  fileutils                                    5.2.1-2                                      The GNU file management utilities (transitional package)
ii  findutils                                    4.1.20-6                                     utilities for finding files--find, xargs, and locate
ii  finger                                       0.17-6                                       User information lookup program.
ii  firestarter                                  0.8.2-3woody1                                gtk program for managing and observing your firewall.
ii  flex                                         2.5.4a-24                                    A fast lexical analyzer generator.
ii  fluxbox                                      0.1.7-3                                      Highly configurable and low resource X11 Window manager
ii  fnlib-data                                   0.5-7                                        Font files needed by Fnlib
ii  fontconfig                                   2.3.1-2                                      generic font configuration library
ii  fortune-mod                                  9708-25                                      Fortune cookies provided upon demand.
ii  fortunes-min                                 9708-25                                      Data files containing fortune cookies
ii  g++                                          2.95.4-14                                    The GNU C++ compiler.
ii  g++-2.95                                     2.95.4-11woody1                              The GNU C++ compiler.
ii  gaim                                         1.2.1-1.1                                    multi-protocol instant messaging client
ii  gaim-data                                    1.2.1-1.1                                    multi-protocol instant messaging client - data files
ii  galeon                                       1.2.5-0.woody.1                              Mozilla based web browser with GNOME look and feel
ii  galeon-common                                1.2.5-0.woody.1                              Mozilla based web browser with GNOME look and feel - shared files
ii  gawk                                         3.1.4-2                                      GNU awk, a pattern scanning and processing language
ii  gcc                                          2.95.4-14                                    The GNU C compiler.
ii  gcc-2.95                                     2.95.4-11woody1                              The GNU C compiler.
ii  gcc-2.95-doc                                 2.95.4-11woody1                              Documentation for the GNU compilers (gcc, gobjc, g++).
ii  gcc-3.0-base                                 3.0.4-7                                      The GNU Compiler Collection (base package).
ii  gcc-3.3-base                                 3.3.5-12                                     The GNU Compiler Collection (base package)
ii  gconf                                        1.0.9-7                                      GNOME configuration database system. (daemon and tools)
ii  gconf-editor                                 2.8.2-2                                      An editor for the GConf configuration system
ii  gconf2                                       2.8.1-6                                      GNOME configuration database system. (daemon and tools, for GNOME2)
ii  gdb                                          6.3-5                                        The GNU Debugger
ii  gdk-imlib1                                   1.9.14-2woody2                               Gdk-Imlib is an imaging library for use with gtk
ii  gdm                                          2.2.5.5-2                                    GNOME Display Manager
ii  gedit                                        2.8.3-3                                      light-weight text editor
ii  gedit-common                                 2.8.3-3                                      light-weight text editor support files
ii  gettext                                      0.14.4-2                                     GNU Internationalization utilities
ii  gettext-base                                 0.14.4-2                                     GNU Internationalization utilities for the base system
ii  gettext-el                                   0.10.40-5                                    Emacs po-mode for editing .po files.
ii  gij-3.0                                      3.0.4-7                                      The GNU Java bytecode interpreter.
ii  gimp-data-extras                             1.2.0-3                                      An extra set of brushes, palettes, and gradients for The GIMP
ii  gimp1.2                                      1.2.3-2                                      The GNU Image Manipulation Program, stable version 1.2
ii  gjdoc                                        0.7.3-1                                      documentation generation framework for java source files
ii  gkrellm                                      1.2.10-1                                     Multiple stacked system monitors: 1 process.
ii  gksu                                         0.6                                          Gtk+ Frontend to su and sudo
ii  gnome-applets                                2.8.2-1                                      Various applets for GNOME 2 panel - binaries files
ii  gnome-applets-data                           2.8.2-1                                      Various applets for GNOME 2 panel - data files
ii  gnome-bin                                    1.4.1.4-3                                    Miscellaneous binaries used by Gnome
ii  gnome-card-games                             1.4.0.3-6.1                                  Gnome card games - Solitaire games (FreeCell, Klondike, Spider, etc)
ii  gnome-control-center                         2.8.2-3                                      The GNOME Control Center for GNOME 2
ii  gnome-core                                   64                                           The GNOME Desktop Environment -- essential components
ii  gnome-desktop-data                           2.8.3-2                                      Common files for GNOME 2 desktop apps
ii  gnome-doc-tools                              1.0-6.1                                      Tools, stylesheets and DTDs for GNOME.
ii  gnome-games                                  1.4.0.3-6.1                                  Empty package that requires the installation of all gnome-games packages.
ii  gnome-games-locale                           1.4.0.3-6.1                                  The locale databases for the gnome-games packages.
ii  gnome-gataxx                                 1.4.0.3-6.1                                  This is a GNOME port of the old game ataxx.
ii  gnome-glines                                 1.4.0.3-6.1                                  This is a version of the color lines program
ii  gnome-gnibbles                               1.4.0.3-6.1                                  A cute little game that has no description
ii  gnome-gnobots2                               1.4.0.3-6.1                                  Second Gnome version of robots game for BSD games collection
ii  gnome-gnometris                              1.4.0.3-6.1                                  A tetris clone.
ii  gnome-gnomine                                1.4.0.3-6.1                                  Classic find the mines in the minefield game (from Gnome)
ii  gnome-gnotravex                              1.4.0.3-6.1                                  A game based on Tetravex.
ii  gnome-gnotski                                1.4.0.3-6.1                                  Derivative game from Klotski.
ii  gnome-gtali                                  1.4.0.3-6.1                                  Gnome version of Yahtzee Dice Game
ii  gnome-gv                                     1.1.96-3.1                                   GNOME PostScript/PDF viewer
rc  gnome-help                                   1.4.0.6-5                                    GNOME help browser
ii  gnome-iagno                                  1.4.0.3-6.1                                  Gnome version of Othello (Reversi) board game
ii  gnome-icon-theme                             2.8.0-4                                      GNOME Desktop icon theme
ii  gnome-keyring                                0.4.2-1                                      GNOME keyring services (daemon and tools)
ii  gnome-libs-data                              1.4.1.4-3                                    Data for Gnome libraries
ii  gnome-mahjongg                               1.4.0.3-6.1                                  Classic Chinese Tile Game (from Gnome)
ii  gnome-media                                  1.2.3-4                                      Gnome Media Utilities (gmix, gtcd)
ii  gnome-mime-data                              2.4.2-1                                      base MIME and Application database for GNOME.
ii  gnome-panel                                  2.8.3-1                                      launcher and docking facility for GNOME 2
ii  gnome-panel-data                             2.8.3-1                                      common files for GNOME 2 panel
ii  gnome-same-gnome                             1.4.0.3-6.1                                  The "Same Game" puzzle (from Gnome)
ii  gnome-session                                2.8.1-6                                      The GNOME 2 Session Manager
ii  gnome-stones                                 1.4.0.3-6.1                                  Stones games
ii  gnome-terminal                               2.8.2-2                                      The GNOME 2 terminal emulator application
ii  gnome-utils                                  1.4.1.2-4                                    Gnome Utilities (gtt, gsearchtool, and more)
ii  gnome-vfs-extfs                              1.0.5-1                                      The GNOME virtual file-system extra fs scripts for GMC.
ii  gnome-xbill                                  1.4.0.3-6.1                                  Fight the infection.
ii  gnomemeeting                                 0.12.2-2                                     H323 Compatible Netmeeting clone for the Gnome Desktop
ii  gnumeric                                     1.0.8-1t1                                    A GNOME spreadsheet application
ii  gnupg                                        1.4.1-1                                      GNU privacy guard - a free PGP replacement
ii  gphoto2                                      2.0final-4                                   The gphoto2 digital camera library
ii  gpm                                          1.19.6-12                                    General Purpose Mouse Interface
ii  grep                                         2.5.1.ds1-4                                  GNU grep, egrep and fgrep
ii  groff-base                                   1.17.2-15.woody.1                            GNU troff text-formatting system (base system components)
ii  grub                                         0.91-2                                       GRand Unified Bootloader
ii  gs                                           6.53-3                                       The Ghostscript Postscript interpreter
ii  gs-common                                    0.3.3.0woody1                                Common files for different Ghostscript releases
ii  gsfonts                                      8.14+v8.11+urw-0.2                           Fonts for the Ghostscript interpreter(s)
ii  gsfonts-x11                                  0.17                                         Make Ghostscript fonts available to X11
ii  gstreamer0.8-oss                             0.8.8-2                                      OSS plugin for GStreamer
ii  gv                                           3.5.8-26.1                                   A PostScript and PDF viewer for X using 3d Athena Widgets
ii  gzip                                         1.3.5-9                                      The GNU compression utility
ii  hermes1                                      1.3.2-2.1                                    The Hermes pixel-format library
ii  hicolor-icon-theme                           0.8-1                                        default fallback theme for FreeDesktop.org icon themes
ii  hostname                                     2.13                                         A utility to set/show the host name or domain name
ii  hotplug                                      0.0.20020114-7                               Linux Hotplug Scripts
ii  html2text                                    1.3.2a-2                                     An advanced HTML to text converter
ii  iamerican                                    3.1.20.0-4                                   An American English dictionary for ispell
ii  ifupdown                                     0.6.7                                        high level tools to configure network interfaces
ii  imagemagick                                  6.0.6.2-2.3                                  Image manipulation programs
ii  imlib-base                                   1.9.14-16.2                                  Common files needed by the Imlib/Gdk-Imlib packages
ii  imlib1                                       1.9.14-2woody2                               Imlib is an imaging library for X and X11
ii  info                                         4.1-2                                        Standalone GNU Info documentation browser
ii  initrd-tools                                 0.1.32woody.3                                Tools to generate an initrd image.
ii  initscripts                                  2.86.ds1-1                                   Standard scripts needed for booting and shutting down
ii  intltool-debian                              0.30+20040213                                Help i18n of RFC822 compliant config files
ii  ipchains                                     1.3.10-15                                    Network firewalling for Linux 2.2.x
ii  iptables                                     1.2.6a-5.0woody2                             IP packet filter administration tools for 2.4.4+ kernels
ii  iputils-ping                                 20020927-2                                   Tools to test the reachability of network hosts
ii  irssi-text                                   0.8.4-3.1                                    text-mode version of the irssi IRC client
ii  ispell                                       3.1.20.0-4                                   International Ispell (an interactive spelling corrector)
ii  jade                                         1.2.1-43                                     James Clark's DSSSL Engine
ii  java-common                                  0.22                                         Base of all Java packages
ii  jikes                                        1.22-2                                       Fast Java compiler adhering to language and VM specifications
ii  kaffe                                        1.1.5-3                                      A JVM to run Java bytecode
ii  kaffe-common                                 1.1.5-3                                      Files shared between all Kaffe VM versions
ii  kaffe-pthreads                               1.1.5-3                                      A POSIX threads enabled version of the Kaffe VM
rc  kandy                                        2.2.2-5.2                                    Mobile phone utility for KDE
ii  kanjidic                                     2001.05.22-1                                 A Kanji Dictionary
rc  karm                                         2.2.2-9.2                                    A time tracker for KDE
rc  kasteroids                                   2.2.2-2.2                                    Asteroids for KDE
rc  kate                                         2.2.2-14.9                                   text editor for KDE
ii  kate-plugins                                 2.2.2-4                                      plugins for Kate, the KDE text editor
rc  katomic                                      2.2.2-2.2                                    The Atomic Entertainment Handbook
rc  kbackgammon                                  2.2.2-2.2                                    A Backgammon game for KDE
rc  kbattleship                                  2.2.2-2.2                                    Battleship game for KDE
rc  kblackbox                                    2.2.2-2.2                                    A simple logical game for the KDE project
rc  kcalc                                        2.2.2-9.2                                    A calculator for KDE
rc  kcharselect                                  2.2.2-9.2                                    A Character set selector for KDE
rc  kcoloredit                                   2.2.2-6.11                                   An editor for palette files
rc  kcron                                        2.2.2-7.2                                    Crontab editor for KDE
ii  kdeartwork-misc                              2.2.2-1                                      various multimedia goodies released with KDE
rc  kdeartwork-style                             2.2.2-1                                      widget styles released with KDE
ii  kdeartwork-theme-window                      2.2.2-1                                      window decoration themes released with KDE
rc  kdebase                                      2.2.2-14.9                                   KDE core applications
rc  kdebase-libs                                 2.2.2-14.9                                   KDE libraries and modules for kdebase
rc  kdelibs3                                     2.2.2-13.woody.14                            KDE core libraries (runtime files)
rc  kdepasswd                                    2.2.2-9.2                                    A Password changer frontend for KDE
rc  kdepim-libs                                  2.2.2-5.2                                    KDE libraries amd modules for kdepim
ii  kdewallpapers                                2.2.2-14.9                                   Some wallpapers for KDE
rc  kdf                                          2.2.2-9.2                                    Disk space GUI for KDE
rc  kdict                                        2.2.2-14.7                                   dict client based on KDE/Qt
rc  kedit                                        2.2.2-9.2                                    A simple text editor for KDE
ii  kernel-package                               7.107                                        Debian Linux kernel package build scripts.
rc  kfind                                        2.2.2-9.2                                    A KDE based file finder
rc  kfloppy                                      2.2.2-9.2                                    A floppy disk formatter frontend
rc  kgeo                                         1.0.2-2                                      an interactive geometry program for KDE
rc  kghostview                                   2.2.2-6.11                                   PostScript viewer for KDE.
rc  khexedit                                     2.2.2-9.2                                    A hex editor for KDE
rc  kicker-applets                               2.2.2-4                                      applets for Kicker, the KDE panel
rc  kiconedit                                    2.2.2-6.11                                   An icon editor for creating KDE icons
rc  kjots                                        2.2.2-9.2                                    A small note taker program for KDE
rc  kjumpingcube                                 2.2.2-2.2                                    Tactical one or two player game
rc  klines                                       2.2.2-2.2                                    Color lines for KDE
ii  klogd                                        1.4.1-10                                     Kernel Logging Daemon
rc  kmahjongg                                    2.2.2-2.2                                    the classic mahjongg game for KDE project
rc  kmail                                        2.2.2-14.7                                   Mail Client based on Qt and KDE
rc  kmid                                         2.2.2-8.2                                    midi/karaoke player for KDE
rc  kmines                                       2.2.2-2.2                                    Minesweeper for KDE
rc  kmix                                         2.2.2-8.2                                    KDE based mixer app
rc  kmoon                                        2.2.2-4                                      moon phase indicator for KDE
ii  knewsticker-scripts                          2.2.2-4                                      scripts for KNewsTicker, the KDE news ticker
rc  knode                                        2.2.2-14.7                                   News reader for KDE
rc  knotes                                       2.2.2-9.2                                    Sticky notes for KDE
rc  kodo                                         2.2.2-4                                      mouse odometer for KDE
rc  konqueror                                    2.2.2-14.9                                   KDE's advanced File Manager, Web Browser and Document Viewer
rc  konquest                                     2.2.2-2.2                                    KDE based GNU-Lactic Konquest game
rc  konsole                                      2.2.2-14.9                                   X terminal emulation for KDE
rc  kooka                                        2.2.2-6.11                                   Scanner program for KDE2
rc  korganizer                                   2.2.2-5.2                                    Personal organizer based on Qt and KDE
rc  korn                                         2.2.2-14.7                                   Mail notifier for KDE
rc  kpackage                                     2.2.2-7.2                                    Software package tool for KDE
rc  kpaint                                       2.2.2-6.11                                   A Simple Paint Program for KDE
rc  kpat                                         2.2.2-2.2                                    KDE solitaire patience game.
rc  kpilot                                       2.2.2-5.2                                    Palm Pilot sync tool for KDE
rc  kpoker                                       2.2.2-2.2                                    KDE based Poker clone
rc  kppp                                         2.2.2-14.7                                   PPP dialer for KDE
ii  krb5-config                                  1.4                                          Configuration files for Kerberos Version 5
rc  kreversi                                     2.2.2-2.2                                    Reversi for KDE
rc  kruler                                       2.2.2-6.11                                   a screen ruler and color measurement tool for KDE
rc  ksame                                        2.2.2-2.2                                    SameGame for KDE
rc  kscd                                         2.2.2-8.2                                    KDE based cd player
rc  kscreensaver                                 2.2.2-14.9                                   Screen savers for KDE
rc  kshisen                                      2.2.2-2.2                                    Shisen-Sho for KDE
rc  ksirc                                        2.2.2-14.7                                   IRC Client based on Qt and KDE
rc  ksirtet                                      2.2.2-2.2                                    Tetris and Puyo-Puyo games for KDE
rc  ksmiletris                                   2.2.2-2.2                                    Tetris like game for KDE
rc  ksnake                                       2.2.2-2.2                                    Snake Race for KDE
rc  ksnapshot                                    2.2.2-6.11                                   Screenshot application for KDE
rc  ksokoban                                     2.2.2-2.2                                    Sokoban game for KDE
rc  kspaceduel                                   2.2.2-2.2                                    Arcade two-player space game for KDE
rc  ksysv                                        2.2.2-7.2                                    SysV-style init configuration editor
rc  kteatime                                     2.2.2-4                                      tea cooker timer for KDE
rc  ktimer                                       2.2.2-9.2                                    a timer for KDE
rc  ktouch                                       1.0-4                                        A program for learning touch typing.
rc  ktron                                        2.2.2-2.2                                    tron-clone for the K Desktop Environment
rc  ktuberling                                   2.2.2-2.2                                    Potato Guy for KDE
rc  ktux                                         2.2.2-4                                      Tux screensaver for KDE
rc  kuser                                        2.2.2-7.2                                    A user/group administration tool for KDE
rc  kview                                        2.2.2-6.11                                   A simple image viewer/converter for KDE.
rc  kweather                                     2.99-4                                       a weather display applet for KDE Kicker
rc  kwin4                                        2.2.2-2.2                                    Connect Four clone for KDE
rc  kworldclock                                  2.2.2-4                                      earth watcher for KDE
ii  less                                         374-4                                        A file pager program, similar to more(1)
ii  lesstif1                                     0.93.18-5                                    OSF/Motif implementation released under LGPL.
ii  lesstif2                                     0.93.94-11.4                                 OSF/Motif 2.1 implementation released under LGPL
ii  libacl1                                      2.2.23-1                                     Access control list shared library
ii  libadns1                                     1.0-6                                        Asynchronous-capable DNS client library and utilities
ii  libao2                                       0.8.6-1                                      Cross Platform Audio Output Library
ii  libapm1                                      3.2.2-3                                      Library for interacting with APM driver in kernel
ii  libappconfig-perl                            1.52-5                                       Perl module for configuration file and command line parsing
ii  libapt-pkg-perl                              0.1.13                                       Perl interface to libapt-pkg
ii  libart-2.0-2                                 2.3.17-1                                     Library of functions for 2D graphics - runtime files
ii  libart2                                      1.4.1.4-3                                    The Gnome canvas widget - runtime files.
rc  libarts                                      2.2.2-13.woody.14                            aRts Sound system
rc  libarts-mpeglib                              2.2.2-8.2                                    mpeglib is a mp3 and mpeg I video/audio library (Arts plugin)
ii  libasn1-5-heimdal                            0.4e-7.woody.9                               Libraries for Heimdal Kerberos
ii  libasn1-6-heimdal                            0.6.3-10                                     Libraries for Heimdal Kerberos
ii  libasound2                                   1.0.8-3                                      ALSA library
rc  libaspell10                                  0.33.7.1.1-9                                 The aspell spell checker runtime libraries.
ii  libaspell15                                  0.60.2+20050121-2                            The GNU Aspell spell-checker runtime toolkits
ii  libatk1.0-0                                  1.8.0-4                                      The ATK accessibility toolkit
ii  libattr1                                     2.4.16-1                                     Extended attribute shared library
ii  libaudiofile0                                0.2.6-6                                      Open-source version of SGI's audiofile library
ii  libblkid1                                    1.37-2                                       block device id library
ii  libbonobo-activation4                        2.4.0-4                                      The GNOME Bonobo library (dummy package)
ii  libbonobo2                                   1.0.20-1                                     The GNOME Bonobo library.
ii  libbonobo2-0                                 2.8.1-2                                      Bonobo CORBA interfaces library
ii  libbonobo2-common                            2.8.1-2                                      Bonobo CORBA interfaces library -- support files
ii  libbonoboui2-0                               2.8.1-2                                      The Bonobo UI library
ii  libbonoboui2-common                          2.8.1-2                                      The Bonobo UI library -- common files
ii  libbz2-1.0                                   1.0.2-6                                      high-quality block-sorting file compressor library - runtime
ii  libc6                                        2.3.2.ds1-21                                 GNU C Library: Shared libraries and Timezone data
ii  libc6-dev                                    2.3.2.ds1-21                                 GNU C Library: Development Libraries and Header Files
ii  libcap1                                      1.10-14                                      support for getting/setting POSIX.1e capabilities
ii  libcapplet0                                  1.4.0.5-3                                    Library for Gnome Control Center applets
ii  libcapplet1                                  1.5.11-3                                     Library for Gnome Control Center applets
ii  libcdk4                                      4.9.9-3                                      Curses Development Kit
ii  libcdparanoia0                               3a9.8-6                                      Shared libraries for cdparanoia (runtime lib)
ii  libcomerr1-heimdal                           0.4e-7.woody.9                               Libraries for Heimdal Kerberos
ii  libcomerr2                                   1.37-2                                       common error description library
ii  libcompress-zlib-perl                        1.34-1                                       Perl module for creation and manipulation of gzip files
ii  libconsole                                   0.2.3dbs-56                                  Shared libraries for Linux console and font manipulation
ii  libconvert-binhex-perl                       1.119-2                                      Perl5 module for extracting data from macintosh BinHex files
ii  libcroco3                                    0.6.0-2                                      a generic Cascading Style Sheet (CSS) parsing and manipulation toolkit
ii  libcupsys2                                   1.1.23-10                                    Common UNIX Printing System(tm) - dummy libs for transition
ii  libcupsys2-gnutls10                          1.1.23-10                                    Common UNIX Printing System(tm) - libs
ii  libcurl2                                     7.9.5-1                                      Multi-protocol file transfer library. (no SSL support)
ii  libcurl3                                     7.13.2-2                                     Multi-protocol file transfer library, now with SSL support!
ii  libdb1-compat                                2.1.3-7                                      The Berkeley database routines [glibc 2.0/2.1 compatibility]
ii  libdb2                                       2.7.7.0-7                                    The Berkeley database routines (run-time files).
ii  libdb3                                       3.2.9-22                                     Berkeley v3 Database Libraries [runtime]
ii  libdb3-util                                  3.2.9-16                                     Berkeley v3 Database Utilities
ii  libdb4.1                                     4.1.25-18                                    Berkeley v4.1 Database Libraries [runtime]
ii  libdb4.2                                     4.2.52-18                                    Berkeley v4.2 Database Libraries [runtime]
ii  libdevel-symdump-perl                        2.02-1                                       Perl module for inspecting perl's symbol table
ii  libdigest-sha1-perl                          2.10-1                                       NIST SHA-1 message digest algorithm
ii  libdiscover1                                 1.7.7                                        hardware identification library
ii  libdns5                                      9.2.1-2.woody.2                              DNS Shared Library used by BIND
ii  libdps1                                      4.3.0.dfsg.1-12.0.1                          Display PostScript (DPS) client library
ii  libecal6                                     1.0.4-1                                      Client library for evolution calendars
ii  libedataserver3                              1.0.4-1                                      Utily library for evolution data servers
ii  libeel-data                                  1.0.2-8                                      Eazel Extensions Library - data files
ii  libeel0                                      1.0.2-8                                      Eazel Extensions Library
ii  libeel2-2                                    2.8.2-1                                      Eazel Extensions Library (for GNOME2)
ii  libeel2-data                                 2.8.2-1                                      Eazel Extensions Library - data files (for GNOME2)
ii  libefs1                                      1.0.20-1                                     Embedded File System library.
ii  libenchant1                                  1.1.4+cvs.2004.08.10-1                       a wrapper library for various spell checker engines (library)
ii  libesd0                                      0.2.35-2                                     Enlightened Sound Daemon - Shared libraries
ii  libesmtp5                                    1.0.3-1                                      LibESMTP SMTP client library
ii  libexif10                                    0.6.9-6                                      library to parse EXIF files
ii  libexif5                                     0.5.0-1woody1                                The EXIF library allows you to parse an EXIF file
ii  libexpat1                                    1.95.8-3                                     XML parsing C library - runtime library
ii  libexpat1-dev                                1.95.8-3                                     XML parsing C library - development kit
rc  libfam0                                      2.6.6.1-5.2                                  client library to control the FAM daemon
ii  libfam0c102                                  2.7.0-6                                      client library to control the FAM daemon
ii  libffi2                                      3.0.4-7                                      Foreign Function Interface library runtime
ii  libfinance-quote-perl                        1.06-2                                       Perl module for retrieving stock quotes from a variety of sources
ii  libflac6                                     1.1.1-5                                      Free Lossless Audio Codec - runtime C library
ii  libfontconfig1                               2.3.1-2                                      generic font configuration library (shared library)
ii  libfreetype6                                 2.1.7-2.4                                    FreeType 2 font engine, shared library files
ii  libfreetype6-dev                             2.1.7-2.4                                    FreeType 2 font engine, development files
ii  libfribidi0                                  0.10.4-6                                     Free Implementation of the Unicode BiDi algorithm
ii  libft-perl                                   1.2-14                                       Perl module for the FreeType library
ii  libgail-common                               1.8.4-1                                      GNOME Accessibility Implementation Library -- common modules
ii  libgail17                                    1.8.4-1                                      GNOME Accessibility Implementation Library -- the shared libraries
ii  libgal19                                     0.19.2-2                                     G App Libs (run time library)
ii  libgcc1                                      3.4.3-12                                     GCC support library
ii  libgcj2                                      3.0.4-7                                      Java runtime library for use with gcj
ii  libgconf11                                   1.0.9-7                                      GNOME configuration database system libraries
ii  libgconf2-4                                  2.8.1-6                                      GNOME configuration database system libraries (for GNOME2)
ii  libgcrypt1                                   1.1.5-3.4                                    GPL Crypto library - runtime library
ii  libgcrypt11                                  1.2.0-11.1                                   LGPL Crypto library - runtime library
ii  libgd1                                       1.8.4-17.woody4                              GD Graphics Library
ii  libgd2                                       2.0.1-10woody2                               GD Graphics Library version 2
ii  libgdbm3                                     1.8.3-2                                      GNU dbm database routines (runtime version)
ii  libgdbmg1                                    1.7.3-27                                     GNU dbm database routines (runtime version). [libc6 version]
ii  libgdk-pixbuf-gnome2                         0.17.0-2woody2                               The GNOME Canvas pixbuf library
ii  libgdk-pixbuf2                               0.17.0-2woody2                               The GdkPixBuf library.
ii  libghttp1                                    1.0.9-9                                      Gnome HTTP client library
ii  libgimp1.2                                   1.2.3-2                                      Libraries necessary to run the GIMP, version 1.2
ii  libgimpprint1                                4.2.0-4                                      library necessary to use gimp-print programs
ii  libglade-gnome0                              0.17-2.2                                     Library to load .glade files at runtime (Gnome widgets support).
ii  libglade-perl                                0.59-2                                       Glade-perl runtime modules
ii  libglade0                                    0.17-2.2                                     Library to load .glade files at runtime.
ii  libglade2-0                                  2.4.2-2                                      library to load .glade files at runtime
ii  libgle3                                      3.1.0-5                                      OpenGL tubing and extrusion library
ii  libglib1.2                                   1.2.10-9                                     The GLib library of C routines
ii  libglib2.0-0                                 2.6.4-1                                      The GLib library of C routines
ii  libgmime2.1                                  2.1.14-1                                     MIME library, unstable version
ii  libgmp2                                      2.0.2-10                                     Multiprecision arithmetic library
ii  libgmp3                                      4.1.4-6                                      Multiprecision arithmetic library
ii  libgnome-desktop-2                           2.8.3-2                                      Utility library for loading .desktop files - runtime files
ii  libgnome-keyring0                            0.4.2-1                                      GNOME keyring services library
ii  libgnome-vfs-common                          1.0.5-1                                      The GNOME virtual file-system libraries common files
ii  libgnome-vfs0                                1.0.5-1                                      The GNOME virtual file-system libraries
ii  libgnome2-0                                  2.8.1-2                                      The GNOME 2 library - runtime files
ii  libgnome2-common                             2.8.1-2                                      The GNOME 2 library - common files
ii  libgnome32                                   1.4.1.4-3                                    The Gnome libraries
ii  libgnomecanvas2-0                            2.8.0-1                                      A powerful object-oriented display - runtime files
ii  libgnomecanvas2-common                       2.8.0-1                                      A powerful object-oriented display - common files
ii  libgnomecups1.0-1                            0.1.14-1                                     GNOME library for CUPS interaction
ii  libgnomeprint-bin                            0.35-4                                       The GNOME Print architecture - binary files
ii  libgnomeprint-data                           0.35-4                                       The GNOME Print architecture - data files
ii  libgnomeprint15                              0.35-4                                       The GNOME Print architecture - runtime library
ii  libgnomeprint2.2-0                           2.8.2-1                                      The GNOME 2.2 print architecture - runtime files
ii  libgnomeprint2.2-data                        2.8.2-1                                      The GNOME 2.2 print architecture - data files
ii  libgnomeprintui2.2-0                         2.8.2-2                                      GNOME 2.2 print architecture User Interface - runtime files
ii  libgnomeprintui2.2-common                    2.8.2-2                                      GNOME 2.2 print architecture User Interface - common files
ii  libgnomesupport0                             1.4.1.4-3                                    The Gnome libraries (Support libraries)
ii  libgnomeui-0                                 2.8.1-3                                      The GNOME 2 libraries (User Interface) - runtime files
ii  libgnomeui-common                            2.8.1-3                                      The GNOME 2 libraries (User Interface) - common files
ii  libgnomeui32                                 1.4.1.4-3                                    The Gnome libraries (User Interface)
ii  libgnomevfs2-0                               2.8.4-4                                      The GNOME virtual file-system library (runtime files)
ii  libgnomevfs2-common                          2.8.4-4                                      The GNOME virtual file-system library (common files)
ii  libgnorba27                                  1.4.1.4-3                                    Gnome CORBA services
ii  libgnorbagtk0                                1.4.1.4-3                                    Gnome CORBA services (Gtk bindings)
ii  libgnutls11                                  1.0.16-9                                     GNU TLS library - runtime library
ii  libgpg-error0                                1.0-1                                        library for common error values and messages in GnuPG components
ii  libgpgme11                                   1.0.2-1                                      GPGME - GnuPG Made Easy
ii  libgpmg1                                     1.19.6-19                                    General Purpose Mouse - shared library
ii  libgsf-1                                     1.11.1-1                                     Structured File Library - runtime version
ii  libgsm1                                      1.0.10-11                                    Shared libraries for GSM speech compressor.
ii  libgssapi1-heimdal                           0.6.3-10                                     Libraries for Heimdal Kerberos
ii  libgstreamer-plugins0.8-0                    0.8.8-2                                      Various GStreamer libraries and library plugins
ii  libgstreamer0.8-0                            0.8.9-2                                      Core GStreamer libraries, plugins, and utilities
ii  libgtk-perl                                  0.7009-2                                     Perl module for the gtk+ library
ii  libgtk1.2                                    1.2.10-17                                    The GIMP Toolkit set of widgets for X
ii  libgtk1.2-common                             1.2.10-17                                    Common files for the GTK+ library
ii  libgtk2.0-0                                  2.6.4-1                                      The GTK+ graphical user interface library
ii  libgtk2.0-bin                                2.6.4-1                                      The programs for the GTK+ graphical user interface library
ii  libgtk2.0-common                             2.6.4-1                                      Common files for the GTK+ graphical user interface library
ii  libgtkhtml2-0                                2.6.3-1                                      HTML rendering/editing library - runtime files. (for GNOME2)
ii  libgtkhtml20                                 1.0.2-1.woody1                               HTML rendering/editing library - runtime files.
ii  libgtkhtml3.2-11                             3.2.5-1                                      HTML rendering/editing library - runtime files
ii  libgtksourceview-common                      1.2.0-1                                      common files for the GTK+ syntax highlighting widget
ii  libgtksourceview1.0-0                        1.2.0-1                                      shared libraries for the GTK+ syntax highlighting widget
ii  libgtkspell0                                 2.0.10-1                                     a spell-checking addon for GTK's TextView widget
ii  libgtkxmhtml1                                1.4.1.4-3                                    The Gnome gtkxmhtml (HTML) widget
ii  libgtop1                                     1.0.13-3.1                                   Libraries for gtop system monitoring library (part of Gnome)
ii  libgtop2-2                                   2.6.0-4                                      Libraries for gtop system monitoring library (part of Gnome 2)
ii  libgucharmap4                                1.4.2-1                                      Unicode browser widget library (shared library)
ii  libguile9                                    1.4-24                                       libraries for Guile1.4 (guile, guilereadline, and qthreads).
ii  libhesiod0                                   3.0.2-11                                     Libraries for hesiod, a service name resolution protocol
ii  libhtml-parser-perl                          3.45-2                                       A collection of modules that parse HTML text documents
ii  libhtml-tableextract-perl                    1.06-2                                       Perl module that simplifies extraction of information from HTML
ii  libhtml-tagset-perl                          3.04-1                                       Data tables pertaining to HTML
ii  libhtml-tree-perl                            3.18-1                                       represent and create HTML syntax trees
ii  libice-dev                                   4.3.0.dfsg.1-12.0.1                          Inter-Client Exchange library development files
ii  libice6                                      4.3.0.dfsg.1-12.0.1                          Inter-Client Exchange library
ii  libid3tag0                                   0.14.2b-3                                    ID3 tag reading library from the MAD project
ii  libident                                     0.22-2                                       simple RFC1413 client library - runtime
ii  libidl0                                      0.8.5-1                                      library for parsing CORBA IDL files
ii  libidn11                                     0.5.13-1.0                                   GNU libidn library, implementation of IETF IDN specifications
ii  libio-stringy-perl                           2.110-1                                      Perl5 modules for IO from scalars and arrays
ii  libisc4                                      9.2.1-2.woody.2                              ISC Shared Library used by BIND
ii  libisccc0                                    9.2.1-2.woody.2                              Command Channel Library used by BIND
ii  libisccfg0                                   9.2.1-2.woody.2                              Config File Handling Library used by BIND
ii  libjasper-1.701-1                            1.701.0-2                                    The JasPer JPEG-2000 runtime library
ii  libjpeg-progs                                6b-5                                         Programs for manipulating JPEG files
ii  libjpeg62                                    6b-10                                        The Independent JPEG Group's JPEG runtime library
ii  libjpeg62-dev                                6b-10                                        Development files for the IJG JPEG library
rc  libkdegames                                  2.2.2-2.2                                    KDE Games library and common files
rc  libkdenetwork1                               2.2.2-14.7                                   Common libraries needed for KDE network applications
ii  libkeynote0                                  2.3-3                                        Decentralized Trust-Management system, shared library
rc  libkmid                                      2.2.2-13.woody.14                            aRts Sound system (midi/kmedia support libraries)
rc  libkonq3                                     2.2.2-14.9                                   Core libraries for KDE's file manager
ii  libkrb-1-kerberos4kth                        1.2.2-11.2                                   Kerberos Libraries for Kerberos4 From KTH
ii  libkrb5-17-heimdal                           0.6.3-10                                     Libraries for Heimdal Kerberos
ii  libkrb53                                     1.3.6-2                                      MIT Kerberos runtime libraries
rc  libkscan1                                    2.2.2-6.11                                   Scanner library for KDE
rc  liblcms                                      1.08-3                                       Color management library
ii  liblcms1                                     1.13-1                                       Color management library
ii  liblcms1-dev                                 1.13-1                                       Color management library (Development headers)
ii  libldap2                                     2.1.30-8                                     OpenLDAP libraries
rc  liblinc1                                     0.1.21-1                                     library to simplify creating networked clients and servers
ii  liblircclient0                               0.6.5-1                                      LIRC client library
ii  liblocale-gettext-perl                       1.01-17                                      Using libc functions for internationalization in Perl
ii  liblockfile1                                 1.03                                         NFS-safe locking library, includes dotlockfile program
ii  libltdl3                                     1.4.2-4                                      A system independent dlopen wrapper for GNU libtool
ii  liblua40                                     4.0-4                                        Main interpreter library for the Lua programming language
ii  liblualib40                                  4.0-4                                        Extension library for the Lua programming language
ii  liblwres1                                    9.2.1-2.woody.2                              Lightweight Resolver Library used by BIND
ii  liblzo1                                      1.08-1.2                                     A real-time data compression library
ii  libmad0                                      0.14.2b-3                                    MPEG audio decoder library
ii  libmagic1                                    4.12-1                                       File type determination library using "magic" numbers
rc  libmagick5                                   5.4.4.5-1woody6                              Image manipulation library (free version).
ii  libmagick6                                   6.0.6.2-2.3                                  Image manipulation library
ii  libmailtools-perl                            1.62-1                                       Manipulate email in perl programs
ii  libmedusa0                                   0.5.1-4                                      The GNOME search/indexing package (run time library)
ii  libmetacity0                                 2.8.8-1                                      Common library of lightweight GTK2 based Window Manager
ii  libmime-perl                                 5.417-1                                      Perl5 modules for MIME-compliant messages (MIME-tools)
rc  libmimelib1                                  2.2.2-14.7                                   mime libraries needed for some KDE applications
ii  libmng-dev                                   1.0.8-1                                      M-N-G library (Development headers)
ii  libmng1                                      1.0.8-1                                      Multiple-image Network Graphics library
ii  libmpeg1                                     1.3.1-2.1                                    The MPEG library calls for movie streams
ii  libmyspell3                                  3.1-11                                       MySpell spellchecking library
ii  libnautilus0                                 1.0.6-5                                      Shared libraries that part of Nautilus
ii  libnautilus2-2                               2.8.2-2                                      libraries for nautilus components - runtime version
ii  libncurses5                                  5.4-4                                        Shared libraries for terminal handling
ii  libncurses5-dev                              5.4-4                                        Developer's libraries and docs for ncurses
ii  libncursesw5                                 5.4-4                                        Shared libraries for terminal handling (wide character support)
ii  libnet-perl                                  1.19-1                                       Implementation of Internet protocols for Perl
ii  libnetpbm9                                   9.20-8.4                                     Shared libraries for netpbm.
ii  libnews-nntpclient-perl                      0.37-1                                       News::NNTPClient, Perl support for accessing NNTP servers
ii  libnewt0                                     0.50.17-9.6                                  Not Erik's Windowing Toolkit - text mode windowing with slang
ii  libnewt0.51                                  0.51.6-20                                    Not Erik's Windowing Toolkit - text mode windowing with slang
ii  libnspr4                                     1.0.0-0.woody.1                              Netscape Portable Runtime Library
ii  libnss3                                      1.0.0-0.woody.1                              Network Security Service Libraries - runtime
ii  liboaf0                                      0.6.10-3                                     The GNOME Object Activation Framework.
ii  libogg0                                      1.1.2-1                                      Ogg Bitstream Library
ii  liboggflac1                                  1.1.1-5                                      Free Lossless Audio Codec - runtime C library (ogg)
ii  libole2-0                                    0.2.4-3                                      The GNOME OLE library.
ii  libopencdk8                                  0.5.5-10                                     Open Crypto Development Kit (OpenCDK) (runtime)
ii  libopenh323-1.7.4                            1.7.4-6                                      H.323 aka VoIP library
ii  liborbit0                                    0.5.17-11.1                                  Libraries for ORBit - a CORBA ORB
ii  liborbit2                                    2.12.2-1                                     libraries for ORBit2 - a CORBA ORB
ii  libpam-modules                               0.76-22                                      Pluggable Authentication Modules for PAM
ii  libpam-runtime                               0.76-22                                      Runtime support for the PAM library
ii  libpam0g                                     0.76-22                                      Pluggable Authentication Modules library
ii  libpanel-applet0                             1.4.0.6-5                                    Library for Gnome Panel applets
ii  libpanel-applet2-0                           2.8.3-1                                      library for GNOME 2 panel applets
ii  libpango1.0-0                                1.8.1-1                                      Layout and rendering of internationalized text
ii  libpango1.0-common                           1.8.1-1                                      Modules and configuration files for the Pango
ii  libpaper1                                    1.1.14-3                                     Library for handling paper characteristics
ii  libpaperg                                    1.1.8                                        Library for handling paper characteristics
ii  libpcap0                                     0.6.2-2                                      System interface for user-level packet capture.
ii  libpcre3                                     4.5-1.1                                      Perl 5 Compatible Regular Expression Library - runtime files
ii  libperl5.6                                   5.6.1-8.9                                    Shared Perl library.
ii  libperl5.8                                   5.8.4-8                                      Shared Perl library
ii  libpisock4                                   0.9.5.0-8                                    Libraries for communicating with a Pilot PDA.
ii  libpng12-0                                   1.2.8rel-1                                   PNG library - runtime
ii  libpng2                                      1.0.12-3.woody.9                             PNG library - runtime
ii  libpng3                                      1.2.1-1.1.woody.9                            PNG library - runtime
ii  libpopt0                                     1.7-5                                        lib for parsing cmdline parameters
rc  libpspell-ispell1                            0.12-4                                       Ispell module for pspell
rc  libpspell4                                   0.12.2-5                                     Portable spell checker interface library
ii  libpt-1.2.0                                  1.2.5-5woody1                                Portable Windows Library
ii  libqt2                                       2.3.1-22                                     Qt GUI Library (runtime version).
ii  libqt3                                       3.0.3-20020329-1woody2                       Qt GUI Library (runtime version).
ii  libqt3-mt                                    3.0.3-20020329-1woody2                       Qt GUI Library (Threaded runtime version).
ii  libqxt0                                      3.0.3-20020329-1woody2                       Qt Xt/Motif Support Extension
ii  libraw1394-5                                 0.9.0-2                                      library for direct access to IEEE 1394 bus (aka FireWire)
ii  libreadline4                                 4.3-11                                       GNU readline and history libraries, run-time libraries
ii  libreadline5                                 5.0-10                                       GNU readline and history libraries, run-time libraries
ii  librecode0                                   3.6-6                                        Shared library on which recode is based.
ii  libroken16-kerberos4kth                      1.2.2-11.2                                   Roken Libraries for Kerberos4 From KTH
rc  libroken9-heimdal                            0.4e-7.woody.9                               Libraries for Heimdal Kerberos
ii  librpm4                                      4.0.3-4                                      RPM shared library
ii  librsvg1                                     1.0.3-1                                      SAX-based renderer library for SVG files.
ii  librsvg2-2                                   2.8.1-3                                      SAX-based renderer library for SVG files. (for GNOME2)
ii  librsvg2-common                              2.8.1-3                                      SAX-based renderer library for SVG files. (for GNOME2)
ii  libsane                                      1.0.7-4                                      API library for scanners
ii  libsasl-modules-plain                        1.5.27-3.1woody5                             Basic Pluggable Authentication Modules for SASL
ii  libsasl2                                     2.1.19-1.5                                   Authentication abstraction library
ii  libsasl7                                     1.5.27-3.1woody5                             Authentication abstraction library.
ii  libscrollkeeper0                             0.3.14-10                                    Library to load .omf files (runtime files)
ii  libsdl1.2debian                              1.2.4-1                                      Simple DirectMedia Layer
ii  libsdl1.2debian-oss                          1.2.4-1                                      Simple DirectMedia Layer (with X11 and OSS options)
ii  libsensors1                                  2.6.3-5                                      Library to read temperature/voltage/fan sensors
ii  libsigc++-1.2-5c102                          1.2.5-4                                      type-safe Signal Framework for C++ - runtime
ii  libsigc++0                                   1.0.4-3                                      Type-safe Signal Framework for C++ - runtime
ii  libslp1                                      1.0.8a-2                                     OpenSLP libraries
ii  libsm-dev                                    4.3.0.dfsg.1-12.0.1                          X Window System Session Management library development files
ii  libsm6                                       4.3.0.dfsg.1-12.0.1                          X Window System Session Management library
ii  libsmbclient                                 3.0.14a-1                                    shared library that allows applications to talk to SMB servers
ii  libsnmp-base                                 4.2.3-2                                      NET SNMP (Simple Network Management Protocol) MIBs and Docs.
ii  libsnmp4.2                                   4.2.3-2                                      NET SNMP (Simple Network Management Protocol) Library.
ii  libsp1                                       1.3.4-1.2.1-43                               Runtime library for James Clark's SP suite
ii  libsqlite0                                   2.8.16-1                                     SQLite shared library
ii  libss2                                       1.37-2                                       command-line interface parsing library
ii  libssl0.9.6                                  0.9.6c-2.woody.7                             SSL shared libraries
ii  libssl0.9.7                                  0.9.7e-3                                     SSL shared libraries
ii  libstartup-notification0                     0.8-1                                        library for program launch feedback (shared library)
ii  libstdc++2.10-dev                            2.95.4-11woody1                              The GNU stdc++ library (development files)
ii  libstdc++2.10-glibc2.2                       2.95.4-11woody1                              The GNU stdc++ library
ii  libstdc++5                                   3.3.5-12                                     The GNU Standard C++ Library v3
ii  libt1-5                                      5.0.2-3                                      Type 1 font rasterizer library - runtime
ii  libtasn1-2                                   0.2.10-3                                     Manage ASN.1 structures (runtime)
ii  libtext-charwidth-perl                       0.04-1                                       get display widths of characters on the terminal
ii  libtext-iconv-perl                           1.2-3                                        Convert between character sets in Perl
ii  libtext-wrapi18n-perl                        0.06-1                                       internationalized substitute of Text::Wrap
ii  libtiff-tools                                3.5.5-6.woody5                               TIFF manipulation and conversion tools
ii  libtiff3g                                    3.5.5-6.woody5                               Tag Image File Format library
ii  libtiff4                                     3.7.2-3                                      Tag Image File Format (TIFF) library
ii  libtimedate-perl                             1.1600-4                                     Time and date functions for Perl
ii  libtool                                      1.4.2-4                                      Generic library support script
ii  libttf2                                      1.4pre.20030402-1.1                          FreeType 1, The FREE TrueType Font Engine, shared library files
ii  libungif4g                                   4.1.0b1-2                                    shared library for GIF images (runtime lib)
ii  liburi-perl                                  1.35-1                                       Manipulates and accesses URI strings
ii  libusb-0.1-4                                 0.1.10a-9                                    userspace USB programming library
ii  libuuid1                                     1.37-2                                       universally unique id library
ii  libvncauth0                                  3.3.7-7                                      Virtual network computing authentication library
rc  libvorbis0                                   1.0rc3-1                                     The Vorbis General Audio Compression Codec
ii  libvorbis0a                                  1.1.0-1                                      The Vorbis General Audio Compression Codec
ii  libvorbisenc2                                1.1.0-1                                      The Vorbis General Audio Compression Codec
ii  libvorbisfile3                               1.1.0-1                                      The Vorbis General Audio Compression Codec
ii  libvte-common                                0.11.12-1                                    Terminal emulator widget for GTK+ 2.0 - common files
ii  libvte4                                      0.11.12-1                                    Terminal emulator widget for GTK+ 2.0 - runtime files
ii  libwmf0.2-2                                  0.2.2-4                                      Windows metafile conversion library.
ii  libwnck-common                               2.8.1-3                                      Window Navigator Construction Kit - common files
ii  libwnck4                                     2.8.1-3                                      Window Navigator Construction Kit - runtime files
ii  libwrap0                                     7.6.dbs-8                                    Wietse Venema's TCP wrappers library
ii  libwraster2                                  0.80.0-4.2                                   Shared libraries of Window Maker rasterizer.
ii  libwww-perl                                  5.803-4                                      WWW client/server library for Perl (aka LWP)
ii  libx11-6                                     4.3.0.dfsg.1-12.0.1                          X Window System protocol client library
ii  libx11-dev                                   4.3.0.dfsg.1-12.0.1                          X Window System protocol client library development files
ii  libxaw6                                      4.1.0-16woody6                               X Athena widget set library (version 6)
ii  libxaw7                                      4.3.0.dfsg.1-12.0.1                          X Athena widget set library
ii  libxcursor1                                  1.1.3-1                                      X cursor management library
ii  libxext-dev                                  4.3.0.dfsg.1-12.0.1                          X Window System miscellaneous extension library development files
ii  libxext6                                     4.3.0.dfsg.1-12.0.1                          X Window System miscellaneous extension library
ii  libxft1                                      4.3.0.dfsg.1-12.0.1                          FreeType-based font drawing library for X (version 1)
ii  libxft2                                      2.1.7-1                                      FreeType-based font drawing library for X
ii  libxi-dev                                    4.3.0.dfsg.1-12.0.1                          X Window System Input extension library development files
ii  libxi6                                       4.3.0.dfsg.1-12.0.1                          X Window System Input extension library
ii  libxklavier8                                 1.03-1                                       X Keyboard Extension high-level API
ii  libxml-parser-perl                           2.34-4                                       Perl module for parsing XML files
ii  libxml1                                      1.8.17-10                                    GNOME XML library
ii  libxml2                                      2.6.16-7                                     GNOME XML library
ii  libxmu-dev                                   4.3.0.dfsg.1-12.0.1                          X Window System miscellaneous utility library development files
ii  libxmu6                                      4.3.0.dfsg.1-12.0.1                          X Window System miscellaneous utility library
ii  libxmuu-dev                                  4.3.0.dfsg.1-12.0.1                          lightweight X Window System miscellaneous utility library development files
ii  libxmuu1                                     4.3.0.dfsg.1-12.0.1                          lightweight X Window System miscellaneous utility library
ii  libxp-dev                                    4.3.0.dfsg.1-12.0.1                          X Window System printing extension library development files
ii  libxp6                                       4.3.0.dfsg.1-12.0.1                          X Window System printing extension library
ii  libxpm-dev                                   4.3.0.dfsg.1-12.0.1                          X pixmap library development files
ii  libxpm4                                      4.3.0.dfsg.1-12.0.1                          X pixmap library
ii  libxrandr-dev                                4.3.0.dfsg.1-12.0.1                          X Window System Resize, Rotate and Reflection extension library development files
ii  libxrandr2                                   4.3.0.dfsg.1-12.0.1                          X Window System Resize, Rotate and Reflection extension library
ii  libxrender-dev                               0.8.3-7                                      X Rendering Extension client library (development files)
ii  libxrender1                                  0.8.3-7                                      X Rendering Extension client library
ii  libxslt1                                     1.1.12-8                                     XSLT processing library - runtime library
ii  libxslt1.1                                   1.1.12-8                                     XSLT processing library - runtime library
ii  libxt-dev                                    4.3.0.dfsg.1-12.0.1                          X Toolkit Intrinsics development files
ii  libxt6                                       4.3.0.dfsg.1-12.0.1                          X Toolkit Intrinsics
ii  libxtrap-dev                                 4.3.0.dfsg.1-12.0.1                          X Window System protocol-trapping extension library development files
ii  libxtrap6                                    4.3.0.dfsg.1-12.0.1                          X Window System protocol-trapping extension library
ii  libxtst-dev                                  4.3.0.dfsg.1-12.0.1                          X Window System event recording and testing extension library development files
ii  libxtst6                                     4.3.0.dfsg.1-12.0.1                          X Window System event recording and testing extension library
ii  libxv-dev                                    4.3.0.dfsg.1-12.0.1                          X Window System video extension library development files
ii  libxv1                                       4.3.0.dfsg.1-12.0.1                          X Window System video extension library
ii  libzephyr3                                   2.1.20010518.SNAPSHOT-6                      The original "Instant Message" system libraries without Kerberos
ii  libzvt2                                      1.4.1.4-3                                    The Gnome zvt (zterm) widget
ii  lilo                                         22.2-3                                       LInux LOader - The Classic OS loader can load Linux and others
ii  links                                        0.96.20020409-2                              Character mode WWW browser
ii  linux-kernel-headers                         2.5.999-test7-bk-17                          Linux Kernel Headers for development
ii  lm-sensors                                   2.6.3-5                                      Utilities to read temperature/voltage/fan sensors
ii  locales                                      2.3.2.ds1-21                                 GNU C Library: National Language (locale) data [support]
ii  login                                        4.0.3-31sarge5                               system login tools
ii  logrotate                                    3.7-3                                        Log rotation utility
rc  lskat                                        2.2.2-2.2                                    Lieutnant Skat card game for KDE.
ii  lsof                                         4.57-1                                       List open files.
ii  lwresd                                       9.2.1-2.woody.2                              Lightweight Resolver Daemon
ii  lynx                                         2.8.4.1b-3.2                                 Text-mode WWW Browser
ii  m4                                           1.4.2-1                                      a macro processing language
ii  mailx                                        8.1.2-0.20020411cvs-1                        A simple mail user agent.
ii  make                                         3.80-9                                       The GNU version of the "make" utility.
ii  makedev                                      2.3.1-77                                     creates device files in /dev
ii  man-db                                       2.3.20-18.woody.4                            The on-line manual pager
ii  manpages                                     1.39-1.1                                     Man pages about using a Linux system.
ii  manpages-dev                                 1.39-1.1                                     Linux-development man pages.
ii  mawk                                         1.3.3-11                                     a pattern scanning and text processing language
ii  mbr                                          1.1.5-1                                      Master Boot Record for IBM-PC compatible computers.
ii  mdetect                                      0.5.1                                        mouse device autodetection tool
ii  menu                                         2.1.23                                       provides update-menus functions for some applications
ii  metacity                                     2.8.8-1                                      A lightweight GTK2 based Window Manager
ii  mime-support                                 3.18-1.3                                     MIME files 'mime.types' & 'mailcap', and support programs
ii  mkisofs                                      1.10-7                                       Creates ISO-9660 CD-ROM filesystem images.
ii  mlock                                        2001adebian-6                                Mailbox locking program from UW
ii  modconf                                      0.2.43                                       Device Driver Configuration
ii  modutils                                     2.4.26-1.2                                   Linux module utilities
ii  mount                                        2.12p-4                                      Tools for mounting and manipulating filesystems
ii  mozilla-browser                              1.0.0-0.woody.1                              Mozilla Web Browser - core and browser
ii  mozilla-psm                                  1.0.0-0.woody.1                              Mozilla Web Browser - Personal Security Manager (PSM)
rc  mpeglib                                      2.2.2-8.2                                    mp3 and mpeg I video/audio library for linux
ii  msttcorefonts                                1.2                                          Installer for Microsoft TrueType core fonts
ii  nano                                         1.0.6-3                                      free Pico clone with some new features
ii  nautilus                                     2.8.2-2                                      file manager and graphical shell for GNOME
ii  nautilus-data                                2.8.2-2                                      data files for nautilus
ii  ncftp                                        3.1.3-1                                      A user-friendly and well-featured FTP client.
ii  ncurses-base                                 5.4-4                                        Descriptions of common terminal types
ii  ncurses-bin                                  5.4-4                                        Terminal-related programs and man pages
ii  net-tools                                    1.60-10                                      The NET-3 networking toolkit
ii  netbase                                      4.21                                         Basic TCP/IP networking system
ii  netcat                                       1.10-21                                      TCP/IP swiss army knife
ii  netkit-inetd                                 0.10-10                                      The Internet Superserver
ii  netpbm                                       9.20-8.4                                     Graphics conversion tools.
ii  nmap                                         2.54.31.BETA-1                               The Network Mapper
rc  noatun                                       2.2.2-8.2                                    Media player (for video and audio)
rc  noatun-plugins                               2.2.2-4                                      plugins for Noatun, the KDE media player
ii  ntop                                         2.0.0-14                                     display network usage in top-like format
ii  ntp                                          4.1.0-8                                      Daemon and utilities for full NTP v4 timekeeping participation.
ii  ntp-simple                                   4.1.0-8                                      NTP v4 daemon for simple systems.
ii  ntpdate                                      4.1.0-8                                      The ntpdate client for setting system time from NTP servers.
ii  nvi                                          1.79-20                                      4.4BSD re-implementation of vi.
ii  oaf                                          0.6.10-3                                     The GNOME Object Activation Framework.
ii  openssl                                      0.9.6c-2.woody.7                             Secure Socket Layer (SSL) binary and related cryptographic tools.
ii  passwd                                       4.0.3-31sarge5                               change and administer password and group data
ii  patch                                        2.5.9-2                                      Apply a diff file to an original
ii  pciutils                                     2.1.9-4                                      Linux PCI Utilities (for 2.[1234].x kernels)
ii  perl                                         5.8.4-8                                      Larry Wall's Practical Extraction and Report Language
ii  perl-base                                    5.8.4-8                                      The Pathologically Eclectic Rubbish Lister
ii  perl-modules                                 5.8.4-8                                      Core Perl modules
ii  perl-suid                                    5.8.4-8                                      Runs setuid Perl scripts
ii  pilot-link                                   0.9.5.0-8                                    Tools to communicate with a 3COM Pilot PDA over a serial port.
ii  pkg-config                                   0.11.0-0.1                                   program and autoconf macro to gather compile/link flags
ii  pm-dev                                       4.3.0.dfsg.1-12                              proxy management protocol development files
ii  po-debconf                                   0.8.23                                       manage translated Debconf templates files with gettext
ii  portmap                                      5-2                                          The RPC portmapper
ii  poster                                       19990428-6                                   make big posters out of PostScript pages
ii  postfix                                      1.1.11-0.woody3                              A high-performance mail transport agent
ii  postfix-doc                                  1.1.11-0.woody3                              Postfix documentation
ii  postfix-ldap                                 1.1.11-0.woody3                              LDAP map support for Postfix
ii  postfix-pcre                                 1.1.11-0.woody3                              PCRE map support for Postfix
ii  powermgmt-base                               1.22                                         Common utils and configs for power management
ii  ppp                                          2.4.1.uus-4                                  Point-to-Point Protocol (PPP) daemon.
ii  pppconfig                                    2.0.14                                       A text menu based utility for configuring ppp.
ii  pppoe                                        3.3-1.2                                      PPP over Ethernet driver
ii  pppoeconf                                    0.9.10.6                                     configures PPPoE/ADSL
ii  procmail                                     3.22-5                                       Versatile e-mail processor.
ii  procps                                       2.0.7-8.woody1                               The /proc file system utilities.
ii  psfontmgr                                    0.11.0                                       PostScript font manager -- part of Defoma, Debian Font Manager.
ii  psmisc                                       20.2-2.1                                     Utilities that use the proc filesystem
ii  psutils                                      1.17-15                                      A collection of PostScript document handling utilities
ii  python                                       2.1.3-3.2                                    An interactive object-oriented scripting language (default version)
ii  python2.1                                    2.1.3-3.2                                    An interactive object-oriented scripting language (version 2.1)
ii  qt3-tools                                    3.0.3-20020329-1woody2                       Qt GUI Designer and other Qt3 based tools
rc  quanta                                       2.0.1-3                                      Web Development Environment for KDE
ii  rcs                                          5.7-13                                       The GNU Revision Control System
ii  read-edid                                    1.4.1-1                                      hardware information-gathering tool for VESA PnP monitors
ii  recover                                      1.3b-1                                       Undelete files on ext2 partitions
ii  render-dev                                   0.8-4                                        X Rendering Extension header files and documentation
ii  root-tail                                    0.1.0-3                                      Displays select log files in the X root window.
ii  rpm                                          4.0.3-4                                      Red Hat Package Manager
ii  samba-common                                 2.2.3a-15                                    Samba common files used by both the server and the client.
ii  samba-doc                                    2.2.3a-15                                    Samba documentation.
ii  screen                                       4.0.2-4.1                                    a terminal multiplexor with VT100/ANSI terminal emulation
ii  scrollkeeper                                 0.3.14-10                                    A free electronic cataloging system for documentation
rc  secpolicy                                    2.2.2-7.2                                    PAM security policy configuration tool
ii  sed                                          4.1.2-8                                      The GNU sed stream editor
ii  setserial                                    2.17-24                                      Controls configuration of serial ports.
ii  sgml-base                                    1.26                                         SGML infrastructure and SGML catalog file support
ii  sgml-data                                    2.0.3                                        common SGML and XML data
ii  shared-mime-info                             0.16-3                                       FreeDesktop.org shared MIME database and spec
ii  shellutils                                   5.2.1-2                                      The GNU shell programming utilities (transitional package)
ii  slang1                                       1.4.4-7.2                                    The S-Lang programming library - runtime version.
ii  slang1a-utf8                                 1.4.9dbs-8                                   The S-Lang programming library with utf8 support
ii  smbclient                                    2.2.3a-15                                    A LanManager like simple client for Unix.
ii  smbfs                                        2.2.3a-15                                    mount and umount commands for the smbfs (for kernels >= than 2.2.x)
ii  sodipodi                                     0.24.1.0.20020325-1                          Vector based drawing program.
ii  spamassassin                                 2.20-1woody4                                 Perl-based spam filter using text analysis
ii  squid                                        2.5.9-9                                      Internet Object Cache (WWW proxy cache)
ii  squid-common                                 2.5.9-9                                      Internet Object Cache (WWW proxy cache) - common file
ii  ssh                                          3.4p1-1.woody.3                              Secure rlogin/rsh/rcp replacement (OpenSSH)
ii  stunnel                                      3.22-1                                       Universal SSL tunnel for network daemons
ii  sudo                                         1.6.6-1.3                                    Provides limited super user privileges to specific users.
ii  symlinks                                     1.2-4                                        scan/change symbolic links
ii  synaptic                                     0.55+cvs20050503-1                           Graphical package manager
ii  sysklogd                                     1.4.1-10                                     System Logging Daemon
ii  syslinux                                     1.66-1                                       Bootloader for Linux/i386 using MS-DOS floppies
ii  sysv-rc                                      2.86.ds1-1                                   Standard boot mechanism using symlinks in /etc/rc?.d
ii  sysvinit                                     2.86.ds1-1                                   System-V like init
ii  t1lib1                                       1.3.1-1                                      Type 1 font rasterizer library - runtime
ii  tar                                          1.14-2                                       GNU tar
ii  tasksel                                      1.18                                         Tool for selecting tasks for installation on Debian system
ii  tcl8.0                                       8.0.5-6                                      The Tool Command Language (TCL) v8.0 - Run-Time Files.
ii  tcl8.3                                       8.3.3-7                                      The Tool Command Language (TCL) v8.3 - Run-Time Files.
ii  tcpd                                         7.6.dbs-8                                    Wietse Venema's TCP wrapper utilities
ii  tcpdump                                      3.6.2-2.8                                    A powerful tool for network monitoring and data acquisition
ii  tcptraceroute                                1.2-2                                        A traceroute implementation using TCP packets
ii  telnet                                       0.17-18woody3                                The telnet client.
ii  textutils                                    5.2.1-2                                      The GNU text file processing utilities (transitional package)
ii  tidy                                         20020301-1                                   HTML syntax checker and reformatter
ii  tinyproxy                                    1.4.3-2woody2                                A lightweight, non-caching, optionally anonymizing http proxy
ii  ucf                                          1.17                                         Update Configuration File: preserves user changes to config files.
ii  unzip                                        5.50-1woody2                                 De-archiver for .zip files
ii  usbutils                                     0.9-1                                        USB console utilities
ii  util-linux                                   2.12p-4                                      Miscellaneous system utilities
ii  vim                                          6.3-071+1                                    Vi IMproved - enhanced vi editor
ii  vim-common                                   6.3-071+1                                    Vi IMproved - Common files
ii  vlock                                        1.3-5.1                                      Virtual Console locking program
ii  vnc-common                                   3.3.3r2-20                                   Virtual network computing server software.
ii  vncserver                                    3.3.3r2-20                                   Virtual network computing server software.
ii  vorbis-tools                                 1.0.1-1.3                                    Several Ogg Vorbis Tools
ii  vsftpd                                       1.0.0-2                                      The Very Secure FTP Daemon
ii  weblint                                      1.93-2                                       a syntax and minimal style checker for HTML
ii  wget                                         1.9.1-11                                     retrieves files from the web
ii  whiptail                                     0.51.6-20                                    Displays user-friendly dialog boxes from shell scripts
ii  whois                                        4.5.25                                       The GNU whois client
ii  x-dev                                        4.3.0.dfsg.1-12                              X protocol development files
ii  x-ttcidfont-conf                             13                                           Configure TrueType and CID fonts for X.
ii  x-window-system-core                         4.1.0-16woody6                               X Window System core components
ii  xaw3dg                                       1.5-13                                       Xaw3d widget set
ii  xbase-clients                                4.3.0.dfsg.1-12.0.1                          miscellaneous X clients
ii  xchat                                        1.8.9-0woody3                                IRC client for X similar to AmIRC
ii  xchat-common                                 1.8.9-0woody3                                Common files for X-Chat
ii  xfonts-100dpi                                4.1.0-16woody6                               100 dpi fonts for X
ii  xfonts-75dpi                                 4.1.0-16woody6                               75 dpi fonts for X
ii  xfonts-base                                  4.1.0-16woody6                               standard fonts for X
ii  xfonts-scalable                              4.1.0-16woody6                               scalable fonts for X
ii  xfree86-common                               4.3.0.dfsg.1-12                              X Window System (XFree86) infrastructure
ii  xlib6g                                       4.1.0-16woody6                               pseudopackage providing X libraries
ii  xlibmesa-dri                                 4.3.0.dfsg.1-12.0.1                          Mesa 3D graphics library modules [XFree86]
ii  xlibmesa-gl                                  4.3.0.dfsg.1-12.0.1                          Mesa 3D graphics library [XFree86]
ii  xlibmesa-glu                                 4.3.0.dfsg.1-12.0.1                          Mesa OpenGL utility library [XFree86]
ii  xlibmesa3                                    4.3.0.dfsg.1-12.0.1                          XFree86 Mesa libraries dummy package
ii  xlibs                                        4.3.0.dfsg.1-12                              X Keyboard Extension (XKB) configuration data and metapackage
ii  xlibs-data                                   4.3.0.dfsg.1-12                              X Window System client data
ii  xlibs-dev                                    4.3.0.dfsg.1-12                              X Window System client library development files dummy package
ii  xlibs-static-dev                             4.3.0.dfsg.1-12.0.1                          X Window System client library development files
ii  xml-core                                     0.09                                         XML infrastructure and XML catalog file support
ii  xmms                                         1.2.7-1                                      Versatile X audio player that looks like Winamp
ii  xpdf                                         1.00-3.4                                     Portable Document Format (PDF) suite
ii  xpdf-common                                  3.00-13                                      Portable Document Format (PDF) suite -- common files
ii  xpdf-reader                                  3.00-13                                      Portable Document Format (PDF) suite -- viewer for X11
ii  xpdf-utils                                   1.00-3.4                                     Portable Document Format (PDF) suite -- utilities
ii  xscreensaver                                 4.21-3                                       Automatic screensaver for X
ii  xscreensaver-gl                              4.21-3                                       GL(Mesa) screen hacks for xscreensaver
ii  xscreensaver-gnome                           4.21-3                                       transition package for xscreensaver
ii  xserver-common                               4.3.0.dfsg.1-12.0.1                          files and utilities common to all X servers
ii  xserver-xfree86                              4.1.0-16woody6                               the XFree86 X server
ii  xterm                                        4.1.0-16woody6                               X terminal emulator
ii  xutils                                       4.3.0.dfsg.1-12.0.1                          X Window System utility programs
ii  xvncviewer                                   3.3.3r2-20                                   Virtual network computing client software for X.
ii  yelp                                         2.6.5-1                                      Help browser for GNOME 2
ii  zip                                          2.30-5woody2                                 Archiver for .zip files
ii  zlib1g                                       1.2.2-4                                      compression library - runtime
ii  zlib1g-dev                                   1.2.2-4                                      compression library - development



Changed Bug title. Request was from Bill Allombert <allomber@math.u-bordeaux.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: help Request was from Bill Allombert <allomber@math.u-bordeaux.fr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Andrew Donnellan <ajdlinux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #74 received at 310490@bugs.debian.org (full text, mbox):

From: Andrew Donnellan <ajdlinux@gmail.com>
To: Bill Allombert <allomber@math.u-bordeaux.fr>, 310490@bugs.debian.org, astronut@gmail.com
Subject: Re: Bug#310490: Text files
Date: Sat, 28 May 2005 15:58:05 +1000
Email me the lists. The copy that Bill put up on his page gives me a
403 forbidden error. I'd like to get this issue closed soon.

Andrew

On 5/27/05, Bill Allombert <allomber@math.u-bordeaux.fr> wrote:
> On Thu, May 26, 2005 at 12:47:30PM -0400, astronut wrote:
> > Ok, for some reason, BTS keeps bouncing my lists. They are at
> > http://astronut.hopto.org/packages.woody and
> > http://astronut.hopto.org/packages.sarge.
> >
> > If they have any problems, it's most likely my system, I got hit by
> > lightning, and some things are still screwed up. (Anyone have a cheap
> > switch for sale? ;-)). Let me know what tests you need, as I said, I
> > have copies of both systems.
> 
> In case of problem I have made a copy here:
> <http://people.debian.org/~ballombe/misc/packages.woody>
> 
> With your packages.woody I can rebuild exactly your configuration
> (as far as packages/version as concerned).
> 
> I am investigating right now. It seems Debian KDE packages have too
> much circular dependencies.
> 
> If you have time you can try to upgrade with dselect instead and report
> how less painful it was, or try aptitude in interactive mode.
> 
> Cheers,
> --
> Bill. <ballombe@debian.org>
> 
> Imagine a large red swirl here.
> 
> 
> --
> To UNSUBSCRIBE, email to debian-testing-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> 
> 


-- 
Heritage Linux Group
http://www.heritagelinux.tk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Andrew Donnellan <ajdlinux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #79 received at 310490@bugs.debian.org (full text, mbox):

From: Andrew Donnellan <ajdlinux@gmail.com>
To: Bill Allombert <allomber@math.u-bordeaux.fr>, 310490@bugs.debian.org, astronut@gmail.com
Subject: Re: Bug#310490: Text files
Date: Sat, 28 May 2005 16:00:19 +1000
Sorry I looked at the wrong email and didn't see the copies at
astronut.hopto.org.

Andrew

On 5/28/05, Andrew Donnellan <ajdlinux@gmail.com> wrote:
> Email me the lists. The copy that Bill put up on his page gives me a
> 403 forbidden error. I'd like to get this issue closed soon.
> 
> Andrew
> 
> On 5/27/05, Bill Allombert <allomber@math.u-bordeaux.fr> wrote:
> > On Thu, May 26, 2005 at 12:47:30PM -0400, astronut wrote:
> > > Ok, for some reason, BTS keeps bouncing my lists. They are at
> > > http://astronut.hopto.org/packages.woody and
> > > http://astronut.hopto.org/packages.sarge.
> > >
> > > If they have any problems, it's most likely my system, I got hit by
> > > lightning, and some things are still screwed up. (Anyone have a cheap
> > > switch for sale? ;-)). Let me know what tests you need, as I said, I
> > > have copies of both systems.
> >
> > In case of problem I have made a copy here:
> > <http://people.debian.org/~ballombe/misc/packages.woody>
> >
> > With your packages.woody I can rebuild exactly your configuration
> > (as far as packages/version as concerned).
> >
> > I am investigating right now. It seems Debian KDE packages have too
> > much circular dependencies.
> >
> > If you have time you can try to upgrade with dselect instead and report
> > how less painful it was, or try aptitude in interactive mode.
> >
> > Cheers,
> > --
> > Bill. <ballombe@debian.org>
> >
> > Imagine a large red swirl here.
> >
> >
> > --
> > To UNSUBSCRIBE, email to debian-testing-REQUEST@lists.debian.org
> > with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> >
> >
> 
> 
> --
> Heritage Linux Group
> http://www.heritagelinux.tk
> 


-- 
Heritage Linux Group
http://www.heritagelinux.tk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #84 received at 310490@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: Andrew Donnellan <ajdlinux@gmail.com>
Cc: 310490@bugs.debian.org, astronut@gmail.com
Subject: Re: Bug#310490: Text files
Date: Sat, 28 May 2005 09:43:05 +0200
On Sat, May 28, 2005 at 03:58:05PM +1000, Andrew Donnellan wrote:
> 
> Email me the lists. The copy that Bill put up on his page gives me a
> 403 forbidden error. I'd like to get this issue closed soon.

The 403 is fixed. scp can treacherous at time.

Thanks,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #89 received at 310490@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: debian-release@lists.debian.org, debian-qt-kde@lists.debian.org
Cc: 310490@bugs.debian.org, 310490-submitter@bugs.debian.org
Subject: Re: A Prisonner of the dependency hell
Date: Sat, 28 May 2005 21:47:31 +0200
On Fri, May 27, 2005 at 04:49:14PM -0700, Steve Langasek wrote:
> Hi Bill,
> 
> I don't suppose there's a smaller test case involving fewer packages?

After spending a dozen of hour tracking it, I have the obvious headache,
but also the following:

1) debootstrap woody

2) Install the following packages:
konqueror aptitude libqt3 libhtml-tree-perl libapt-pkg-perl libft-perl

3) point apt at sarge.

At this point you are between a rock and a hard place:
You can do
2) aptitude install aptitude, but that remove konqueror and perl
3) aptitude dist-upgrade, but that remove konqueror

As for the culprit, my headache does not allow me to investigate more,
but here some clues: In _woody_,

1) libqt3 has a circular dependency with libqt3-mt.
2) libhtml-tree-perl has a circular dependency with libwww-perl.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Message sent on to astronut <astronut@gmail.com>:
Bug#310490. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #97 received at 310490@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Bill Allombert <allomber@math.u-bordeaux.fr>
Cc: debian-release@lists.debian.org, debian-qt-kde@lists.debian.org, 310490@bugs.debian.org, 310490-submitter@bugs.debian.org
Subject: Re: A Prisonner of the dependency hell
Date: Sat, 28 May 2005 16:32:23 -0700
[Message part 1 (text/plain, inline)]
On Sat, May 28, 2005 at 09:47:31PM +0200, Bill Allombert wrote:
> On Fri, May 27, 2005 at 04:49:14PM -0700, Steve Langasek wrote:
> > Hi Bill,

> > I don't suppose there's a smaller test case involving fewer packages?

> After spending a dozen of hour tracking it, I have the obvious headache,
> but also the following:

> 1) debootstrap woody

> 2) Install the following packages:
> konqueror aptitude libqt3 libhtml-tree-perl libapt-pkg-perl libft-perl

> 3) point apt at sarge.

> At this point you are between a rock and a hard place:
> You can do
> 2) aptitude install aptitude, but that remove konqueror and perl
> 3) aptitude dist-upgrade, but that remove konqueror

> As for the culprit, my headache does not allow me to investigate more,
> but here some clues: In _woody_,

> 1) libqt3 has a circular dependency with libqt3-mt.
> 2) libhtml-tree-perl has a circular dependency with libwww-perl.

So, this works:

aptitude markauto libqt3
perl -pi -e's/stable/sarge/' /etc/apt/sources.list
apt-get update
aptitude dist-upgrade

But it doesn't give us a solution for users of archs where we don't have a
working aptitude for woody.

-- 
Steve Langasek
postmodern programmer
[signature.asc (application/pgp-signature, inline)]

Message sent on to astronut <astronut@gmail.com>:
Bug#310490. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #105 received at 310490@bugs.debian.org (full text, mbox):

From: astronut <astronut@gmail.com>
To: Steve Langasek <vorlon@debian.org>, 310490-quiet@bugs.debian.org, Bill Allombert <allomber@math.u-bordeaux.fr>, debian-release@lists.debian.org, debian-qt-kde@lists.debian.org, 310490@bugs.debian.org, 310490-submitter@bugs.debian.org
Subject: Re: Bug#310490: A Prisonner of the dependency hell
Date: Mon, 30 May 2005 18:51:00 -0400
On 5/28/05, Steve Langasek <vorlon@debian.org> wrote:
> 
> So, this works:
> 
> aptitude markauto libqt3
> perl -pi -e's/stable/sarge/' /etc/apt/sources.list
> apt-get update
> aptitude dist-upgrade
<snip>

Except it doesn't.

I attempted this on the full system (vmware), as opposed to the
smaller test case and had 126 packages slated for removal. Complete
log of session below. As before, it's a vmware box, and I have
multiple copies so one click reverts it back and forth between sarge
and woody. Let me know any other tests you want me to try.

astronut

----- Screen Log -----


debian-test:~# aptitude markauto libqt3
Reading Package Lists... Done
Building Dependency Tree... Done
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Do you want to continue? [Y/n/e/d/v/action/?] 
Writing extended state information... Done
Reading Package Lists... Done             
Building Dependency Tree       
Reading extended state information... Done
debian-test:~# perl -pi -e 's/stable/sarge/' /etc/apt/sources.list 
debian-test:~# apt-get -q update
Get:1 http://security.debian.org sarge/updates/main Packages [696B]
Get:2 http://security.debian.org sarge/updates/main Release [111B]
Get:3 http://security.debian.org sarge/updates/contrib Packages [20B]
Get:4 http://security.debian.org sarge/updates/contrib Release [114B]
Get:5 http://security.debian.org sarge/updates/non-free Packages [20B]
Get:6 http://non-us.debian.org sarge/non-US/main Packages [6771B]
Get:7 http://security.debian.org sarge/updates/non-free Release [115B]
Get:8 http://non-us.debian.org sarge/non-US/main Release [88B]
Get:9 http://non-us.debian.org sarge/non-US/contrib Packages [20B]
Get:10 http://non-us.debian.org sarge/non-US/contrib Release [91B]
Get:11 ftp://ftp.us.debian.org sarge/main Packages [3349kB]
Get:12 http://non-us.debian.org sarge/non-US/non-free Packages [1440B]
Get:13 http://non-us.debian.org sarge/non-US/non-free Release [92B]
Get:14 ftp://ftp.us.debian.org sarge/main Release [81B]
Get:15 ftp://ftp.us.debian.org sarge/non-free Packages [58.6kB]
Get:16 ftp://ftp.us.debian.org sarge/non-free Release [85B]
Get:17 ftp://ftp.us.debian.org sarge/contrib Packages [55.2kB]
Get:18 ftp://ftp.us.debian.org sarge/contrib Release [84B]
Fetched 3473kB in 1m29s (38.8kB/s)
Reading Package Lists...
Building Dependency Tree...
debian-test:~# aptitude dist-upgrade
Reading Package Lists... Done
Building Dependency Tree       
Reading extended state information... Done
The following NEW packages will be automatically installed:
  antlr apache2-utils capplets capplets-data coreutils cpp-3.3 dash 
  debconf-i18n desktop-base desktop-file-utils dia-libs dictionaries-common 
  discover1-data dselect e2fslibs eggdrop-data emacs21 emacs21-bin-common 
  emacs21-common emacsen-common fontconfig g++-3.3 gaim-data gcc-3.3 
  gcc-3.3-base gedit-common gimp gimp-data gimp-svg gjdoc gkrellm-common 
  gnome-applets-data gnome-desktop-data gnome-games-data 
  gnome-games-extra-data gnome-icon-theme gnome-keyring gnumeric-common 
  gs-gpl gstreamer0.8-misc gstreamer0.8-oss guile-1.6-libs 
  hicolor-icon-theme iamerican initscripts intltool-debian kaffe-common 
  kaffe-pthreads lesstif2 libapr0 libasn1-6-heimdal libaspell15 libaudio2 
  libblkid1 libbonoboui2-0 libbonoboui2-common libcomerr2 
  libconfigfile-perl libconsole libconvert-binhex-perl libcroco3 
  libcupsys2-gnutls10 libcurl3 libdb1-compat libdb4.1 libdb4.2 
  libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 libeel2-2 
  libeel2-data libenchant1 libexif10 libfam0c102 libflac6 libfontconfig1 
  libgail-common libgail17 libgcrypt11 libgd1-noxpm libgd2-noxpm libgdbm3 
  libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 libgnome-desktop-2 
  libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0 
  libgnomecanvas2-common libgnomecups1.0-1 libgnomeprint2.2-0 
  libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common 
  libgnomeui-0 libgnomeui-common libgnutls11 libgpg-error0 libgpgme11 
  libgphoto2-2 libgphoto2-port0 libgsf-1 libgsf-gnome-1 
  libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 libgstreamer0.8-0 
  libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 libgtksourceview-common 
  libgtksourceview1.0-0 libgtkspell0 libgtop2-2 libgucharmap4 
  libguile-ltdl-1 libice-dev libice6 libidn11 libieee1284-3 libisc7 
  libjasper-1.701-1 liblcms1 liblcms1-dev libmagic1 libmagick6 
  libmail-sendmail-perl libmetacity0 libmyspell3 libnautilus2-2 libnet1 
  libnetpbm10 libnewt0.51 liboggflac1 liboil0.2 libopencdk8 
  libopenh323-1.15.2 libpanel-applet2-0 libpaper-utils libpaper1 libpcap0.7 
  libpcap0.8 libperl5.8 libpisock8 libpng10-0 libpng12-0 libpt-1.8.3 
  libpt-plugins-oss libpt-plugins-v4l2 libqthreads-12 libreadline5 
  libroken16-kerberos4kth librsvg2-2 librsvg2-bin librsvg2-common libsasl2 
  libsasl2-modules libselinux1 libsensors3 libshout3 libsigc++-1.2-5c102 
  libsm-dev libsm6 libspeex1 libss2 libssl0.9.7 libstartup-notification0 
  libstdc++5 libstdc++5-3.3-dev libt1-5 libtasn1-2 libtext-charwidth-perl 
  libtext-wrapi18n-perl libtheora0 libtidy0 libtiff4 libuuid1 libvorbis0a 
  libvorbisenc2 libvorbisfile3 libvte-common libvte4 libwmf0.2-7 
  libwnck-common libwnck4 libx11-6 libx11-dev libxcursor1 libxext-dev 
  libxext6 libxft1 libxft2 libxi-dev libxi6 libxklavier8 libxmu-dev libxmu6 
  libxmuu-dev libxmuu1 libxp-dev libxp6 libxpm-dev libxpm4 libxrandr-dev 
  libxrandr2 libxrender-dev libxrender1 libxslt1.1 libxt-dev libxt6 
  libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev libxv1 
  linux-kernel-headers myspell-en-us nautilus-data ntp-server pm-dev 
  po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec 
  python2.3-numeric render-dev sane-utils shared-mime-info spamc 
  squid-common sysv-rc tcl8.4 vim-common wamerican x-dev xlibmesa-dri 
  xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev xml-core yelp 
The following packages will be automatically REMOVED:
  amor ark artsbuilder console-tools-libs discover-data eyesapplet 
  fifteenapplet gaim-common gnome-help kamera kandy karm kasteroids kate 
  katomic kbackgammon kbattleship kblackbox kcalc kcharselect kcmlinuz 
  kcoloredit kcron kdeartwork-style kdebase kdebase-libs kdecarddecks 
  kdelibs3 kdelibs3-bin kdepasswd kdepim-libs kdessh kdf kdict kedit kfind 
  kfloppy kgeo kghostview khexedit kicker-applets kiconedit kjots 
  kjumpingcube klaptopdaemon klines kmahjongg kmail kmid kmines kmix kmoon 
  knewsticker knode knotes kodo konq-plugins konqueror konquest konsole 
  kooka korganizer korn kpackage kpaint kpat kpilot kpoker kppp kreversi 
  kruler ksame kscd kscreensaver kshisen ksirc ksirtet ksmiletris ksnake 
  ksnapshot ksokoban kspaceduel kstars ksysv kteatime ktimer ktouch ktron 
  ktuberling ktux kuser kview kweather kwin4 kworldclock libarts 
  libarts-mpeglib libaspell10 libdigest-md5-perl libfam0 libgtk-common 
  libkdegames libkdenetwork1 libkmid libkonq3 libkscan1 liblcms liblcms-dev 
  liblinc1 libmagick5 libmime-base64-perl libmimelib1 libpango-common 
  libpng-dev libpspell-ispell1 libpspell4 libqt3-dev libroken9-heimdal 
  libvorbis0 lskat mpeglib nas-lib noatun noatun-plugins quanta secpolicy 
The following packages have been kept back:
  kate-plugins kdeartwork-theme-window 
The following NEW packages will be installed:
  antlr apache2-utils capplets capplets-data coreutils cpp-3.3 dash 
  debconf-i18n desktop-base desktop-file-utils dia-libs dictionaries-common 
  discover1-data dselect e2fslibs eggdrop-data emacs21 emacs21-bin-common 
  emacs21-common emacsen-common fontconfig g++-3.3 gaim-data gcc-3.3 
  gcc-3.3-base gedit-common gimp gimp-data gimp-svg gjdoc gkrellm-common 
  gnome-applets-data gnome-desktop-data gnome-games-data 
  gnome-games-extra-data gnome-icon-theme gnome-keyring gnumeric-common 
  gs-gpl gstreamer0.8-misc gstreamer0.8-oss guile-1.6-libs 
  hicolor-icon-theme iamerican initscripts intltool-debian kaffe-common 
  kaffe-pthreads lesstif2 libapr0 libasn1-6-heimdal libaspell15 libaudio2 
  libblkid1 libbonoboui2-0 libbonoboui2-common libcomerr2 
  libconfigfile-perl libconsole libconvert-binhex-perl libcroco3 
  libcupsys2-gnutls10 libcurl3 libdb1-compat libdb4.1 libdb4.2 
  libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 libeel2-2 
  libeel2-data libenchant1 libexif10 libfam0c102 libflac6 libfontconfig1 
  libgail-common libgail17 libgcrypt11 libgd1-noxpm libgd2-noxpm libgdbm3 
  libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 libgnome-desktop-2 
  libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0 
  libgnomecanvas2-common libgnomecups1.0-1 libgnomeprint2.2-0 
  libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common 
  libgnomeui-0 libgnomeui-common libgnutls11 libgpg-error0 libgpgme11 
  libgphoto2-2 libgphoto2-port0 libgsf-1 libgsf-gnome-1 
  libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 libgstreamer0.8-0 
  libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 libgtksourceview-common 
  libgtksourceview1.0-0 libgtkspell0 libgtop2-2 libgucharmap4 
  libguile-ltdl-1 libice-dev libice6 libidn11 libieee1284-3 libisc7 
  libjasper-1.701-1 liblcms1 liblcms1-dev libmagic1 libmagick6 
  libmail-sendmail-perl libmetacity0 libmyspell3 libnautilus2-2 libnet1 
  libnetpbm10 libnewt0.51 liboggflac1 liboil0.2 libopencdk8 
  libopenh323-1.15.2 libpanel-applet2-0 libpaper-utils libpaper1 libpcap0.7 
  libpcap0.8 libperl5.8 libpisock8 libpng10-0 libpng12-0 libpt-1.8.3 
  libpt-plugins-oss libpt-plugins-v4l2 libqthreads-12 libreadline5 
  libroken16-kerberos4kth librsvg2-2 librsvg2-bin librsvg2-common libsasl2 
  libsasl2-modules libselinux1 libsensors3 libshout3 libsigc++-1.2-5c102 
  libsm-dev libsm6 libspeex1 libss2 libssl0.9.7 libstartup-notification0 
  libstdc++5 libstdc++5-3.3-dev libt1-5 libtasn1-2 libtext-charwidth-perl 
  libtext-wrapi18n-perl libtheora0 libtidy0 libtiff4 libuuid1 libvorbis0a 
  libvorbisenc2 libvorbisfile3 libvte-common libvte4 libwmf0.2-7 
  libwnck-common libwnck4 libx11-6 libx11-dev libxcursor1 libxext-dev 
  libxext6 libxft1 libxft2 libxi-dev libxi6 libxklavier8 libxmu-dev libxmu6 
  libxmuu-dev libxmuu1 libxp-dev libxp6 libxpm-dev libxpm4 libxrandr-dev 
  libxrandr2 libxrender-dev libxrender1 libxslt1.1 libxt-dev libxt6 
  libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev libxv1 
  linux-kernel-headers myspell-en-us nautilus-data ntp-server pm-dev 
  po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec 
  python2.3-numeric render-dev sane-utils shared-mime-info spamc 
  squid-common sysv-rc tcl8.4 vim-common wamerican x-dev xlibmesa-dri 
  xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev xml-core yelp 
The following packages will be REMOVED:
  amor ark artsbuilder console-tools-libs discover-data eyesapplet 
  fifteenapplet gaim-common gnome-help kamera kandy karm kasteroids kate 
  katomic kbackgammon kbattleship kblackbox kcalc kcharselect kcmlinuz 
  kcoloredit kcron kdeartwork-style kdebase kdebase-libs kdecarddecks 
  kdelibs3 kdelibs3-bin kdepasswd kdepim-libs kdessh kdf kdict kedit kfind 
  kfloppy kgeo kghostview khexedit kicker-applets kiconedit kjots 
  kjumpingcube klaptopdaemon klines kmahjongg kmail kmid kmines kmix kmoon 
  knewsticker knode knotes kodo konq-plugins konqueror konquest konsole 
  kooka korganizer korn kpackage kpaint kpat kpilot kpoker kppp kreversi 
  kruler ksame kscd kscreensaver kshisen ksirc ksirtet ksmiletris ksnake 
  ksnapshot ksokoban kspaceduel kstars ksysv kteatime ktimer ktouch ktron 
  ktuberling ktux kuser kview kweather kwin4 kworldclock libarts 
  libarts-mpeglib libaspell10 libdigest-md5-perl libfam0 libgtk-common 
  libkdegames libkdenetwork1 libkmid libkonq3 libkscan1 liblcms liblcms-dev 
  liblinc1 libmagick5 libmime-base64-perl libmimelib1 libpango-common 
  libpng-dev libpspell-ispell1 libpspell4 libqt3-dev libroken9-heimdal 
  libvorbis0 lskat mpeglib nas-lib noatun noatun-plugins quanta secpolicy 
The following packages will be upgraded:
  aalib1 abiword-common abiword-gnome adduser analog apache apache-common 
  apt apt-file apt-utils aptitude asclock-themes ash aspell-en aterm 
  autoconf autoconf2.13 autotools-dev balsa base-config base-files 
  base-passwd bash bc bind9 bind9-doc bind9-host binutils binutils-doc 
  bison bitchx bluefish bonobo bonobo-activation bsdmainutils bsdutils 
  bug-buddy bzip2 cabextract cddb cdrecord console-common console-data 
  console-tools cowsay cpio cpp cpp-2.95 cracklib2 cramfsprogs cron cvs 
  debconf debconf-utils debhelper debianutils deborphan defoma dfontmgr 
  dhcp dhcp-client dia-common dia-gnome dialog diff dnsutils docbook 
  docbook-dsssl docbook-xml dosfstools dpkg dpkg-dev e2fsprogs ed edict 
  eggdrop eject enscript eog esound esound-common ethereal ethereal-common 
  etherwake fam fdutils file file-roller fileutils findutils finger 
  firestarter flex fluxbox fnlib-data fortune-mod fortunes-min g++ g++-2.95 
  gaim galeon galeon-common gawk gcc gcc-2.95 gcc-2.95-doc gconf 
  gconf-editor gconf2 gdb gdk-imlib1 gdm gedit gettext gettext-base 
  gettext-el gimp-data-extras gimp1.2 gkrellm gksu gnome-applets gnome-bin 
  gnome-control-center gnome-core gnome-doc-tools gnome-games gnome-gv 
  gnome-libs-data gnome-media gnome-mime-data gnome-panel gnome-panel-data 
  gnome-session gnome-terminal gnome-utils gnome-vfs-extfs gnomemeeting 
  gnumeric gnupg gphoto2 gpm grep groff-base grub gs gs-common gsfonts 
  gsfonts-x11 gv gzip hermes1 hostname hotplug html2text ifupdown 
  imagemagick imlib-base imlib1 info initrd-tools iptables iputils-ping 
  irssi-text ispell jade java-common jikes kaffe kanjidic kdeartwork-misc 
  kdewallpapers kernel-package klogd knewsticker-scripts krb5-config less 
  lesstif1 libacl1 libadns1 libao2 libapm1 libappconfig-perl 
  libapt-pkg-perl libart-2.0-2 libart2 libasound2 libatk1.0-0 libattr1 
  libaudiofile0 libbonobo-activation4 libbonobo2 libbonobo2-0 
  libbonobo2-common libbz2-1.0 libc6 libc6-dev libcap1 libcapplet1 libcdk4 
  libcdparanoia0 libcompress-zlib-perl libcupsys2 libdb2 libdb3 libdb3-util 
  libdevel-symdump-perl libdigest-sha1-perl libdiscover1 libdps1 libefs1 
  libesd0 libesmtp5 libexpat1 libexpat1-dev libffi2 libfinance-quote-perl 
  libfreetype6 libfreetype6-dev libfribidi0 libft-perl libgcc1 libgconf11 
  libgconf2-4 libgd1 libgd2 libgdbmg1 libgdk-pixbuf-gnome2 libgdk-pixbuf2 
  libghttp1 libgimpprint1 libglade-gnome0 libglade-perl libglade0 
  libglade2-0 libgle3 libglib1.2 libglib2.0-0 libgmp3 libgnome-vfs-common 
  libgnome-vfs0 libgnome32 libgnomeprint-bin libgnomeprint-data 
  libgnomeprint15 libgnomesupport0 libgnomeui32 libgnomevfs2-0 
  libgnomevfs2-common libgnorba27 libgnorbagtk0 libgpmg1 libgsm1 
  libgssapi1-heimdal libgtk-perl libgtk1.2 libgtk1.2-common libgtk2.0-0 
  libgtk2.0-common libgtkxmhtml1 libgtop1 libguile9 libhesiod0 
  libhtml-parser-perl libhtml-tableextract-perl libhtml-tagset-perl 
  libhtml-tree-perl libid3tag0 libident libidl0 libio-stringy-perl 
  libisccc0 libisccfg0 libjpeg-progs libjpeg62 libjpeg62-dev libkeynote0 
  libkrb-1-kerberos4kth libkrb5-17-heimdal libkrb53 libldap2 liblircclient0 
  liblocale-gettext-perl liblockfile1 libltdl3 liblua40 liblualib40 
  liblwres1 liblzo1 libmad0 libmailtools-perl libmime-perl libmng-dev 
  libmng1 libncurses5 libncurses5-dev libncursesw5 libnet-perl libnetpbm9 
  libnews-nntpclient-perl libnspr4 libnss3 liboaf0 libogg0 liborbit0 
  liborbit2 libpam-modules libpam-runtime libpam0g libpango1.0-0 
  libpango1.0-common libpaperg libpcre3 libpng2 libpng3 libpopt0 
  libraw1394-5 libreadline4 librecode0 librpm4 libsane libscrollkeeper0 
  libsdl1.2debian libsdl1.2debian-oss libslp1 libsmbclient libsnmp-base 
  libsnmp4.2 libsp1 libsqlite0 libssl0.9.6 libstdc++2.10-dev 
  libstdc++2.10-glibc2.2 libtext-iconv-perl libtiff-tools libtimedate-perl 
  libtool libttf2 libungif4g liburi-perl libusb-0.1-4 libvncauth0 libwrap0 
  libwww-perl libxaw6 libxaw7 libxml-parser-perl libxml1 libxml2 libxslt1 
  libzephyr3 libzvt2 lilo links lm-sensors locales login logrotate lsof 
  lwresd lynx m4 mailx make makedev man-db manpages manpages-dev mawk mbr 
  mdetect menu metacity mime-support mkisofs mlock modconf modutils mount 
  mozilla-browser mozilla-psm msttcorefonts nano nautilus ncftp 
  ncurses-base ncurses-bin net-tools netbase netcat netkit-inetd netpbm 
  nmap ntop ntp ntp-simple ntpdate nvi oaf openssl passwd patch pciutils 
  perl perl-base perl-modules perl-suid pilot-link pkg-config portmap 
  poster postfix postfix-doc postfix-ldap postfix-pcre powermgmt-base ppp 
  pppconfig pppoe pppoeconf procmail procps psfontmgr psmisc psutils python 
  python2.1 rcs read-edid recover root-tail rpm samba-common samba-doc 
  screen scrollkeeper sed setserial sgml-base sgml-data shellutils slang1 
  slang1a-utf8 smbclient smbfs sodipodi spamassassin squid ssh stunnel sudo 
  symlinks synaptic sysklogd syslinux sysvinit t1lib1 tar tasksel tcl8.0 
  tcl8.3 tcpd tcpdump tcptraceroute telnet textutils tidy tinyproxy ucf 
  unzip usbutils util-linux vim vlock vnc-common vncserver vorbis-tools 
  vsftpd wget whiptail whois x-ttcidfont-conf x-window-system-core xaw3dg 
  xbase-clients xchat xchat-common xfonts-100dpi xfonts-75dpi xfonts-base 
  xfonts-scalable xfree86-common xlibmesa3 xlibs xlibs-dev xmms xpdf 
  xpdf-common xpdf-reader xpdf-utils xscreensaver xscreensaver-gl 
  xscreensaver-gnome xserver-common xserver-xfree86 xterm xutils xvncviewer 
  zip zlib1g zlib1g-dev 
510 packages upgraded, 248 newly installed, 126 to remove and 2 not upgraded.
Need to get 407MB of archives. After unpacking 389MB will be used.
Do you want to continue? [Y/n/e/d/v/action/?] n
Abort.
debian-test:~# exit



Information stored:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@gmail.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message sent on to astronut <astronut@gmail.com>:
Bug#310490. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <allomber@math.u-bordeaux.fr>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #118 received at 310490@bugs.debian.org (full text, mbox):

From: Bill Allombert <allomber@math.u-bordeaux.fr>
To: astronut <astronut@gmail.com>
Cc: 310490@bugs.debian.org
Subject: Re: Bug#310490: A Prisonner of the dependency hell
Date: Tue, 31 May 2005 01:10:56 +0200
On Mon, May 30, 2005 at 06:51:00PM -0400, astronut wrote:
> On 5/28/05, Steve Langasek <vorlon@debian.org> wrote:
> > 
> > So, this works:
> > 
> > aptitude markauto libqt3
> > perl -pi -e's/stable/sarge/' /etc/apt/sources.list
> > apt-get update
> > aptitude dist-upgrade
> <snip>
> 
> Except it doesn't.
> 
> I attempted this on the full system (vmware), as opposed to the
> smaller test case and had 126 packages slated for removal. Complete
> log of session below. As before, it's a vmware box, and I have
> multiple copies so one click reverts it back and forth between sarge
> and woody. Let me know any other tests you want me to try.

Ah, thanks for your offer.  Could you try to point sources.list to sarge
and do

apt-get update
aptitude install aptitude perl
aptitude -f dist-upgrade

IIRC, that work with my test case.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Andrew Donnellan <ajdlinux@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #123 received at 310490@bugs.debian.org (full text, mbox):

From: Andrew Donnellan <ajdlinux@gmail.com>
To: astronut <astronut@gmail.com>, 310490@bugs.debian.org
Subject: Re: Bug#310490: A Prisonner of the dependency hell
Date: Tue, 31 May 2005 09:19:52 +1000
Is it the same list of packages? If not, send in the new lists. (I
prefer the output of ' dpkg-query -W
--showformat="${Package},${Version}" ').

Andrew

On 5/31/05, astronut <astronut@gmail.com> wrote:
> On 5/28/05, Steve Langasek <vorlon@debian.org> wrote:
> >
> > So, this works:
> >
> > aptitude markauto libqt3
> > perl -pi -e's/stable/sarge/' /etc/apt/sources.list
> > apt-get update
> > aptitude dist-upgrade
> <snip>
> 
> Except it doesn't.
> 
> I attempted this on the full system (vmware), as opposed to the
> smaller test case and had 126 packages slated for removal. Complete
> log of session below. As before, it's a vmware box, and I have
> multiple copies so one click reverts it back and forth between sarge
> and woody. Let me know any other tests you want me to try.
> 
> astronut
> 
> ----- Screen Log -----
> 
> 
> debian-test:~# aptitude markauto libqt3
> Reading Package Lists... Done
> Building Dependency Tree... Done
> No packages will be installed, upgraded, or removed.
> 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B of archives. After unpacking 0B will be used.
> Do you want to continue? [Y/n/e/d/v/action/?]
> Writing extended state information... Done
> Reading Package Lists... Done
> Building Dependency Tree
> Reading extended state information... Done
> debian-test:~# perl -pi -e 's/stable/sarge/' /etc/apt/sources.list
> debian-test:~# apt-get -q update
> Get:1 http://security.debian.org sarge/updates/main Packages [696B]
> Get:2 http://security.debian.org sarge/updates/main Release [111B]
> Get:3 http://security.debian.org sarge/updates/contrib Packages [20B]
> Get:4 http://security.debian.org sarge/updates/contrib Release [114B]
> Get:5 http://security.debian.org sarge/updates/non-free Packages [20B]
> Get:6 http://non-us.debian.org sarge/non-US/main Packages [6771B]
> Get:7 http://security.debian.org sarge/updates/non-free Release [115B]
> Get:8 http://non-us.debian.org sarge/non-US/main Release [88B]
> Get:9 http://non-us.debian.org sarge/non-US/contrib Packages [20B]
> Get:10 http://non-us.debian.org sarge/non-US/contrib Release [91B]
> Get:11 ftp://ftp.us.debian.org sarge/main Packages [3349kB]
> Get:12 http://non-us.debian.org sarge/non-US/non-free Packages [1440B]
> Get:13 http://non-us.debian.org sarge/non-US/non-free Release [92B]
> Get:14 ftp://ftp.us.debian.org sarge/main Release [81B]
> Get:15 ftp://ftp.us.debian.org sarge/non-free Packages [58.6kB]
> Get:16 ftp://ftp.us.debian.org sarge/non-free Release [85B]
> Get:17 ftp://ftp.us.debian.org sarge/contrib Packages [55.2kB]
> Get:18 ftp://ftp.us.debian.org sarge/contrib Release [84B]
> Fetched 3473kB in 1m29s (38.8kB/s)
> Reading Package Lists...
> Building Dependency Tree...
> debian-test:~# aptitude dist-upgrade
> Reading Package Lists... Done
> Building Dependency Tree
> Reading extended state information... Done
> The following NEW packages will be automatically installed:
>  antlr apache2-utils capplets capplets-data coreutils cpp-3.3 dash
>  debconf-i18n desktop-base desktop-file-utils dia-libs dictionaries-common
>  discover1-data dselect e2fslibs eggdrop-data emacs21 emacs21-bin-common
>  emacs21-common emacsen-common fontconfig g++-3.3 gaim-data gcc-3.3
>  gcc-3.3-base gedit-common gimp gimp-data gimp-svg gjdoc gkrellm-common
>  gnome-applets-data gnome-desktop-data gnome-games-data
>  gnome-games-extra-data gnome-icon-theme gnome-keyring gnumeric-common
>  gs-gpl gstreamer0.8-misc gstreamer0.8-oss guile-1.6-libs
>  hicolor-icon-theme iamerican initscripts intltool-debian kaffe-common
>  kaffe-pthreads lesstif2 libapr0 libasn1-6-heimdal libaspell15 libaudio2
>  libblkid1 libbonoboui2-0 libbonoboui2-common libcomerr2
>  libconfigfile-perl libconsole libconvert-binhex-perl libcroco3
>  libcupsys2-gnutls10 libcurl3 libdb1-compat libdb4.1 libdb4.2
>  libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 libeel2-2
>  libeel2-data libenchant1 libexif10 libfam0c102 libflac6 libfontconfig1
>  libgail-common libgail17 libgcrypt11 libgd1-noxpm libgd2-noxpm libgdbm3
>  libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 libgnome-desktop-2
>  libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0
>  libgnomecanvas2-common libgnomecups1.0-1 libgnomeprint2.2-0
>  libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common
>  libgnomeui-0 libgnomeui-common libgnutls11 libgpg-error0 libgpgme11
>  libgphoto2-2 libgphoto2-port0 libgsf-1 libgsf-gnome-1
>  libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 libgstreamer0.8-0
>  libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 libgtksourceview-common
>  libgtksourceview1.0-0 libgtkspell0 libgtop2-2 libgucharmap4
>  libguile-ltdl-1 libice-dev libice6 libidn11 libieee1284-3 libisc7
>  libjasper-1.701-1 liblcms1 liblcms1-dev libmagic1 libmagick6
>  libmail-sendmail-perl libmetacity0 libmyspell3 libnautilus2-2 libnet1
>  libnetpbm10 libnewt0.51 liboggflac1 liboil0.2 libopencdk8
>  libopenh323-1.15.2 libpanel-applet2-0 libpaper-utils libpaper1 libpcap0.7
>  libpcap0.8 libperl5.8 libpisock8 libpng10-0 libpng12-0 libpt-1.8.3
>  libpt-plugins-oss libpt-plugins-v4l2 libqthreads-12 libreadline5
>  libroken16-kerberos4kth librsvg2-2 librsvg2-bin librsvg2-common libsasl2
>  libsasl2-modules libselinux1 libsensors3 libshout3 libsigc++-1.2-5c102
>  libsm-dev libsm6 libspeex1 libss2 libssl0.9.7 libstartup-notification0
>  libstdc++5 libstdc++5-3.3-dev libt1-5 libtasn1-2 libtext-charwidth-perl
>  libtext-wrapi18n-perl libtheora0 libtidy0 libtiff4 libuuid1 libvorbis0a
>  libvorbisenc2 libvorbisfile3 libvte-common libvte4 libwmf0.2-7
>  libwnck-common libwnck4 libx11-6 libx11-dev libxcursor1 libxext-dev
>  libxext6 libxft1 libxft2 libxi-dev libxi6 libxklavier8 libxmu-dev libxmu6
>  libxmuu-dev libxmuu1 libxp-dev libxp6 libxpm-dev libxpm4 libxrandr-dev
>  libxrandr2 libxrender-dev libxrender1 libxslt1.1 libxt-dev libxt6
>  libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev libxv1
>  linux-kernel-headers myspell-en-us nautilus-data ntp-server pm-dev
>  po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec
>  python2.3-numeric render-dev sane-utils shared-mime-info spamc
>  squid-common sysv-rc tcl8.4 vim-common wamerican x-dev xlibmesa-dri
>  xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev xml-core yelp
> The following packages will be automatically REMOVED:
>  amor ark artsbuilder console-tools-libs discover-data eyesapplet
>  fifteenapplet gaim-common gnome-help kamera kandy karm kasteroids kate
>  katomic kbackgammon kbattleship kblackbox kcalc kcharselect kcmlinuz
>  kcoloredit kcron kdeartwork-style kdebase kdebase-libs kdecarddecks
>  kdelibs3 kdelibs3-bin kdepasswd kdepim-libs kdessh kdf kdict kedit kfind
>  kfloppy kgeo kghostview khexedit kicker-applets kiconedit kjots
>  kjumpingcube klaptopdaemon klines kmahjongg kmail kmid kmines kmix kmoon
>  knewsticker knode knotes kodo konq-plugins konqueror konquest konsole
>  kooka korganizer korn kpackage kpaint kpat kpilot kpoker kppp kreversi
>  kruler ksame kscd kscreensaver kshisen ksirc ksirtet ksmiletris ksnake
>  ksnapshot ksokoban kspaceduel kstars ksysv kteatime ktimer ktouch ktron
>  ktuberling ktux kuser kview kweather kwin4 kworldclock libarts
>  libarts-mpeglib libaspell10 libdigest-md5-perl libfam0 libgtk-common
>  libkdegames libkdenetwork1 libkmid libkonq3 libkscan1 liblcms liblcms-dev
>  liblinc1 libmagick5 libmime-base64-perl libmimelib1 libpango-common
>  libpng-dev libpspell-ispell1 libpspell4 libqt3-dev libroken9-heimdal
>  libvorbis0 lskat mpeglib nas-lib noatun noatun-plugins quanta secpolicy
> The following packages have been kept back:
>  kate-plugins kdeartwork-theme-window
> The following NEW packages will be installed:
>  antlr apache2-utils capplets capplets-data coreutils cpp-3.3 dash
>  debconf-i18n desktop-base desktop-file-utils dia-libs dictionaries-common
>  discover1-data dselect e2fslibs eggdrop-data emacs21 emacs21-bin-common
>  emacs21-common emacsen-common fontconfig g++-3.3 gaim-data gcc-3.3
>  gcc-3.3-base gedit-common gimp gimp-data gimp-svg gjdoc gkrellm-common
>  gnome-applets-data gnome-desktop-data gnome-games-data
>  gnome-games-extra-data gnome-icon-theme gnome-keyring gnumeric-common
>  gs-gpl gstreamer0.8-misc gstreamer0.8-oss guile-1.6-libs
>  hicolor-icon-theme iamerican initscripts intltool-debian kaffe-common
>  kaffe-pthreads lesstif2 libapr0 libasn1-6-heimdal libaspell15 libaudio2
>  libblkid1 libbonoboui2-0 libbonoboui2-common libcomerr2
>  libconfigfile-perl libconsole libconvert-binhex-perl libcroco3
>  libcupsys2-gnutls10 libcurl3 libdb1-compat libdb4.1 libdb4.2
>  libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 libeel2-2
>  libeel2-data libenchant1 libexif10 libfam0c102 libflac6 libfontconfig1
>  libgail-common libgail17 libgcrypt11 libgd1-noxpm libgd2-noxpm libgdbm3
>  libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 libgnome-desktop-2
>  libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0
>  libgnomecanvas2-common libgnomecups1.0-1 libgnomeprint2.2-0
>  libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common
>  libgnomeui-0 libgnomeui-common libgnutls11 libgpg-error0 libgpgme11
>  libgphoto2-2 libgphoto2-port0 libgsf-1 libgsf-gnome-1
>  libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 libgstreamer0.8-0
>  libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 libgtksourceview-common
>  libgtksourceview1.0-0 libgtkspell0 libgtop2-2 libgucharmap4
>  libguile-ltdl-1 libice-dev libice6 libidn11 libieee1284-3 libisc7
>  libjasper-1.701-1 liblcms1 liblcms1-dev libmagic1 libmagick6
>  libmail-sendmail-perl libmetacity0 libmyspell3 libnautilus2-2 libnet1
>  libnetpbm10 libnewt0.51 liboggflac1 liboil0.2 libopencdk8
>  libopenh323-1.15.2 libpanel-applet2-0 libpaper-utils libpaper1 libpcap0.7
>  libpcap0.8 libperl5.8 libpisock8 libpng10-0 libpng12-0 libpt-1.8.3
>  libpt-plugins-oss libpt-plugins-v4l2 libqthreads-12 libreadline5
>  libroken16-kerberos4kth librsvg2-2 librsvg2-bin librsvg2-common libsasl2
>  libsasl2-modules libselinux1 libsensors3 libshout3 libsigc++-1.2-5c102
>  libsm-dev libsm6 libspeex1 libss2 libssl0.9.7 libstartup-notification0
>  libstdc++5 libstdc++5-3.3-dev libt1-5 libtasn1-2 libtext-charwidth-perl
>  libtext-wrapi18n-perl libtheora0 libtidy0 libtiff4 libuuid1 libvorbis0a
>  libvorbisenc2 libvorbisfile3 libvte-common libvte4 libwmf0.2-7
>  libwnck-common libwnck4 libx11-6 libx11-dev libxcursor1 libxext-dev
>  libxext6 libxft1 libxft2 libxi-dev libxi6 libxklavier8 libxmu-dev libxmu6
>  libxmuu-dev libxmuu1 libxp-dev libxp6 libxpm-dev libxpm4 libxrandr-dev
>  libxrandr2 libxrender-dev libxrender1 libxslt1.1 libxt-dev libxt6
>  libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev libxv1
>  linux-kernel-headers myspell-en-us nautilus-data ntp-server pm-dev
>  po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec
>  python2.3-numeric render-dev sane-utils shared-mime-info spamc
>  squid-common sysv-rc tcl8.4 vim-common wamerican x-dev xlibmesa-dri
>  xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev xml-core yelp
> The following packages will be REMOVED:
>  amor ark artsbuilder console-tools-libs discover-data eyesapplet
>  fifteenapplet gaim-common gnome-help kamera kandy karm kasteroids kate
>  katomic kbackgammon kbattleship kblackbox kcalc kcharselect kcmlinuz
>  kcoloredit kcron kdeartwork-style kdebase kdebase-libs kdecarddecks
>  kdelibs3 kdelibs3-bin kdepasswd kdepim-libs kdessh kdf kdict kedit kfind
>  kfloppy kgeo kghostview khexedit kicker-applets kiconedit kjots
>  kjumpingcube klaptopdaemon klines kmahjongg kmail kmid kmines kmix kmoon
>  knewsticker knode knotes kodo konq-plugins konqueror konquest konsole
>  kooka korganizer korn kpackage kpaint kpat kpilot kpoker kppp kreversi
>  kruler ksame kscd kscreensaver kshisen ksirc ksirtet ksmiletris ksnake
>  ksnapshot ksokoban kspaceduel kstars ksysv kteatime ktimer ktouch ktron
>  ktuberling ktux kuser kview kweather kwin4 kworldclock libarts
>  libarts-mpeglib libaspell10 libdigest-md5-perl libfam0 libgtk-common
>  libkdegames libkdenetwork1 libkmid libkonq3 libkscan1 liblcms liblcms-dev
>  liblinc1 libmagick5 libmime-base64-perl libmimelib1 libpango-common
>  libpng-dev libpspell-ispell1 libpspell4 libqt3-dev libroken9-heimdal
>  libvorbis0 lskat mpeglib nas-lib noatun noatun-plugins quanta secpolicy
> The following packages will be upgraded:
>  aalib1 abiword-common abiword-gnome adduser analog apache apache-common
>  apt apt-file apt-utils aptitude asclock-themes ash aspell-en aterm
>  autoconf autoconf2.13 autotools-dev balsa base-config base-files
>  base-passwd bash bc bind9 bind9-doc bind9-host binutils binutils-doc
>  bison bitchx bluefish bonobo bonobo-activation bsdmainutils bsdutils
>  bug-buddy bzip2 cabextract cddb cdrecord console-common console-data
>  console-tools cowsay cpio cpp cpp-2.95 cracklib2 cramfsprogs cron cvs
>  debconf debconf-utils debhelper debianutils deborphan defoma dfontmgr
>  dhcp dhcp-client dia-common dia-gnome dialog diff dnsutils docbook
>  docbook-dsssl docbook-xml dosfstools dpkg dpkg-dev e2fsprogs ed edict
>  eggdrop eject enscript eog esound esound-common ethereal ethereal-common
>  etherwake fam fdutils file file-roller fileutils findutils finger
>  firestarter flex fluxbox fnlib-data fortune-mod fortunes-min g++ g++-2.95
>  gaim galeon galeon-common gawk gcc gcc-2.95 gcc-2.95-doc gconf
>  gconf-editor gconf2 gdb gdk-imlib1 gdm gedit gettext gettext-base
>  gettext-el gimp-data-extras gimp1.2 gkrellm gksu gnome-applets gnome-bin
>  gnome-control-center gnome-core gnome-doc-tools gnome-games gnome-gv
>  gnome-libs-data gnome-media gnome-mime-data gnome-panel gnome-panel-data
>  gnome-session gnome-terminal gnome-utils gnome-vfs-extfs gnomemeeting
>  gnumeric gnupg gphoto2 gpm grep groff-base grub gs gs-common gsfonts
>  gsfonts-x11 gv gzip hermes1 hostname hotplug html2text ifupdown
>  imagemagick imlib-base imlib1 info initrd-tools iptables iputils-ping
>  irssi-text ispell jade java-common jikes kaffe kanjidic kdeartwork-misc
>  kdewallpapers kernel-package klogd knewsticker-scripts krb5-config less
>  lesstif1 libacl1 libadns1 libao2 libapm1 libappconfig-perl
>  libapt-pkg-perl libart-2.0-2 libart2 libasound2 libatk1.0-0 libattr1
>  libaudiofile0 libbonobo-activation4 libbonobo2 libbonobo2-0
>  libbonobo2-common libbz2-1.0 libc6 libc6-dev libcap1 libcapplet1 libcdk4
>  libcdparanoia0 libcompress-zlib-perl libcupsys2 libdb2 libdb3 libdb3-util
>  libdevel-symdump-perl libdigest-sha1-perl libdiscover1 libdps1 libefs1
>  libesd0 libesmtp5 libexpat1 libexpat1-dev libffi2 libfinance-quote-perl
>  libfreetype6 libfreetype6-dev libfribidi0 libft-perl libgcc1 libgconf11
>  libgconf2-4 libgd1 libgd2 libgdbmg1 libgdk-pixbuf-gnome2 libgdk-pixbuf2
>  libghttp1 libgimpprint1 libglade-gnome0 libglade-perl libglade0
>  libglade2-0 libgle3 libglib1.2 libglib2.0-0 libgmp3 libgnome-vfs-common
>  libgnome-vfs0 libgnome32 libgnomeprint-bin libgnomeprint-data
>  libgnomeprint15 libgnomesupport0 libgnomeui32 libgnomevfs2-0
>  libgnomevfs2-common libgnorba27 libgnorbagtk0 libgpmg1 libgsm1
>  libgssapi1-heimdal libgtk-perl libgtk1.2 libgtk1.2-common libgtk2.0-0
>  libgtk2.0-common libgtkxmhtml1 libgtop1 libguile9 libhesiod0
>  libhtml-parser-perl libhtml-tableextract-perl libhtml-tagset-perl
>  libhtml-tree-perl libid3tag0 libident libidl0 libio-stringy-perl
>  libisccc0 libisccfg0 libjpeg-progs libjpeg62 libjpeg62-dev libkeynote0
>  libkrb-1-kerberos4kth libkrb5-17-heimdal libkrb53 libldap2 liblircclient0
>  liblocale-gettext-perl liblockfile1 libltdl3 liblua40 liblualib40
>  liblwres1 liblzo1 libmad0 libmailtools-perl libmime-perl libmng-dev
>  libmng1 libncurses5 libncurses5-dev libncursesw5 libnet-perl libnetpbm9
>  libnews-nntpclient-perl libnspr4 libnss3 liboaf0 libogg0 liborbit0
>  liborbit2 libpam-modules libpam-runtime libpam0g libpango1.0-0
>  libpango1.0-common libpaperg libpcre3 libpng2 libpng3 libpopt0
>  libraw1394-5 libreadline4 librecode0 librpm4 libsane libscrollkeeper0
>  libsdl1.2debian libsdl1.2debian-oss libslp1 libsmbclient libsnmp-base
>  libsnmp4.2 libsp1 libsqlite0 libssl0.9.6 libstdc++2.10-dev
>  libstdc++2.10-glibc2.2 libtext-iconv-perl libtiff-tools libtimedate-perl
>  libtool libttf2 libungif4g liburi-perl libusb-0.1-4 libvncauth0 libwrap0
>  libwww-perl libxaw6 libxaw7 libxml-parser-perl libxml1 libxml2 libxslt1
>  libzephyr3 libzvt2 lilo links lm-sensors locales login logrotate lsof
>  lwresd lynx m4 mailx make makedev man-db manpages manpages-dev mawk mbr
>  mdetect menu metacity mime-support mkisofs mlock modconf modutils mount
>  mozilla-browser mozilla-psm msttcorefonts nano nautilus ncftp
>  ncurses-base ncurses-bin net-tools netbase netcat netkit-inetd netpbm
>  nmap ntop ntp ntp-simple ntpdate nvi oaf openssl passwd patch pciutils
>  perl perl-base perl-modules perl-suid pilot-link pkg-config portmap
>  poster postfix postfix-doc postfix-ldap postfix-pcre powermgmt-base ppp
>  pppconfig pppoe pppoeconf procmail procps psfontmgr psmisc psutils python
>  python2.1 rcs read-edid recover root-tail rpm samba-common samba-doc
>  screen scrollkeeper sed setserial sgml-base sgml-data shellutils slang1
>  slang1a-utf8 smbclient smbfs sodipodi spamassassin squid ssh stunnel sudo
>  symlinks synaptic sysklogd syslinux sysvinit t1lib1 tar tasksel tcl8.0
>  tcl8.3 tcpd tcpdump tcptraceroute telnet textutils tidy tinyproxy ucf
>  unzip usbutils util-linux vim vlock vnc-common vncserver vorbis-tools
>  vsftpd wget whiptail whois x-ttcidfont-conf x-window-system-core xaw3dg
>  xbase-clients xchat xchat-common xfonts-100dpi xfonts-75dpi xfonts-base
>  xfonts-scalable xfree86-common xlibmesa3 xlibs xlibs-dev xmms xpdf
>  xpdf-common xpdf-reader xpdf-utils xscreensaver xscreensaver-gl
>  xscreensaver-gnome xserver-common xserver-xfree86 xterm xutils xvncviewer
>  zip zlib1g zlib1g-dev
> 510 packages upgraded, 248 newly installed, 126 to remove and 2 not upgraded.
> Need to get 407MB of archives. After unpacking 389MB will be used.
> Do you want to continue? [Y/n/e/d/v/action/?] n
> Abort.
> debian-test:~# exit
> 
> 


-- 
Heritage Linux Group
http://www.heritagelinux.tk



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #128 received at 310490@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: astronut <astronut@gmail.com>, 310490@bugs.debian.org
Subject: Re: Bug#310490: A Prisonner of the dependency hell
Date: Tue, 31 May 2005 01:20:39 +0200
[Message part 1 (text/plain, inline)]
On Tuesday 31 May 2005 00:51, astronut wrote:
> I attempted this on the full system (vmware), as opposed to the
> smaller test case and had 126 packages slated for removal. Complete
> log of session below. As before, it's a vmware box, and I have
> multiple copies so one click reverts it back and forth between sarge
> and woody. Let me know any other tests you want me to try.

Please try the following:
- make sure Woody's aptitude is installed
- change sources.list
- aptitude install aptitude perl
- aptitude -f --with-recommends dist-upgrade

Cheers,
FJP
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #133 received at 310490@bugs.debian.org (full text, mbox):

From: astronut <astronut@gmail.com>
To: Andrew Donnellan <ajdlinux@gmail.com>
Cc: 310490@bugs.debian.org
Subject: Re: Bug#310490: A Prisonner of the dependency hell
Date: Mon, 30 May 2005 19:25:47 -0400
Yes, it's the same list as higher in the bug report thread. I am just
hitting "revert" on vmware.

On 5/30/05, Andrew Donnellan <ajdlinux@gmail.com> wrote:
> Is it the same list of packages? If not, send in the new lists. (I
> prefer the output of ' dpkg-query -W
> --showformat="${Package},${Version}" ').
> 
> Andrew
> 
> On 5/31/05, astronut <astronut@gmail.com> wrote:
> > On 5/28/05, Steve Langasek <vorlon@debian.org> wrote:
> > >
> > > So, this works:
> > >
> > > aptitude markauto libqt3
> > > perl -pi -e's/stable/sarge/' /etc/apt/sources.list
> > > apt-get update
> > > aptitude dist-upgrade
> > <snip>
> >
> > Except it doesn't.
> >
> > I attempted this on the full system (vmware), as opposed to the
> > smaller test case and had 126 packages slated for removal. Complete
> > log of session below. As before, it's a vmware box, and I have
> > multiple copies so one click reverts it back and forth between sarge
> > and woody. Let me know any other tests you want me to try.
> >
> > astronut
> >
> > ----- Screen Log -----
> >
> >
> > debian-test:~# aptitude markauto libqt3
> > Reading Package Lists... Done
> > Building Dependency Tree... Done
> > No packages will be installed, upgraded, or removed.
> > 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> > Need to get 0B of archives. After unpacking 0B will be used.
> > Do you want to continue? [Y/n/e/d/v/action/?]
> > Writing extended state information... Done
> > Reading Package Lists... Done
> > Building Dependency Tree
> > Reading extended state information... Done
> > debian-test:~# perl -pi -e 's/stable/sarge/' /etc/apt/sources.list
> > debian-test:~# apt-get -q update
> > Get:1 http://security.debian.org sarge/updates/main Packages [696B]
> > Get:2 http://security.debian.org sarge/updates/main Release [111B]
> > Get:3 http://security.debian.org sarge/updates/contrib Packages [20B]
> > Get:4 http://security.debian.org sarge/updates/contrib Release [114B]
> > Get:5 http://security.debian.org sarge/updates/non-free Packages [20B]
> > Get:6 http://non-us.debian.org sarge/non-US/main Packages [6771B]
> > Get:7 http://security.debian.org sarge/updates/non-free Release [115B]
> > Get:8 http://non-us.debian.org sarge/non-US/main Release [88B]
> > Get:9 http://non-us.debian.org sarge/non-US/contrib Packages [20B]
> > Get:10 http://non-us.debian.org sarge/non-US/contrib Release [91B]
> > Get:11 ftp://ftp.us.debian.org sarge/main Packages [3349kB]
> > Get:12 http://non-us.debian.org sarge/non-US/non-free Packages [1440B]
> > Get:13 http://non-us.debian.org sarge/non-US/non-free Release [92B]
> > Get:14 ftp://ftp.us.debian.org sarge/main Release [81B]
> > Get:15 ftp://ftp.us.debian.org sarge/non-free Packages [58.6kB]
> > Get:16 ftp://ftp.us.debian.org sarge/non-free Release [85B]
> > Get:17 ftp://ftp.us.debian.org sarge/contrib Packages [55.2kB]
> > Get:18 ftp://ftp.us.debian.org sarge/contrib Release [84B]
> > Fetched 3473kB in 1m29s (38.8kB/s)
> > Reading Package Lists...
> > Building Dependency Tree...
> > debian-test:~# aptitude dist-upgrade
> > Reading Package Lists... Done
> > Building Dependency Tree
> > Reading extended state information... Done
> > The following NEW packages will be automatically installed:
> >  antlr apache2-utils capplets capplets-data coreutils cpp-3.3 dash
> >  debconf-i18n desktop-base desktop-file-utils dia-libs dictionaries-common
> >  discover1-data dselect e2fslibs eggdrop-data emacs21 emacs21-bin-common
> >  emacs21-common emacsen-common fontconfig g++-3.3 gaim-data gcc-3.3
> >  gcc-3.3-base gedit-common gimp gimp-data gimp-svg gjdoc gkrellm-common
> >  gnome-applets-data gnome-desktop-data gnome-games-data
> >  gnome-games-extra-data gnome-icon-theme gnome-keyring gnumeric-common
> >  gs-gpl gstreamer0.8-misc gstreamer0.8-oss guile-1.6-libs
> >  hicolor-icon-theme iamerican initscripts intltool-debian kaffe-common
> >  kaffe-pthreads lesstif2 libapr0 libasn1-6-heimdal libaspell15 libaudio2
> >  libblkid1 libbonoboui2-0 libbonoboui2-common libcomerr2
> >  libconfigfile-perl libconsole libconvert-binhex-perl libcroco3
> >  libcupsys2-gnutls10 libcurl3 libdb1-compat libdb4.1 libdb4.2
> >  libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 libeel2-2
> >  libeel2-data libenchant1 libexif10 libfam0c102 libflac6 libfontconfig1
> >  libgail-common libgail17 libgcrypt11 libgd1-noxpm libgd2-noxpm libgdbm3
> >  libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 libgnome-desktop-2
> >  libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0
> >  libgnomecanvas2-common libgnomecups1.0-1 libgnomeprint2.2-0
> >  libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common
> >  libgnomeui-0 libgnomeui-common libgnutls11 libgpg-error0 libgpgme11
> >  libgphoto2-2 libgphoto2-port0 libgsf-1 libgsf-gnome-1
> >  libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 libgstreamer0.8-0
> >  libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 libgtksourceview-common
> >  libgtksourceview1.0-0 libgtkspell0 libgtop2-2 libgucharmap4
> >  libguile-ltdl-1 libice-dev libice6 libidn11 libieee1284-3 libisc7
> >  libjasper-1.701-1 liblcms1 liblcms1-dev libmagic1 libmagick6
> >  libmail-sendmail-perl libmetacity0 libmyspell3 libnautilus2-2 libnet1
> >  libnetpbm10 libnewt0.51 liboggflac1 liboil0.2 libopencdk8
> >  libopenh323-1.15.2 libpanel-applet2-0 libpaper-utils libpaper1 libpcap0.7
> >  libpcap0.8 libperl5.8 libpisock8 libpng10-0 libpng12-0 libpt-1.8.3
> >  libpt-plugins-oss libpt-plugins-v4l2 libqthreads-12 libreadline5
> >  libroken16-kerberos4kth librsvg2-2 librsvg2-bin librsvg2-common libsasl2
> >  libsasl2-modules libselinux1 libsensors3 libshout3 libsigc++-1.2-5c102
> >  libsm-dev libsm6 libspeex1 libss2 libssl0.9.7 libstartup-notification0
> >  libstdc++5 libstdc++5-3.3-dev libt1-5 libtasn1-2 libtext-charwidth-perl
> >  libtext-wrapi18n-perl libtheora0 libtidy0 libtiff4 libuuid1 libvorbis0a
> >  libvorbisenc2 libvorbisfile3 libvte-common libvte4 libwmf0.2-7
> >  libwnck-common libwnck4 libx11-6 libx11-dev libxcursor1 libxext-dev
> >  libxext6 libxft1 libxft2 libxi-dev libxi6 libxklavier8 libxmu-dev libxmu6
> >  libxmuu-dev libxmuu1 libxp-dev libxp6 libxpm-dev libxpm4 libxrandr-dev
> >  libxrandr2 libxrender-dev libxrender1 libxslt1.1 libxt-dev libxt6
> >  libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev libxv1
> >  linux-kernel-headers myspell-en-us nautilus-data ntp-server pm-dev
> >  po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec
> >  python2.3-numeric render-dev sane-utils shared-mime-info spamc
> >  squid-common sysv-rc tcl8.4 vim-common wamerican x-dev xlibmesa-dri
> >  xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev xml-core yelp
> > The following packages will be automatically REMOVED:
> >  amor ark artsbuilder console-tools-libs discover-data eyesapplet
> >  fifteenapplet gaim-common gnome-help kamera kandy karm kasteroids kate
> >  katomic kbackgammon kbattleship kblackbox kcalc kcharselect kcmlinuz
> >  kcoloredit kcron kdeartwork-style kdebase kdebase-libs kdecarddecks
> >  kdelibs3 kdelibs3-bin kdepasswd kdepim-libs kdessh kdf kdict kedit kfind
> >  kfloppy kgeo kghostview khexedit kicker-applets kiconedit kjots
> >  kjumpingcube klaptopdaemon klines kmahjongg kmail kmid kmines kmix kmoon
> >  knewsticker knode knotes kodo konq-plugins konqueror konquest konsole
> >  kooka korganizer korn kpackage kpaint kpat kpilot kpoker kppp kreversi
> >  kruler ksame kscd kscreensaver kshisen ksirc ksirtet ksmiletris ksnake
> >  ksnapshot ksokoban kspaceduel kstars ksysv kteatime ktimer ktouch ktron
> >  ktuberling ktux kuser kview kweather kwin4 kworldclock libarts
> >  libarts-mpeglib libaspell10 libdigest-md5-perl libfam0 libgtk-common
> >  libkdegames libkdenetwork1 libkmid libkonq3 libkscan1 liblcms liblcms-dev
> >  liblinc1 libmagick5 libmime-base64-perl libmimelib1 libpango-common
> >  libpng-dev libpspell-ispell1 libpspell4 libqt3-dev libroken9-heimdal
> >  libvorbis0 lskat mpeglib nas-lib noatun noatun-plugins quanta secpolicy
> > The following packages have been kept back:
> >  kate-plugins kdeartwork-theme-window
> > The following NEW packages will be installed:
> >  antlr apache2-utils capplets capplets-data coreutils cpp-3.3 dash
> >  debconf-i18n desktop-base desktop-file-utils dia-libs dictionaries-common
> >  discover1-data dselect e2fslibs eggdrop-data emacs21 emacs21-bin-common
> >  emacs21-common emacsen-common fontconfig g++-3.3 gaim-data gcc-3.3
> >  gcc-3.3-base gedit-common gimp gimp-data gimp-svg gjdoc gkrellm-common
> >  gnome-applets-data gnome-desktop-data gnome-games-data
> >  gnome-games-extra-data gnome-icon-theme gnome-keyring gnumeric-common
> >  gs-gpl gstreamer0.8-misc gstreamer0.8-oss guile-1.6-libs
> >  hicolor-icon-theme iamerican initscripts intltool-debian kaffe-common
> >  kaffe-pthreads lesstif2 libapr0 libasn1-6-heimdal libaspell15 libaudio2
> >  libblkid1 libbonoboui2-0 libbonoboui2-common libcomerr2
> >  libconfigfile-perl libconsole libconvert-binhex-perl libcroco3
> >  libcupsys2-gnutls10 libcurl3 libdb1-compat libdb4.1 libdb4.2
> >  libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 libeel2-2
> >  libeel2-data libenchant1 libexif10 libfam0c102 libflac6 libfontconfig1
> >  libgail-common libgail17 libgcrypt11 libgd1-noxpm libgd2-noxpm libgdbm3
> >  libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 libgnome-desktop-2
> >  libgnome-keyring0 libgnome2-0 libgnome2-common libgnomecanvas2-0
> >  libgnomecanvas2-common libgnomecups1.0-1 libgnomeprint2.2-0
> >  libgnomeprint2.2-data libgnomeprintui2.2-0 libgnomeprintui2.2-common
> >  libgnomeui-0 libgnomeui-common libgnutls11 libgpg-error0 libgpgme11
> >  libgphoto2-2 libgphoto2-port0 libgsf-1 libgsf-gnome-1
> >  libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 libgstreamer0.8-0
> >  libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 libgtksourceview-common
> >  libgtksourceview1.0-0 libgtkspell0 libgtop2-2 libgucharmap4
> >  libguile-ltdl-1 libice-dev libice6 libidn11 libieee1284-3 libisc7
> >  libjasper-1.701-1 liblcms1 liblcms1-dev libmagic1 libmagick6
> >  libmail-sendmail-perl libmetacity0 libmyspell3 libnautilus2-2 libnet1
> >  libnetpbm10 libnewt0.51 liboggflac1 liboil0.2 libopencdk8
> >  libopenh323-1.15.2 libpanel-applet2-0 libpaper-utils libpaper1 libpcap0.7
> >  libpcap0.8 libperl5.8 libpisock8 libpng10-0 libpng12-0 libpt-1.8.3
> >  libpt-plugins-oss libpt-plugins-v4l2 libqthreads-12 libreadline5
> >  libroken16-kerberos4kth librsvg2-2 librsvg2-bin librsvg2-common libsasl2
> >  libsasl2-modules libselinux1 libsensors3 libshout3 libsigc++-1.2-5c102
> >  libsm-dev libsm6 libspeex1 libss2 libssl0.9.7 libstartup-notification0
> >  libstdc++5 libstdc++5-3.3-dev libt1-5 libtasn1-2 libtext-charwidth-perl
> >  libtext-wrapi18n-perl libtheora0 libtidy0 libtiff4 libuuid1 libvorbis0a
> >  libvorbisenc2 libvorbisfile3 libvte-common libvte4 libwmf0.2-7
> >  libwnck-common libwnck4 libx11-6 libx11-dev libxcursor1 libxext-dev
> >  libxext6 libxft1 libxft2 libxi-dev libxi6 libxklavier8 libxmu-dev libxmu6
> >  libxmuu-dev libxmuu1 libxp-dev libxp6 libxpm-dev libxpm4 libxrandr-dev
> >  libxrandr2 libxrender-dev libxrender1 libxslt1.1 libxt-dev libxt6
> >  libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev libxv1
> >  linux-kernel-headers myspell-en-us nautilus-data ntp-server pm-dev
> >  po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec
> >  python2.3-numeric render-dev sane-utils shared-mime-info spamc
> >  squid-common sysv-rc tcl8.4 vim-common wamerican x-dev xlibmesa-dri
> >  xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev xml-core yelp
> > The following packages will be REMOVED:
> >  amor ark artsbuilder console-tools-libs discover-data eyesapplet
> >  fifteenapplet gaim-common gnome-help kamera kandy karm kasteroids kate
> >  katomic kbackgammon kbattleship kblackbox kcalc kcharselect kcmlinuz
> >  kcoloredit kcron kdeartwork-style kdebase kdebase-libs kdecarddecks
> >  kdelibs3 kdelibs3-bin kdepasswd kdepim-libs kdessh kdf kdict kedit kfind
> >  kfloppy kgeo kghostview khexedit kicker-applets kiconedit kjots
> >  kjumpingcube klaptopdaemon klines kmahjongg kmail kmid kmines kmix kmoon
> >  knewsticker knode knotes kodo konq-plugins konqueror konquest konsole
> >  kooka korganizer korn kpackage kpaint kpat kpilot kpoker kppp kreversi
> >  kruler ksame kscd kscreensaver kshisen ksirc ksirtet ksmiletris ksnake
> >  ksnapshot ksokoban kspaceduel kstars ksysv kteatime ktimer ktouch ktron
> >  ktuberling ktux kuser kview kweather kwin4 kworldclock libarts
> >  libarts-mpeglib libaspell10 libdigest-md5-perl libfam0 libgtk-common
> >  libkdegames libkdenetwork1 libkmid libkonq3 libkscan1 liblcms liblcms-dev
> >  liblinc1 libmagick5 libmime-base64-perl libmimelib1 libpango-common
> >  libpng-dev libpspell-ispell1 libpspell4 libqt3-dev libroken9-heimdal
> >  libvorbis0 lskat mpeglib nas-lib noatun noatun-plugins quanta secpolicy
> > The following packages will be upgraded:
> >  aalib1 abiword-common abiword-gnome adduser analog apache apache-common
> >  apt apt-file apt-utils aptitude asclock-themes ash aspell-en aterm
> >  autoconf autoconf2.13 autotools-dev balsa base-config base-files
> >  base-passwd bash bc bind9 bind9-doc bind9-host binutils binutils-doc
> >  bison bitchx bluefish bonobo bonobo-activation bsdmainutils bsdutils
> >  bug-buddy bzip2 cabextract cddb cdrecord console-common console-data
> >  console-tools cowsay cpio cpp cpp-2.95 cracklib2 cramfsprogs cron cvs
> >  debconf debconf-utils debhelper debianutils deborphan defoma dfontmgr
> >  dhcp dhcp-client dia-common dia-gnome dialog diff dnsutils docbook
> >  docbook-dsssl docbook-xml dosfstools dpkg dpkg-dev e2fsprogs ed edict
> >  eggdrop eject enscript eog esound esound-common ethereal ethereal-common
> >  etherwake fam fdutils file file-roller fileutils findutils finger
> >  firestarter flex fluxbox fnlib-data fortune-mod fortunes-min g++ g++-2.95
> >  gaim galeon galeon-common gawk gcc gcc-2.95 gcc-2.95-doc gconf
> >  gconf-editor gconf2 gdb gdk-imlib1 gdm gedit gettext gettext-base
> >  gettext-el gimp-data-extras gimp1.2 gkrellm gksu gnome-applets gnome-bin
> >  gnome-control-center gnome-core gnome-doc-tools gnome-games gnome-gv
> >  gnome-libs-data gnome-media gnome-mime-data gnome-panel gnome-panel-data
> >  gnome-session gnome-terminal gnome-utils gnome-vfs-extfs gnomemeeting
> >  gnumeric gnupg gphoto2 gpm grep groff-base grub gs gs-common gsfonts
> >  gsfonts-x11 gv gzip hermes1 hostname hotplug html2text ifupdown
> >  imagemagick imlib-base imlib1 info initrd-tools iptables iputils-ping
> >  irssi-text ispell jade java-common jikes kaffe kanjidic kdeartwork-misc
> >  kdewallpapers kernel-package klogd knewsticker-scripts krb5-config less
> >  lesstif1 libacl1 libadns1 libao2 libapm1 libappconfig-perl
> >  libapt-pkg-perl libart-2.0-2 libart2 libasound2 libatk1.0-0 libattr1
> >  libaudiofile0 libbonobo-activation4 libbonobo2 libbonobo2-0
> >  libbonobo2-common libbz2-1.0 libc6 libc6-dev libcap1 libcapplet1 libcdk4
> >  libcdparanoia0 libcompress-zlib-perl libcupsys2 libdb2 libdb3 libdb3-util
> >  libdevel-symdump-perl libdigest-sha1-perl libdiscover1 libdps1 libefs1
> >  libesd0 libesmtp5 libexpat1 libexpat1-dev libffi2 libfinance-quote-perl
> >  libfreetype6 libfreetype6-dev libfribidi0 libft-perl libgcc1 libgconf11
> >  libgconf2-4 libgd1 libgd2 libgdbmg1 libgdk-pixbuf-gnome2 libgdk-pixbuf2
> >  libghttp1 libgimpprint1 libglade-gnome0 libglade-perl libglade0
> >  libglade2-0 libgle3 libglib1.2 libglib2.0-0 libgmp3 libgnome-vfs-common
> >  libgnome-vfs0 libgnome32 libgnomeprint-bin libgnomeprint-data
> >  libgnomeprint15 libgnomesupport0 libgnomeui32 libgnomevfs2-0
> >  libgnomevfs2-common libgnorba27 libgnorbagtk0 libgpmg1 libgsm1
> >  libgssapi1-heimdal libgtk-perl libgtk1.2 libgtk1.2-common libgtk2.0-0
> >  libgtk2.0-common libgtkxmhtml1 libgtop1 libguile9 libhesiod0
> >  libhtml-parser-perl libhtml-tableextract-perl libhtml-tagset-perl
> >  libhtml-tree-perl libid3tag0 libident libidl0 libio-stringy-perl
> >  libisccc0 libisccfg0 libjpeg-progs libjpeg62 libjpeg62-dev libkeynote0
> >  libkrb-1-kerberos4kth libkrb5-17-heimdal libkrb53 libldap2 liblircclient0
> >  liblocale-gettext-perl liblockfile1 libltdl3 liblua40 liblualib40
> >  liblwres1 liblzo1 libmad0 libmailtools-perl libmime-perl libmng-dev
> >  libmng1 libncurses5 libncurses5-dev libncursesw5 libnet-perl libnetpbm9
> >  libnews-nntpclient-perl libnspr4 libnss3 liboaf0 libogg0 liborbit0
> >  liborbit2 libpam-modules libpam-runtime libpam0g libpango1.0-0
> >  libpango1.0-common libpaperg libpcre3 libpng2 libpng3 libpopt0
> >  libraw1394-5 libreadline4 librecode0 librpm4 libsane libscrollkeeper0
> >  libsdl1.2debian libsdl1.2debian-oss libslp1 libsmbclient libsnmp-base
> >  libsnmp4.2 libsp1 libsqlite0 libssl0.9.6 libstdc++2.10-dev
> >  libstdc++2.10-glibc2.2 libtext-iconv-perl libtiff-tools libtimedate-perl
> >  libtool libttf2 libungif4g liburi-perl libusb-0.1-4 libvncauth0 libwrap0
> >  libwww-perl libxaw6 libxaw7 libxml-parser-perl libxml1 libxml2 libxslt1
> >  libzephyr3 libzvt2 lilo links lm-sensors locales login logrotate lsof
> >  lwresd lynx m4 mailx make makedev man-db manpages manpages-dev mawk mbr
> >  mdetect menu metacity mime-support mkisofs mlock modconf modutils mount
> >  mozilla-browser mozilla-psm msttcorefonts nano nautilus ncftp
> >  ncurses-base ncurses-bin net-tools netbase netcat netkit-inetd netpbm
> >  nmap ntop ntp ntp-simple ntpdate nvi oaf openssl passwd patch pciutils
> >  perl perl-base perl-modules perl-suid pilot-link pkg-config portmap
> >  poster postfix postfix-doc postfix-ldap postfix-pcre powermgmt-base ppp
> >  pppconfig pppoe pppoeconf procmail procps psfontmgr psmisc psutils python
> >  python2.1 rcs read-edid recover root-tail rpm samba-common samba-doc
> >  screen scrollkeeper sed setserial sgml-base sgml-data shellutils slang1
> >  slang1a-utf8 smbclient smbfs sodipodi spamassassin squid ssh stunnel sudo
> >  symlinks synaptic sysklogd syslinux sysvinit t1lib1 tar tasksel tcl8.0
> >  tcl8.3 tcpd tcpdump tcptraceroute telnet textutils tidy tinyproxy ucf
> >  unzip usbutils util-linux vim vlock vnc-common vncserver vorbis-tools
> >  vsftpd wget whiptail whois x-ttcidfont-conf x-window-system-core xaw3dg
> >  xbase-clients xchat xchat-common xfonts-100dpi xfonts-75dpi xfonts-base
> >  xfonts-scalable xfree86-common xlibmesa3 xlibs xlibs-dev xmms xpdf
> >  xpdf-common xpdf-reader xpdf-utils xscreensaver xscreensaver-gl
> >  xscreensaver-gnome xserver-common xserver-xfree86 xterm xutils xvncviewer
> >  zip zlib1g zlib1g-dev
> > 510 packages upgraded, 248 newly installed, 126 to remove and 2 not upgraded.
> > Need to get 407MB of archives. After unpacking 389MB will be used.
> > Do you want to continue? [Y/n/e/d/v/action/?] n
> > Abort.
> > debian-test:~# exit
> >
> >
> 
> 
> --
> Heritage Linux Group
> http://www.heritagelinux.tk
>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #138 received at 310490@bugs.debian.org (full text, mbox):

From: astronut <astronut@gmail.com>
To: Frans Pop <aragorn@tiscali.nl>, Bill Allombert <ballombe@master.debian.org>
Cc: 310490@bugs.debian.org
Subject: Re: Bug#310490: A Prisonner of the dependency hell
Date: Mon, 30 May 2005 20:03:55 -0400
Ok, as both of you suggested, I tried this. It is much more
successful. First pass installs like 50 packages, drops 5.

The upgrade only removes 35 packages. Unfortunately I forgot to log,
and it scrolled past and pageup is using the wrong buffer. I will redo
to get a log of this transaction.





On 5/30/05, Frans Pop <aragorn@tiscali.nl> wrote:
> On Tuesday 31 May 2005 00:51, astronut wrote:
> > I attempted this on the full system (vmware), as opposed to the
> > smaller test case and had 126 packages slated for removal. Complete
> > log of session below. As before, it's a vmware box, and I have
> > multiple copies so one click reverts it back and forth between sarge
> > and woody. Let me know any other tests you want me to try.
> 
> Please try the following:
> - make sure Woody's aptitude is installed
> - change sources.list
> - aptitude install aptitude perl
> - aptitude -f --with-recommends dist-upgrade
> 
> Cheers,
> FJP
> 
> 
>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #143 received at 310490@bugs.debian.org (full text, mbox):

From: astronut <astronut@gmail.com>
To: Frans Pop <aragorn@tiscali.nl>, Bill Allombert <ballombe@master.debian.org>
Cc: 310490@bugs.debian.org
Subject: Re: Bug#310490: A Prisonner of the dependency hell
Date: Mon, 30 May 2005 21:03:01 -0400
OK, her'es the log. We're down to 40 packages removed, and I can
believe that as being proper for woody -> sarge, but I'm not the
proper one to judge that.


astronut@debian:~$ head -n 20 screenlog.1 
debian-test:~# perl -pi -e 's/stable/sarge/' /etc/apt/sources.list 
debian-test:~# aptitude install aptitude perl
Reading Package Lists... Done
Building Dependency Tree... Done
Sorry, aptitude is already installed at the requested version (0.2.11.1-4)
Sorry, perl is already installed at the requested version (5.6.1-8.9)
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Do you want to continue? [Y/n/e/d/v/action/?] n
Abort.
debian-test:~# apt-get update
Get:1 http://security.debian.org sarge/updates/main Packages [696B]
Get:2 http://security.debian.org sarge/updates/main Release [111B]
Get:3 http://non-us.debian.org sarge/non-US/main Packages [6771B]
Get:4 http://security.debian.org sarge/updates/contrib Packages [20B]
Get:5 http://security.debian.org sarge/updates/contrib Release [114B]
Get:6 http://security.debian.org sarge/updates/non-free Packages [20B]
Get:7 http://security.debian.org sarge/updates/non-free Release [115B]         
Get:8 http://non-us.debian.org sarge/non-US/main Release [88B] 
Get:9 http://non-us.debian.org sarge/non-US/contrib Packages [20B]
Get:10 http://non-us.debian.org sarge/non-US/contrib Release [91B]
Get:11 ftp://ftp.us.debian.org sarge/main Packages [3349kB]
Get:12 http://non-us.debian.org sarge/non-US/non-free Packages [1440B]
Get:13 http://non-us.debian.org sarge/non-US/non-free Release [92B]
Get:14 ftp://ftp.us.debian.org sarge/main Release [81B]                        
Get:15 ftp://ftp.us.debian.org sarge/non-free Packages [58.6kB]                
Get:16 ftp://ftp.us.debian.org sarge/non-free Release [85B]                    
Get:17 ftp://ftp.us.debian.org sarge/contrib Packages [55.2kB]                 
Get:18 ftp://ftp.us.debian.org sarge/contrib Release [84B]                     
Fetched 3473kB in 59s (58.7kB/s)                                               
Reading Package Lists... Done
Building Dependency Tree... Done
debian-test:~# aptitude install aptitude perl
Reading Package Lists... Done
Building Dependency Tree... Done
The following NEW packages will be automatically installed:
  coreutils debconf-i18n dselect fontconfig gcc-3.3-base lesstif2 
  libconvert-binhex-perl libdb1-compat libdb4.2 libfontconfig1 libgdbm3 
  libice-dev libice6 libnewt0.51 libpaper1 libperl5.8 libpng12-0 
  libsigc++-1.2-5c102 libsm-dev libsm6 libstdc++5 libt1-5 
  libtext-charwidth-perl libtext-wrapi18n-perl libtiff4 libvte-common 
  libx11-6 libx11-dev libxcursor1 libxext-dev libxext6 libxft1 libxft2 
  libxi-dev libxi6 libxmu-dev libxmu6 libxmuu-dev libxmuu1 libxp-dev libxp6 
  libxpm-dev libxpm4 libxrandr-dev libxrandr2 libxrender-dev libxrender1 
  libxt-dev libxt6 libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev 
  libxv1 linux-kernel-headers pm-dev render-dev x-dev xlibmesa-dri 
  xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev 
The following packages will be automatically REMOVED:
  autoconf2.13 libdigest-md5-perl libmime-base64-perl libnet-perl synaptic 
The following packages have been kept back:
  aalib1 abiword-common abiword-gnome adduser amor analog apache 
  apache-common apt-file ark artsbuilder asclock-themes ash aspell-en aterm 
  autotools-dev balsa base-config base-files base-passwd bash bc bind9 
  bind9-doc bind9-host binutils binutils-doc bison bitchx bluefish bonobo 
  bonobo-activation bsdmainutils bsdutils bug-buddy bzip2 cabextract cddb 
  cdrecord console-common console-data console-tools cowsay cpio cpp 
  cpp-2.95 cracklib2 cramfsprogs cron cvs debhelper deborphan dfontmgr dhcp 
  dhcp-client dia-common dia-gnome diff discover-data dnsutils docbook 
  docbook-dsssl docbook-xml dosfstools e2fsprogs ed edict eggdrop eject 
  enscript eog esound esound-common ethereal ethereal-common etherwake 
  eyesapplet fam fdutils fifteenapplet file file-roller fileutils findutils 
  finger firestarter flex fluxbox fnlib-data fortune-mod fortunes-min g++ 
  g++-2.95 gaim galeon galeon-common gawk gcc gcc-2.95 gcc-2.95-doc gconf 
  gconf-editor gconf2 gdb gdk-imlib1 gdm gedit gettext gettext-base 
  gettext-el gimp-data-extras gimp1.2 gkrellm gksu gnome-applets gnome-bin 
  gnome-control-center gnome-core gnome-doc-tools gnome-games gnome-gv 
  gnome-libs-data gnome-media gnome-mime-data gnome-panel gnome-panel-data 
  gnome-session gnome-terminal gnome-utils gnome-vfs-extfs gnomemeeting 
  gnumeric gnupg gphoto2 gpm grep groff-base grub gs gs-common gsfonts 
  gsfonts-x11 gv gzip hermes1 hostname hotplug html2text ifupdown 
  imagemagick imlib-base imlib1 info initrd-tools iptables iputils-ping 
  irssi-text ispell jade java-common jikes kaffe kamera kandy kanjidic karm 
  kasteroids kate kate-plugins katomic kbackgammon kbattleship kblackbox 
  kcalc kcharselect kcmlinuz kcoloredit kcron kdeartwork-misc 
  kdeartwork-style kdeartwork-theme-window kdebase kdelibs3-bin kdepasswd 
  kdessh kdewallpapers kdf kdict kedit kernel-package kfind kfloppy
  kghostview khexedit kicker-applets kiconedit kjots kjumpingcube 
  klaptopdaemon klines klogd kmahjongg kmail kmid kmines kmix kmoon 
  knewsticker knewsticker-scripts knode knotes kodo konq-plugins konqueror 
  konquest konsole kooka korganizer korn kpackage kpat kpilot kpoker kppp 
  krb5-config kreversi kruler ksame kscd kscreensaver kshisen ksirc ksirtet 
  ksmiletris ksnake ksnapshot ksokoban kspaceduel kstars ksysv kteatime 
  ktimer ktouch ktron ktuberling ktux kuser kview kweather kwin4 
  kworldclock less lesstif1 libadns1 libao2 libapm1 libappconfig-perl 
  libart-2.0-2 libart2 libasound2 libaudiofile0 libbonobo-activation4 
  libbonobo2 libbonobo2-0 libbonobo2-common libbz2-1.0 libcap1 libcapplet1 
  libcdk4 libcdparanoia0 libcupsys2 libdb2 libdb3 libdb3-util 
  libdevel-symdump-perl libdiscover1 libdps1 libefs1 libesd0 libesmtp5 
  libffi2 libfinance-quote-perl libfribidi0 libgconf11 libgconf2-4 libgd1 
  libgd2 libgdbmg1 libgdk-pixbuf-gnome2 libgdk-pixbuf2 libghttp1 
  libgimpprint1 libglade-gnome0 libglade-perl libglade0 libglade2-0 libgle3 
  libglib1.2 libgmp3 libgnome-vfs-common libgnome-vfs0 libgnome32 
  libgnomeprint-bin libgnomeprint-data libgnomeprint15 libgnomesupport0 
  libgnomeui32 libgnomevfs2-0 libgnomevfs2-common libgnorba27 libgnorbagtk0 
  libgpmg1 libgsm1 libgssapi1-heimdal libgtk1.2 libgtk1.2-common 
  libgtk2.0-0 libgtk2.0-common libgtkxmhtml1 libgtop1 libguile9 libhesiod0
  libhtml-tableextract-perl libhtml-tagset-perl libhtml-tree-perl 
  libid3tag0 libident libidl0 libio-stringy-perl libisccc0 libisccfg0 
  libjpeg-progs libjpeg62 libjpeg62-dev libkeynote0 libkrb-1-kerberos4kth 
  libkrb5-17-heimdal libkrb53 libkscan1 libldap2 liblircclient0 
  liblockfile1 libltdl3 liblua40 liblualib40 liblwres1 liblzo1 libmad0 
  libmailtools-perl libmng-dev libmng1 libnetpbm9 libnews-nntpclient-perl 
  libnspr4 libnss3 liboaf0 libogg0 liborbit0 liborbit2 libpam-modules 
  libpam-runtime libpam0g libpango1.0-0 libpango1.0-common libpaperg 
  libpcre3 libpng2 libpng3 libqt3-dev libraw1394-5 libreadline4 librecode0 
  librpm4 libsane libscrollkeeper0 libsdl1.2debian libsdl1.2debian-oss 
  libslp1 libsmbclient libsnmp-base libsnmp4.2 libsp1 libsqlite0 
  libssl0.9.6 libstdc++2.10-dev libstdc++2.10-glibc2.2 libtiff-tools 
  libtimedate-perl libtool libttf2 libungif4g liburi-perl libusb-0.1-4 
  libvncauth0 libwrap0 libxaw6 libxaw7 libxml1 libxslt1 libzephyr3 libzvt2 
  lilo links lm-sensors login logrotate lskat lsof lwresd lynx m4 mailx 
  make makedev man-db manpages manpages-dev mawk mbr mdetect metacity 
  mime-support mkisofs mlock modconf modutils mount mozilla-browser 
  mozilla-psm mpeglib msttcorefonts nano nautilus ncftp ncurses-base 
  ncurses-bin net-tools netbase netcat netkit-inetd netpbm nmap noatun 
  noatun-plugins ntop ntp ntp-simple ntpdate nvi oaf openssl passwd patch 
  pciutils pilot-link pkg-config portmap poster postfix postfix-doc 
  postfix-ldap postfix-pcre powermgmt-base ppp pppconfig pppoe pppoeconf 
  procmail procps psfontmgr psmisc psutils python python2.1 quanta rcs 
  read-edid recover root-tail rpm samba-common samba-doc screen 
  scrollkeeper secpolicy sed setserial sgml-base sgml-data shellutils 
  slang1 smbclient smbfs sodipodi spamassassin squid ssh stunnel sudo 
  symlinks sysklogd syslinux sysvinit t1lib1 tar tasksel tcl8.0 tcl8.3 tcpd 
  tcpdump tcptraceroute telnet textutils tidy tinyproxy unzip usbutils 
  util-linux vim vlock vnc-common vncserver vorbis-tools vsftpd wget whois 
  x-ttcidfont-conf x-window-system-core xaw3dg xchat xchat-common 
  xfonts-100dpi xfonts-75dpi xfonts-base xfonts-scalable xmms xpdf 
  xpdf-utils xscreensaver xscreensaver-gl xscreensaver-gnome xserver-common 
  xserver-xfree86 xterm xutils xvncviewer zip 
The following NEW packages will be installed:
  coreutils debconf-i18n dselect fontconfig gcc-3.3-base lesstif2 
  libconvert-binhex-perl libdb1-compat libdb4.2 libfontconfig1 libgdbm3 
  libice-dev libice6 libnewt0.51 libpaper1 libperl5.8 libpng12-0 
  libsigc++-1.2-5c102 libsm-dev libsm6 libstdc++5 libt1-5 
  libtext-charwidth-perl libtext-wrapi18n-perl libtiff4 libvte-common
  libx11-6 libx11-dev libxcursor1 libxext-dev libxext6 libxft1 libxft2 
  libxi-dev libxi6 libxmu-dev libxmu6 libxmuu-dev libxmuu1 libxp-dev libxp6 
  libxpm-dev libxpm4 libxrandr-dev libxrandr2 libxrender-dev libxrender1 
  libxt-dev libxt6 libxtrap-dev libxtrap6 libxtst-dev libxtst6 libxv-dev 
  libxv1 linux-kernel-headers pm-dev render-dev x-dev xlibmesa-dri 
  xlibmesa-gl xlibmesa-glu xlibs-data xlibs-static-dev 
The following packages will be REMOVED:
  autoconf2.13 libdigest-md5-perl libmime-base64-perl libnet-perl synaptic 
The following packages will be upgraded:
  apt apt-utils aptitude autoconf debconf debconf-utils debianutils defoma 
  dialog dpkg dpkg-dev libacl1 libapt-pkg-perl libatk1.0-0 libattr1 libc6 
  libc6-dev libcompress-zlib-perl libdigest-sha1-perl libexpat1 
  libexpat1-dev libfreetype6 libfreetype6-dev libft-perl libgcc1 
  libglib2.0-0 libgtk-perl libhtml-parser-perl liblocale-gettext-perl 
  libmime-perl libncurses5 libncurses5-dev libncursesw5 libpopt0 
  libtext-iconv-perl libwww-perl libxml-parser-perl libxml2 locales menu 
  perl perl-base perl-modules perl-suid slang1a-utf8 ucf whiptail 
  xbase-clients xfree86-common xlibmesa3 xlibs xlibs-dev xpdf-common 
  xpdf-reader zlib1g zlib1g-dev 
56 packages upgraded, 64 newly installed, 5 to remove and 547 not upgraded.
Need to get 58.4MB of archives. After unpacking 74.5MB will be used.


<Snip: Download and installation of packages>



debian-test:~# aptitude -f dist-upgrade         
Reading Package Lists... Done
Building Dependency Tree       
Reading extended state information       
Initializing package states... Done
Reading task descriptions... Done  
The following NEW packages will be automatically installed:
  akode antlr apache2-utils capplets capplets-data cpp-3.3 dash 
  desktop-base desktop-file-utils dia-libs dictionaries-common 
  discover1-data e2fslibs eggdrop-data emacs21 emacs21-bin-common 
  emacs21-common emacsen-common g++-3.3 gaim-data gcc-3.3 gedit-common gimp 
  gimp-data gimp-svg gjdoc gkrellm-common gnome-applets-data 
  gnome-desktop-data gnome-games-data gnome-games-extra-data 
  gnome-icon-theme gnome-keyring gnumeric-common gs-gpl gstreamer0.8-misc 
  gstreamer0.8-oss guile-1.6-libs hicolor-icon-theme iamerican initscripts 
  intltool-debian jackd kaffe-common kaffe-pthreads kappfinder kcontrol 
  kdebase-bin kdebase-data kdebase-kio-plugins kdegames-card-data 
  kdelibs-bin kdelibs-data kdelibs4 kdeprint kdesktop kfilereplace 
  khelpcenter kicker klinkstatus klipper kmenuedit kommander 
  konqueror-nsplugins kpager kpersonalizer ksmserver ksplash kstars-data 
  ksysguard ksysguardd ktip ktnef kwin libapr0 libarts1 libartsc0 
  libasn1-6-heimdal libaspell15 libaudio-dev libaudio2 libblkid1 
  libbonoboui2-0 libbonoboui2-common libcomerr2 libconfigfile-perl 
  libconsole libcroco3 libcupsys2-gnutls10 libcurl3 libcvsservice0 libdb4.1 
  libdb4.2++ libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 
  libeel2-2 libeel2-data libenchant1 libexif10 libfam0c102 libflac6 
  libfontconfig1-dev libgail-common libgail17 libgcrypt11 libgd1-noxpm 
  libgd2-noxpm libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 
  libgnome-desktop-2 libgnome-keyring0 libgnome2-0 libgnome2-common 
  libgnomecanvas2-0 libgnomecanvas2-common libgnomecups1.0-1 
  libgnomeprint2.2-0 libgnomeprint2.2-data libgnomeprintui2.2-0 
  libgnomeprintui2.2-common libgnomeui-0 libgnomeui-common libgnutls11 
  libgpg-error0 libgpgme11 libgphoto2-2 libgphoto2-port0 libgsf-1 
  libgsf-gnome-1 libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 
  libgstreamer0.8-0 libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 
  libgtksourceview-common libgtksourceview1.0-0 libgtkspell0 libgtop2-2 
  libgucharmap4 libguile-ltdl-1 libidn11 libieee1284-3 libisc7 
  libjack0.80.0-0 libjasper-1.701-1 libkcal2a libkcddb1 libkdeedu1 
  libkdegames1 libkdenetwork2 libkdepim1 libkgantt0 libkleopatra0a libkonq4 
  libkpimexchange1 libkpimidentities1 libksieve0 liblcms1 liblcms1-dev 
  libmagic1 libmagick6 libmail-sendmail-perl libmal1 libmetacity0 
  libmimelib1a libmyspell3 libnautilus2-2 libnet1 libnetpbm10 liboggflac1 
  liboil0.2 libopencdk8 libopenexr2 libopenh323-1.15.2 libpanel-applet2-0 
  libpaper-utils libpcap0.7 libpcap0.8 libpisock8 libpng10-0 libpng12-dev 
  libpt-1.8.3 libpt-plugins-oss libpt-plugins-v4l2 libqt3-compat-headers 
  libqt3-headers libqt3c102 libqt3c102-mt libqthreads-12 libreadline5 
  libroken16-kerberos4kth librss1 librsvg2-2 librsvg2-bin librsvg2-common 
  libsamplerate0 libsasl2 libsasl2-modules libselinux1 libsensors3 
  libshout3 libsndfile1 libspeex1 libss2 libssl0.9.7 
  libstartup-notification0 libstdc++5-3.3-dev libsvga1 libtasn1-2 
  libtheora0 libtidy0 libuuid1 libvorbis0a libvorbisenc2 libvorbisfile3 
  libvte4 libwmf0.2-7 libwnck-common libwnck4 libxcursor-dev libxft-dev 
  libxklavier8 libxslt1.1 menu-xdg myspell-en-us nautilus-data ntp-server 
  po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec 
  python2.3-numeric qt3-dev-tools quanta-data sane-utils shared-mime-info 
  spamc squid-common sysv-rc tcl8.4 vim-common wamerican xlibmesa-gl-dev 
  xlibmesa-glu-dev xml-core yelp 
The following packages will be automatically REMOVED:
  console-tools-libs discover-data gaim-common gnome-help kdebase-libs 
  kdecarddecks kdelibs3 kdepim-libs kgeo kpaint libarts libarts-mpeglib 
  libaspell10 libfam0 libgtk-common libkdegames libkdenetwork1 libkmid 
  libkonq3 liblcms liblcms-dev liblinc1 libmagick5 libmimelib1 
  libpango-common libpng-dev libpspell-ispell1 libpspell4 libqt3 libqt3-mt 
  libqxt0 libroken9-heimdal libvorbis0 nas-lib qt3-tools 
The following NEW packages will be installed:
  akode antlr apache2-utils capplets capplets-data cpp-3.3 dash 
  desktop-base desktop-file-utils dia-libs dictionaries-common 
  discover1-data e2fslibs eggdrop-data emacs21 emacs21-bin-common 
  emacs21-common emacsen-common g++-3.3 gaim-data gcc-3.3 gedit-common gimp 
  gimp-data gimp-svg gjdoc gkrellm-common gnome-applets-data 
  gnome-desktop-data gnome-games-data gnome-games-extra-data 
  gnome-icon-theme gnome-keyring gnumeric-common gs-gpl gstreamer0.8-misc 
  gstreamer0.8-oss guile-1.6-libs hicolor-icon-theme iamerican initscripts 
  intltool-debian jackd kaffe-common kaffe-pthreads kappfinder kcontrol 
  kdebase-bin kdebase-data kdebase-kio-plugins kdegames-card-data 
  kdelibs-bin kdelibs-data kdelibs4 kdeprint kdesktop kfilereplace 
  khelpcenter kicker klinkstatus klipper kmenuedit kommander 
  konqueror-nsplugins kpager kpersonalizer ksmserver ksplash kstars-data 
  ksysguard ksysguardd ktip ktnef kwin libapr0 libarts1 libartsc0 
  libasn1-6-heimdal libaspell15 libaudio-dev libaudio2 libblkid1 
  libbonoboui2-0 libbonoboui2-common libcomerr2 libconfigfile-perl 
  libconsole libcroco3 libcupsys2-gnutls10 libcurl3 libcvsservice0 libdb4.1 
  libdb4.2++ libdevmapper1.01 libdns16 libebook8 libecal6 libedataserver3 
  libeel2-2 libeel2-data libenchant1 libexif10 libfam0c102 libflac6 
  libfontconfig1-dev libgail-common libgail17 libgcrypt11 libgd1-noxpm 
  libgd2-noxpm libgimp2.0 libgksu1.2-0 libgksuui1.0-0 libgmime2.1 
  libgnome-desktop-2 libgnome-keyring0 libgnome2-0 libgnome2-common 
  libgnomecanvas2-0 libgnomecanvas2-common libgnomecups1.0-1 
  libgnomeprint2.2-0 libgnomeprint2.2-data libgnomeprintui2.2-0 
  libgnomeprintui2.2-common libgnomeui-0 libgnomeui-common libgnutls11 
  libgpg-error0 libgpgme11 libgphoto2-2 libgphoto2-port0 libgsf-1 
  libgsf-gnome-1 libgstreamer-gconf0.8-0 libgstreamer-plugins0.8-0 
  libgstreamer0.8-0 libgtk2.0-bin libgtkhtml2-0 libgtkhtml3.2-11 
  libgtksourceview-common libgtksourceview1.0-0 libgtkspell0 libgtop2-2 
  libgucharmap4 libguile-ltdl-1 libidn11 libieee1284-3 libisc7 
  libjack0.80.0-0 libjasper-1.701-1 libkcal2a libkcddb1 libkdeedu1 
  libkdegames1 libkdenetwork2 libkdepim1 libkgantt0 libkleopatra0a libkonq4 
  libkpimexchange1 libkpimidentities1 libksieve0 liblcms1 liblcms1-dev 
  libmagic1 libmagick6 libmail-sendmail-perl libmal1 libmetacity0 
  libmimelib1a libmyspell3 libnautilus2-2 libnet1 libnetpbm10 liboggflac1 
  liboil0.2 libopencdk8 libopenexr2 libopenh323-1.15.2 libpanel-applet2-0 
  libpaper-utils libpcap0.7 libpcap0.8 libpisock8 libpng10-0 libpng12-dev 
  libpt-1.8.3 libpt-plugins-oss libpt-plugins-v4l2 libqt3-compat-headers 
  libqt3-headers libqt3c102 libqt3c102-mt libqthreads-12 libreadline5 
  libroken16-kerberos4kth librss1 librsvg2-2 librsvg2-bin librsvg2-common 
  libsamplerate0 libsasl2 libsasl2-modules libselinux1 libsensors3 
  libshout3 libsndfile1 libspeex1 libss2 libssl0.9.7 
  libstartup-notification0 libstdc++5-3.3-dev libsvga1 libtasn1-2 
  libtheora0 libtidy0 libuuid1 libvorbis0a libvorbisenc2 libvorbisfile3 
  libvte4 libwmf0.2-7 libwnck-common libwnck4 libxcursor-dev libxft-dev 
  libxklavier8 libxslt1.1 menu-xdg myspell-en-us nautilus-data ntp-server 
  po-debconf python-gtk2 python2.3 python2.3-gtk2 python2.3-iconvcodec 
  python2.3-numeric qt3-dev-tools quanta-data sane-utils shared-mime-info 
  spamc squid-common sysv-rc tcl8.4 vim-common wamerican xlibmesa-gl-dev 
  xlibmesa-glu-dev xml-core yelp 
The following packages will be REMOVED:
  console-tools-libs discover-data gaim-common gnome-help kdebase-libs 
  kdecarddecks kdelibs3 kdepim-libs kgeo kpaint libarts libarts-mpeglib 
  libaspell10 libfam0 libgtk-common libkdegames libkdenetwork1 libkmid 
  libkonq3 liblcms liblcms-dev liblinc1 libmagick5 libmimelib1 
  libpango-common libpng-dev libpspell-ispell1 libpspell4 libqt3 libqt3-mt 
  libqxt0 libroken9-heimdal libvorbis0 nas-lib qt3-tools 
The following packages will be upgraded:
  aalib1 abiword-common abiword-gnome adduser amor analog apache 
  apache-common apt-file ark artsbuilder asclock-themes ash aspell-en aterm 
  autotools-dev balsa base-config base-files base-passwd bash bc bind9 
  bind9-doc bind9-host binutils binutils-doc bison bitchx bluefish bonobo 
  bonobo-activation bsdmainutils bsdutils bug-buddy bzip2 cabextract cddb 
  cdrecord console-common console-data console-tools cowsay cpio cpp 
  cpp-2.95 cracklib2 cramfsprogs cron cvs debhelper deborphan dfontmgr dhcp 
  dhcp-client dia-common dia-gnome diff dnsutils docbook docbook-dsssl 
  docbook-xml dosfstools e2fsprogs ed edict eggdrop eject enscript eog 
  esound esound-common ethereal ethereal-common etherwake eyesapplet fam 
  fdutils fifteenapplet file file-roller fileutils findutils finger 
  firestarter flex fluxbox fnlib-data fortune-mod fortunes-min g++ g++-2.95 
  gaim galeon galeon-common gawk gcc gcc-2.95 gcc-2.95-doc gconf 
  gconf-editor gconf2 gdb gdk-imlib1 gdm gedit gettext gettext-base 
  gettext-el gimp-data-extras gimp1.2 gkrellm gksu gnome-applets gnome-bin 
  gnome-control-center gnome-core gnome-doc-tools gnome-games gnome-gv 
  gnome-libs-data gnome-media gnome-mime-data gnome-panel gnome-panel-data 
  gnome-session gnome-terminal gnome-utils gnome-vfs-extfs gnomemeeting 
  gnumeric gnupg gphoto2 gpm grep groff-base grub gs gs-common gsfonts 
  gsfonts-x11 gv gzip hermes1 hostname hotplug html2text ifupdown 
  imagemagick imlib-base imlib1 info initrd-tools iptables iputils-ping 
  irssi-text ispell jade java-common jikes kaffe kamera kandy kanjidic karm 
  kasteroids kate kate-plugins katomic kbackgammon kbattleship kblackbox 
  kcalc kcharselect kcmlinuz kcoloredit kcron kdeartwork-misc 
  kdeartwork-style kdeartwork-theme-window kdebase kdelibs3-bin kdepasswd 
  kdessh kdewallpapers kdf kdict kedit kernel-package kfind kfloppy 
  kghostview khexedit kicker-applets kiconedit kjots kjumpingcube 
  klaptopdaemon klines klogd kmahjongg kmail kmid kmines kmix kmoon 
  knewsticker knewsticker-scripts knode knotes kodo konq-plugins konqueror 
  konquest konsole kooka korganizer korn kpackage kpat kpilot kpoker kppp 
  krb5-config kreversi kruler ksame kscd kscreensaver kshisen ksirc ksirtet 
  ksmiletris ksnake ksnapshot ksokoban kspaceduel kstars ksysv kteatime 
  ktimer ktouch ktron ktuberling ktux kuser kview kweather kwin4 
  kworldclock less lesstif1 libadns1 libao2 libapm1 libappconfig-perl 
  libart-2.0-2 libart2 libasound2 libaudiofile0 libbonobo-activation4 
  libbonobo2 libbonobo2-0 libbonobo2-common libbz2-1.0 libcap1 libcapplet1 
  libcdk4 libcdparanoia0 libcupsys2 libdb2 libdb3 libdb3-util 
  libdevel-symdump-perl libdiscover1 libdps1 libefs1 libesd0 libesmtp5 
  libffi2 libfinance-quote-perl libfribidi0 libgconf11 libgconf2-4 libgd1 
  libgd2 libgdbmg1 libgdk-pixbuf-gnome2 libgdk-pixbuf2 libghttp1 
  libgimpprint1 libglade-gnome0 libglade-perl libglade0 libglade2-0 libgle3 
  libglib1.2 libgmp3 libgnome-vfs-common libgnome-vfs0 libgnome32 
  libgnomeprint-bin libgnomeprint-data libgnomeprint15 libgnomesupport0 
  libgnomeui32 libgnomevfs2-0 libgnomevfs2-common libgnorba27 libgnorbagtk0 
  libgpmg1 libgsm1 libgssapi1-heimdal libgtk1.2 libgtk1.2-common 
  libgtk2.0-0 libgtk2.0-common libgtkxmhtml1 libgtop1 libguile9 libhesiod0 
  libhtml-tableextract-perl libhtml-tagset-perl libhtml-tree-perl 
  libid3tag0 libident libidl0 libio-stringy-perl libisccc0 libisccfg0 
  libjpeg-progs libjpeg62 libjpeg62-dev libkeynote0 libkrb-1-kerberos4kth 
  libkrb5-17-heimdal libkrb53 libkscan1 libldap2 liblircclient0 
  liblockfile1 libltdl3 liblua40 liblualib40 liblwres1 liblzo1 libmad0 
  libmailtools-perl libmng-dev libmng1 libnetpbm9 libnews-nntpclient-perl 
  libnspr4 libnss3 liboaf0 libogg0 liborbit0 liborbit2 libpam-modules 
  libpam-runtime libpam0g libpango1.0-0 libpango1.0-common libpaperg 
  libpcre3 libpng2 libpng3 libqt3-dev libraw1394-5 libreadline4 librecode0 
  librpm4 libsane libscrollkeeper0 libsdl1.2debian libsdl1.2debian-oss 
  libslp1 libsmbclient libsnmp-base libsnmp4.2 libsp1 libsqlite0 
  libssl0.9.6 libstdc++2.10-dev libstdc++2.10-glibc2.2 libtiff-tools 
  libtimedate-perl libtool libttf2 libungif4g liburi-perl libusb-0.1-4 
  libvncauth0 libwrap0 libxaw6 libxaw7 libxml1 libxslt1 libzephyr3 libzvt2 
  lilo links lm-sensors login logrotate lskat lsof lwresd lynx m4 mailx 
  make makedev man-db manpages manpages-dev mawk mbr mdetect metacity 
  mime-support mkisofs mlock modconf modutils mount mozilla-browser 
  mozilla-psm mpeglib msttcorefonts nano nautilus ncftp ncurses-base 
  ncurses-bin net-tools netbase netcat netkit-inetd netpbm nmap noatun 
  noatun-plugins ntop ntp ntp-simple ntpdate nvi oaf openssl passwd patch 
  pciutils pilot-link pkg-config portmap poster postfix postfix-doc 
  postfix-ldap postfix-pcre powermgmt-base ppp pppconfig pppoe pppoeconf 
  procmail procps psfontmgr psmisc psutils python python2.1 quanta rcs 
  read-edid recover root-tail rpm samba-common samba-doc screen 
  scrollkeeper secpolicy sed setserial sgml-base sgml-data shellutils 
  slang1 smbclient smbfs sodipodi spamassassin squid ssh stunnel sudo 
  symlinks sysklogd syslinux sysvinit t1lib1 tar tasksel tcl8.0 tcl8.3 tcpd 
  tcpdump tcptraceroute telnet textutils tidy tinyproxy unzip usbutils 
  util-linux vim vlock vnc-common vncserver vorbis-tools vsftpd wget whois 
  x-ttcidfont-conf x-window-system-core xaw3dg xchat xchat-common 
  xfonts-100dpi xfonts-75dpi xfonts-base xfonts-scalable xmms xpdf 
  xpdf-utils xscreensaver xscreensaver-gl xscreensaver-gnome xserver-common 
  xserver-xfree86 xterm xutils xvncviewer zip 
The following packages are RECOMMENDED but will NOT be installed:
  abiword-help arj cervisia cracklib-runtime esound-clients 
  gnome-system-monitor gnome2-user-guide gocr iso-codes jikes-classpath 
  jikes-gij jikes-kaffe jikes-sablevm jikes-sun kdeedu-data 
  kdepim-kio-plugins kdm kompare kregexpeditor kscreensaver-xsavers kxsldbg 
  libadns1-bin libarts1-mpeglib libfnlib0 libio-socket-ssl-perl 
  libltdl3-dev libmikmod2 libnet-dns-perl libnss-lwres libpt-plugins-alsa 
  libpt-plugins-avc libpt-plugins-dc libpt-plugins-v4l libqt3-mt-dev 
  libunicode-string-perl lzop mozilla-mailnews mtools nautilus-cd-burner 
  ncompress phpdoc resolvconf sharutils wdg-html-reference xfonts-konsole 
  xli xloadimage zenity zoo 
546 packages upgraded, 253 newly installed, 35 to remove and 0 not upgraded.
Need to get 455MB of archives. After unpacking 598MB will be used.
Do you want to continue? [Y/n/?] n
Abort.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Stephen Gran <sgran@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #148 received at 310490@bugs.debian.org (full text, mbox):

From: Stephen Gran <sgran@debian.org>
To: astronut <astronut@gmail.com>, 310490@bugs.debian.org
Cc: Frans Pop <aragorn@tiscali.nl>, Bill Allombert <ballombe@master.debian.org>
Subject: Re: Bug#310490: A Prisonner of the dependency hell
Date: Mon, 30 May 2005 22:13:37 -0400
[Message part 1 (text/plain, inline)]
This one time, at band camp, astronut said:
> OK, her'es the log. We're down to 40 packages removed, and I can
> believe that as being proper for woody -> sarge, but I'm not the
> proper one to judge that.

[ snip ]

> The following packages will be automatically REMOVED:
>   autoconf2.13 libdigest-md5-perl libmime-base64-perl libnet-perl synaptic 

The perl libraries are fine, they are now perl-modules.  synaptic an
dautoconf2.13 are a little odd, but probably harmless.

[snip ]

> The following packages will be automatically REMOVED:
>   console-tools-libs discover-data gaim-common gnome-help kdebase-libs 
>   kdecarddecks kdelibs3 kdepim-libs kgeo kpaint libarts libarts-mpeglib 
>   libaspell10 libfam0 libgtk-common libkdegames libkdenetwork1 libkmid 
>   libkonq3 liblcms liblcms-dev liblinc1 libmagick5 libmimelib1 
>   libpango-common libpng-dev libpspell-ispell1 libpspell4 libqt3 libqt3-mt 
>   libqxt0 libroken9-heimdal libvorbis0 nas-lib qt3-tools 

These look OK to me as well.  A quick check shows that all of the
libraries are replaced by newer version in sarge, and the progrrams
getting removed depend on those libraries (particualrly KDE2 stuff)

Thanks for your help,
-- 
 -----------------------------------------------------------------
|   ,''`.					     Stephen Gran |
|  : :' :					 sgran@debian.org |
|  `. `'			Debian user, admin, and developer |
|    `-					    http://www.debian.org |
 -----------------------------------------------------------------
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #153 received at 310490@bugs.debian.org (full text, mbox):

From: astronut <astronut@gmail.com>
To: Stephen Gran <sgran@debian.org>
Cc: 310490@bugs.debian.org, Frans Pop <aragorn@tiscali.nl>, Bill Allombert <ballombe@master.debian.org>
Subject: Re: Bug#310490: A Prisonner of the dependency hell
Date: Mon, 30 May 2005 22:35:30 -0400
Now to figure out how to get it to automaticall resolve this without
manual user intervention.

On 5/30/05, Stephen Gran <sgran@debian.org> wrote:
> This one time, at band camp, astronut said:
> > OK, her'es the log. We're down to 40 packages removed, and I can
> > believe that as being proper for woody -> sarge, but I'm not the
> > proper one to judge that.
> 
> [ snip ]
> 
> > The following packages will be automatically REMOVED:
> >   autoconf2.13 libdigest-md5-perl libmime-base64-perl libnet-perl synaptic
> 
> The perl libraries are fine, they are now perl-modules.  synaptic an
> dautoconf2.13 are a little odd, but probably harmless.
> 
> [snip ]
> 
> > The following packages will be automatically REMOVED:
> >   console-tools-libs discover-data gaim-common gnome-help kdebase-libs
> >   kdecarddecks kdelibs3 kdepim-libs kgeo kpaint libarts libarts-mpeglib
> >   libaspell10 libfam0 libgtk-common libkdegames libkdenetwork1 libkmid
> >   libkonq3 liblcms liblcms-dev liblinc1 libmagick5 libmimelib1
> >   libpango-common libpng-dev libpspell-ispell1 libpspell4 libqt3 libqt3-mt
> >   libqxt0 libroken9-heimdal libvorbis0 nas-lib qt3-tools
> 
> These look OK to me as well.  A quick check shows that all of the
> libraries are replaced by newer version in sarge, and the progrrams
> getting removed depend on those libraries (particualrly KDE2 stuff)
> 
> Thanks for your help,
> --
>  -----------------------------------------------------------------
> |   ,''`.                                            Stephen Gran |
> |  : :' :                                        sgran@debian.org |
> |  `. `'                        Debian user, admin, and developer |
> |    `-                                     http://www.debian.org |
>  -----------------------------------------------------------------
> 
> 
>



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <aragorn@tiscali.nl>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #158 received at 310490@bugs.debian.org (full text, mbox):

From: Frans Pop <aragorn@tiscali.nl>
To: astronut <astronut@gmail.com>, 310490@bugs.debian.org
Subject: Re: Bug#310490: A Prisonner of the dependency hell
Date: Tue, 31 May 2005 19:23:35 +0200
On Tuesday 31 May 2005 04:35, astronut wrote:
> Now to figure out how to get it to automaticall resolve this without
> manual user intervention.

See this [1] message for a proposed text in the release notes to deal with 
this issue.

[1] http://lists.debian.org/debian-testing/2005/05/msg00310.html

Cheers,
FJP



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Testing Group <debian-testing@lists.debian.org>:
Bug#310490; Package upgrade-reports. Full text and rfc822 format available.

Acknowledgement sent to astronut <astronut@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Testing Group <debian-testing@lists.debian.org>. Full text and rfc822 format available.

Message #163 received at 310490@bugs.debian.org (full text, mbox):

From: astronut <astronut@gmail.com>
To: Frans Pop <aragorn@tiscali.nl>
Cc: 310490@bugs.debian.org
Subject: Re: Bug#310490: A Prisonner of the dependency hell
Date: Tue, 31 May 2005 13:39:41 -0400
Cool. Can a D.D. set the appropriate tags on the bug? 

Thanks,
Astronut

On 5/31/05, Frans Pop <aragorn@tiscali.nl> wrote:
> On Tuesday 31 May 2005 04:35, astronut wrote:
> > Now to figure out how to get it to automaticall resolve this without
> > manual user intervention.
> 
> See this [1] message for a proposed text in the release notes to deal with
> this issue.
> 
> [1] http://lists.debian.org/debian-testing/2005/05/msg00310.html
> 
> Cheers,
> FJP
>



Tags added: patch Request was from astronut <astronut@debian.yourtcs.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to astronut <astronut@gmail.com> Request was from astronut@debian.yourtcs.com (astronut) to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:39:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:21:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.